------------------------------------------------------------------------
r15107 | gerald | 2005-07-26 16:18:02 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.12/epan/emem.c
   M /releases/ethereal-0.10.12/epan/emem.h
   M /releases/ethereal-0.10.12/epan/libethereal.def

Remove ep_strsplit().

------------------------------------------------------------------------
r15103 | gerald | 2005-07-26 14:20:18 -0500 (Tue, 26 Jul 2005) | 1 line
Changed paths:
   A /releases/ethereal-0.10.12 (from /trunk:15102)

Create the 0.10.12 release branch
------------------------------------------------------------------------
r15102 | gerald | 2005-07-26 14:18:50 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS

More updates.

------------------------------------------------------------------------
r15101 | gerald | 2005-07-26 14:11:31 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /trunk/asn1/MAP_Dialogue/packet-MAP-DialoguePDU-template.h
   M /trunk/epan/dissectors/packet-MAP_DialoguePDU.h

Fixes from Gisle Vanem.

------------------------------------------------------------------------
r15100 | lego | 2005-07-26 13:32:12 -0500 (Tue, 26 Jul 2005) | 7 lines
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h
   M /trunk/epan/libethereal.def
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

new functions:
ep_tvb_memdup()
ep_alloc0()
ep_strsplit()

add all of the ep_ allocators to libethereal.def

------------------------------------------------------------------------
r15099 | gerald | 2005-07-26 13:28:01 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /trunk/configure.in

Build randpkt by default.

------------------------------------------------------------------------
r15098 | ulfl | 2005-07-26 13:21:25 -0500 (Tue, 26 Jul 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_build_install.xml

fix: duplicate section id's not allowed
------------------------------------------------------------------------
r15097 | lego | 2005-07-26 13:19:11 -0500 (Tue, 26 Jul 2005) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

do not try to free the isup tap data.


------------------------------------------------------------------------
r15096 | ulfl | 2005-07-26 13:17:09 -0500 (Tue, 26 Jul 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

fix from previous check in, set compression back to on :-(
------------------------------------------------------------------------
r15095 | ulfl | 2005-07-26 13:02:42 -0500 (Tue, 26 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c

add "BadOutOfService" quality code
------------------------------------------------------------------------
r15094 | ulfl | 2005-07-26 13:01:25 -0500 (Tue, 26 Jul 2005) | 3 lines
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_build_install.xml
   M /trunk/docbook/user-guide.xml

the user's guide are describing 0.10.12 already, bump up version

update the Windows installation section to reflect the current installer changes
------------------------------------------------------------------------
r15093 | ulfl | 2005-07-26 12:58:17 -0500 (Tue, 26 Jul 2005) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

fix detection of old/new WinPcap version, so WinPcap get's only installed by default if the user has a version lower than the delivered 3.1 beta 4

fix statistics tree caption
------------------------------------------------------------------------
r15092 | gerald | 2005-07-26 11:54:08 -0500 (Tue, 26 Jul 2005) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/randpkt.c

From Brice Augustin: Use the correct packet length in randpkt.

Build randpkt.exe by default under Windows.

------------------------------------------------------------------------
r15091 | gerald | 2005-07-26 11:44:57 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/Makefile.am
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/WinPcapPage.ini
   D /trunk/packaging/nsis/WinPcap_3_0.exe
   A /trunk/packaging/nsis/WinPcap_3_1_beta4.exe
   M /trunk/packaging/nsis/ethereal.nsi

Revert back to GTK-Wimp 0.6.2.  Move to WinPcap 3.1beta4.

------------------------------------------------------------------------
r15090 | gerald | 2005-07-26 11:43:48 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

Minor changes/updates.

------------------------------------------------------------------------
r15089 | gerald | 2005-07-26 10:59:54 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Don't add a new data source if we don't have any data.

------------------------------------------------------------------------
r15088 | gerald | 2005-07-26 10:28:39 -0500 (Tue, 26 Jul 2005) | 2 lines
Changed paths:
   M /trunk/print.c

In print_hex_data(), bail out early if our length is zero.

------------------------------------------------------------------------
r15087 | sahlberg | 2005-07-26 05:01:42 -0500 (Tue, 26 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-fcels.h

add iFCP ELS UNBIND dissection


------------------------------------------------------------------------
r15086 | etxrab | 2005-07-26 04:52:50 -0500 (Tue, 26 Jul 2005) | 10 lines
Changed paths:
   M /trunk/tools/lemon/lemon.c

rom Maynard, Chris :
The attached patches, generated via  svn diff , correct various compiler 

& lint warnings, among them: 

 

lemon.c(2582) : warning C4090: '=' : different 'const' qualifiers


------------------------------------------------------------------------
r15085 | etxrab | 2005-07-26 04:52:06 -0500 (Tue, 26 Jul 2005) | 18 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-afp.h
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-iscsi.c

From Maynard, Chris :
The attached patches, generated via  svn diff , correct various compiler 

& lint warnings, among them: 

 

lemon.c(2582) : warning C4090: '=' : different 'const' qualifiers

packet-ber.c(212) : warning C4018: '<=' : signed/unsigned mismatch

packet-ber.c(228) : warning C4018: '>=' : signed/unsigned mismatch

packet-bootp.c(2112) : warning C4018: '<' : signed/unsigned mismatch

packet-iscsi.c(801) : warning C4018: '>=' : signed/unsigned mismatch


------------------------------------------------------------------------
r15084 | etxrab | 2005-07-26 04:34:49 -0500 (Tue, 26 Jul 2005) | 8 lines
Changed paths:
   M /trunk/editcap.c

From Peter Johansson:
The supplied patch takes care of the following compilation warnings:

editcap.c(273) : warning C4013: 'getpid' undefined; assuming extern 
returning int
editcap.c(464) : warning C4018: '<' : signed/unsigned mismatch


------------------------------------------------------------------------
r15083 | etxrab | 2005-07-26 04:31:04 -0500 (Tue, 26 Jul 2005) | 10 lines
Changed paths:
   M /trunk/getopt.c

From Peter Johansson:
The supplied patch takes care of the following compilation warnings:

getopt.c(409) : warning C4013: 'strcmp' undefined; assuming extern 
returning int
getopt.c(478) : warning C4013: 'strncmp' undefined; assuming extern 
returning int
getopt.c(480) : warning C4013: 'strlen' undefined; assuming extern 
returning int

------------------------------------------------------------------------
r15082 | etxrab | 2005-07-26 04:25:46 -0500 (Tue, 26 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Get rid of an unused variable.
------------------------------------------------------------------------
r15081 | etxrab | 2005-07-26 03:59:32 -0500 (Tue, 26 Jul 2005) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-juniper.c

From Hannes Gredler:
a patch that adds support for
dissecting packets captured on ML-, LS- and AS PICs
using Multi-link PPP encapsulation,
running JUNOS 7.3 or higher;

additional there i did some clean-up in the
juniper dissector that makes future addition
of JUNIPER_DLTs easier;

------------------------------------------------------------------------
r15080 | sahlberg | 2005-07-26 03:47:46 -0500 (Tue, 26 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-fcels.h

add decoding of ELS  iFCP CBIND packets


------------------------------------------------------------------------
r15079 | jmayer | 2005-07-26 03:01:16 -0500 (Tue, 26 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim.h
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-dcerpc-nt.c
   M /trunk/epan/dissectors/packet-dcerpc-nt.h
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-windows-common.h
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h
   M /trunk/ip_opts.h

char -> const char warning fixes
------------------------------------------------------------------------
r15078 | sahlberg | 2005-07-25 20:18:25 -0500 (Mon, 25 Jul 2005) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/NEWS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dec-dnart.c

From fred hoekstra

New protocol: DEC DNA Routing protocol


------------------------------------------------------------------------
r15077 | sahlberg | 2005-07-25 20:08:12 -0500 (Mon, 25 Jul 2005) | 7 lines
Changed paths:
   M /trunk/NEWS

more news

SecureLDAP and GSS-KRB encrypted DCE/RPC decryption support.

TCP Sequence graphs is now tappified.


------------------------------------------------------------------------
r15076 | sahlberg | 2005-07-25 19:54:16 -0500 (Mon, 25 Jul 2005) | 20 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-ifcp.c

iFCP uses one dedicated TCP session per fc-endpoint pair.

The FC D_id and S_id fields in teh FC frame encapsulated inside iFCP unfortunately has "undefined" (semi-random) values    so we can not use th S_/D_id matching in FC when transported atop iFCP.


Change iFCP to call a new  fc_ifcp handler instead of the fc handler.

Add a new handler to FC specific to iFCP. 
Only set the pinfo->src/dst fields to the S_id/D_id fields IFF the FC frame was NOT transported ontop of iFCP.
Othervise  we just use the TCP/IP values that are already stored there.

Some Hosts use RelativeOffset fields for FC.  We can only dissect the RelOff field with offset 0.
Change FC to only call the FCP subdissector if offset==0  when relative offsets are used.


Some hosts when using relative offsets  do not specify a proper value for rxid in teh commands instead htey lkeave it as 0xffff
Change the FCP conversation matching to ignore RXID when searching for a conversation.



------------------------------------------------------------------------
r15075 | lego | 2005-07-25 18:54:02 -0500 (Mon, 25 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Avoid leaking tap info by using emem allocators


------------------------------------------------------------------------
r15074 | ulfl | 2005-07-25 18:45:56 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/NEWS

added some other things that came to my mind
------------------------------------------------------------------------
r15073 | lego | 2005-07-25 18:33:44 -0500 (Mon, 25 Jul 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-pktc.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h

From Thomas Anders:
SNMP Engine ID dissection according to RFC3411


------------------------------------------------------------------------
r15072 | gerald | 2005-07-25 18:11:32 -0500 (Mon, 25 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcp.c

From Ronnie:  Offset checking/handling fix.

Fix up whitespace and newlines.

------------------------------------------------------------------------
r15071 | gerald | 2005-07-25 17:16:43 -0500 (Mon, 25 Jul 2005) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS

Prep for 0.10.12.  If you've added or changed any major features since
0.10.11 you may want to check the NEWS file to make sure your work is
present and correct.

------------------------------------------------------------------------
r15070 | lego | 2005-07-25 17:02:04 -0500 (Mon, 25 Jul 2005) | 3 lines
Changed paths:
   M /trunk/plugins/xml/xml_lexer.l

rename OUT to OUTSIDE and TEXT to CDATA


------------------------------------------------------------------------
r15069 | sahlberg | 2005-07-25 16:18:58 -0500 (Mon, 25 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ifcp.c

from aboo


fix  multiple pdus in one segment


------------------------------------------------------------------------
r15068 | jmayer | 2005-07-25 16:10:29 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/manuf

Update manuf
------------------------------------------------------------------------
r15067 | jmayer | 2005-07-25 16:08:14 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-kerberos.c

Warning fixes
------------------------------------------------------------------------
r15066 | etxrab | 2005-07-25 14:52:08 -0500 (Mon, 25 Jul 2005) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-rsvp.c

From Morro Roberto :
 - bug fixes to the dissectors for the GENERALIZED_UNI and
 LABEL objects
 - improved dissector of flag field for the ERROR object
 - improved LABEL_SET object dissector
 - support for the new (proposed) ASSOCIATION object (see 
 draft-ietf-ccamp-gmpls-recovery-e2e-signaling).
 Moveover find also attached a patch to OSPF that fixes a line 
 of source code lost in the TNA TLV (the code compiled anyway).

------------------------------------------------------------------------
r15065 | lego | 2005-07-25 14:19:34 -0500 (Mon, 25 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Get rid of a unused variable


------------------------------------------------------------------------
r15064 | lego | 2005-07-25 14:06:02 -0500 (Mon, 25 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-user_encap.c

Make the DLT an option, reduce the number of instances and rename them.


------------------------------------------------------------------------
r15063 | lego | 2005-07-25 14:03:57 -0500 (Mon, 25 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Fix the IP address representation string (was inverted on little endians)


------------------------------------------------------------------------
r15062 | ulfl | 2005-07-25 13:54:21 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/README.win32

updated GTK-Wimp section to reflect GTK 2.4
------------------------------------------------------------------------
r15061 | ulfl | 2005-07-25 13:44:59 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/config.nmake

found by Thomas Boehne: corrected GTK_WIMP_DIR, used by the NSIS installer
------------------------------------------------------------------------
r15060 | ulfl | 2005-07-25 13:30:35 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/config.nmake

update to latest zlib version 123
------------------------------------------------------------------------
r15059 | ulfl | 2005-07-25 13:27:35 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/README.win32
   M /trunk/doc/README.plugins

from Thomas Boehne: update README's to reflect latest changes
------------------------------------------------------------------------
r15058 | ulfl | 2005-07-25 13:03:38 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

fix a typo: lenght -> length
------------------------------------------------------------------------
r15057 | guy | 2005-07-25 13:03:19 -0500 (Mon, 25 Jul 2005) | 15 lines
Changed paths:
   M /trunk/epan/reassemble.c

When reassembling a packet, all data, including data with
FD_NOT_MALLOCED set, has to be copied - all FD_NOT_MALLOCED means is
that the fragment's data is part of the old reassembled data, rather
than a malloced chunk of its own (this happens if, after reassembly, the
dissector says more reassembly is necessary, as can happen, for example,
in the case of HTTP and other protocols where reassembly continues until
a terminator is seen).  Not copying the data means that the reassembled
data is, in part, whatever random junk happens to be in the
newly-allocated buffer.

Back out the change not to copy the data, but add some sanity checks, in
the hopes of preventing the crash that caused the change not to copy the
data to be added, and in the hopes of discovering the ultimate source of
that crash and fixing it.

------------------------------------------------------------------------
r15056 | ulfl | 2005-07-25 13:02:32 -0500 (Mon, 25 Jul 2005) | 3 lines
Changed paths:
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/main.h

two bugfixes:
- don't use GtkSelectionData after returned to GTK, as it might free this data immediately (copy the data instead and free it after usage)
- fix return value handling for DnD merge, so it will work again
------------------------------------------------------------------------
r15055 | ulfl | 2005-07-25 12:56:19 -0500 (Mon, 25 Jul 2005) | 8 lines
Changed paths:
   M /trunk/packaging/nsis/AdditionalTasksPage.ini
   M /trunk/packaging/nsis/WinPcapPage.ini
   M /trunk/packaging/nsis/ethereal.nsi

bugfix: default for NPF service was default on for NT and above, but it has to be off (secure default)

stop NPF service and set it back to "On demand" if user deselected the corresponding checkbox

when upgrading from a previous Ethereal install, try to detect which choices of icons and alike was used last time, and set this as default (e.g. don't install desktop icon if I choose not to install last time)

minor text changes

------------------------------------------------------------------------
r15054 | gerald | 2005-07-25 10:43:38 -0500 (Mon, 25 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Break out of an infinite loop.  Fixes bugs 296 and 297.

------------------------------------------------------------------------
r15053 | ulfl | 2005-07-25 02:50:11 -0500 (Mon, 25 Jul 2005) | 1 line
Changed paths:
   M /trunk/README.win32

add a section about the Developer's Guide
------------------------------------------------------------------------
r15052 | ulfl | 2005-07-25 02:42:06 -0500 (Mon, 25 Jul 2005) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

as the buildbot is updated now:
using the /SOLID switch in SetCompressor again, making NSIS at least 2.07 a requirement
------------------------------------------------------------------------
r15051 | ulfl | 2005-07-24 20:22:03 -0500 (Sun, 24 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-kink.c

packet-http.c(484) : warning C4101: 'i' : unreferenced local variable
packet-http.c(486) : warning C4101: 'si' : unreferenced local variable
packet-kink.c(628) : warning C4101: 'quick_mode_payloads_length' : unreferenced local variable
------------------------------------------------------------------------
r15050 | guy | 2005-07-24 17:01:14 -0500 (Sun, 24 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/reassemble.c

Fix indentation.

------------------------------------------------------------------------
r15049 | ulfl | 2005-07-24 16:25:29 -0500 (Sun, 24 Jul 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

make the default to not use the /SOLID switch for SetCompressor, so buildbot is working again
------------------------------------------------------------------------
r15048 | ulfl | 2005-07-24 16:23:10 -0500 (Sun, 24 Jul 2005) | 3 lines
Changed paths:
   M /trunk/plugins/stats_tree/Makefile.nmake
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

include pinfo_stats_tree.c in the build process, so MSVC compiles again

don't use extern before a function body, that don't make sense
------------------------------------------------------------------------
r15047 | gerald | 2005-07-24 16:02:40 -0500 (Sun, 24 Jul 2005) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Break out of another infinite loop.  Fixes bug 293.

------------------------------------------------------------------------
r15046 | guy | 2005-07-24 15:39:19 -0500 (Sun, 24 Jul 2005) | 39 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-radius.c

Fix some typoes.

Call "dissect_attribute_value_pairs()" regardless of whether we're
building a protocol tree, so the EAP subdissector is always called.

"dissect_attribute_value_pairs()" is only called when the length of AVPs
in the packet is non-zero; don't bother checking for a zero length.

Don't put two items in for each AVP - one is sufficient.

Add some more length checks when processing AVPs.  Don't require AVPs to
be at least 3 bytes long - they might have just a type and length; let
an exception be thrown if that's a problem.

Don't require that the entire AVP be available in the tvbuff before
processing it; let an exception be thrown as we're processing the AVP if
we don't have all the data, so the stuff before the end is processed.

Give the tvbuff for the AVP data a length that reflects the length of
data left in the tvbuff, so that the appropriate exception is thrown if
the packet was cut short by a snapshot length.

Don't have a fixed-length buffer for reassembled EAP messages; grow it
as necessary.

Don't special-case the initial part of the processing of EAP messages;
put in the standard length item, as well as, for fragments, an item for
the fragment data.

Check for non-consecutive EAP-Message attributes.

Set the columns non-writable while dissecting the EAP message, so
Protocol and Info reflect the RADIUS packet.

Doing the reassembly by gluing together all the consecutive EAP-Message
attributes means we don't need help from the EAP dissector, returning
the total length of the EAP message.  Get rid of the no-longer-needed
eap_fragment dissector; just call the regular EAP dissector.

------------------------------------------------------------------------
r15045 | guy | 2005-07-24 15:10:05 -0500 (Sun, 24 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan

sminmpec.c is now a generated file, so add it to the ignore list.

------------------------------------------------------------------------
r15044 | tuexen | 2005-07-24 14:58:05 -0500 (Sun, 24 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Fix a typo.

------------------------------------------------------------------------
r15043 | guy | 2005-07-24 14:01:28 -0500 (Sun, 24 Jul 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim.h
   M /trunk/epan/dissectors/packet-dcerpc-epm.c
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-giop.h
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-portmap.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rpc.h
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-tzsp.c
   M /trunk/epan/dissectors/packet-user_encap.c
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/decode_as_dcerpc.h
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/supported_protos_dlg.c
   M /trunk/tap-dcerpcstat.c
   M /trunk/tap-rpcstat.c
   M /trunk/tethereal.c

Constify to remove a bunch of warnings.  Add some casts to squelch
(presumably-)harmless-but-otherwise-unremovable const-to-nonconst
warnings.

In the TACACS dissector, clean up the variables used in option parsing
to avoid some const-to-nonconst warnings.

Clean up some white space.

------------------------------------------------------------------------
r15042 | guy | 2005-07-24 12:48:10 -0500 (Sun, 24 Jul 2005) | 7 lines
Changed paths:
   M /trunk/epan/reassemble.c

"fragment_add_common()" isn't used outside this file - make it static.

Move to "show_fragment()" the code to append the fragment information to
the top-level item.

Fix indentation.

------------------------------------------------------------------------
r15041 | ulfl | 2005-07-24 09:35:12 -0500 (Sun, 24 Jul 2005) | 1 line
Changed paths:
   M /trunk/doc/ethereal.pod
   M /trunk/doc/tethereal.pod

from Graeme Hewson: "Fixes for ethereal config files"
------------------------------------------------------------------------
r15040 | ulfl | 2005-07-24 09:16:54 -0500 (Sun, 24 Jul 2005) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/tools/win32-setup.sh

Update to zlib 1.2.3
------------------------------------------------------------------------
r15039 | ulfl | 2005-07-24 08:54:19 -0500 (Sun, 24 Jul 2005) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

Update to zlib 1.2.3
------------------------------------------------------------------------
r15038 | jmayer | 2005-07-24 06:35:41 -0500 (Sun, 24 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Lars Ruoff:
        Use correct offsets to decode bssid in all cases:
        Depending on the packet type the header contains
        up to 4 addresses but may contain less. The position/
        definition of the bssid changes as a result of this.

------------------------------------------------------------------------
r15037 | guy | 2005-07-24 06:14:13 -0500 (Sun, 24 Jul 2005) | 8 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Register the port range preferences as such, rather than doing our own
range implementation.

Make string preferences "const", to squelch compiler warnings, and make
other variables and arguments "const" to match.

Port numbers are unsigned; display them as such.

------------------------------------------------------------------------
r15036 | lego | 2005-07-24 05:32:37 -0500 (Sun, 24 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sndcp.c

register the dissector by name


------------------------------------------------------------------------
r15035 | guy | 2005-07-24 05:32:22 -0500 (Sun, 24 Jul 2005) | 9 lines
Changed paths:
   M /trunk/plugins/stats_tree/Makefile.am
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c
   A /trunk/plugins/stats_tree/pinfo_stats_tree.h
   M /trunk/plugins/stats_tree/stats_tree_plugin.c

Add "pinfo_stats_tree.h" to declare "register_pinfo_stat_trees()", and
include it in "pinfo_stats_tree.c" (which defines it) and
"stats_tree_plugin.c" (which refers to it).

Make all the other routines defined in "pinfo_stats_tree.c" static, as
they're not used outside "pinfo_stats_tree.c".

Get rid of declaration of unused "register_http_stat_trees()".

------------------------------------------------------------------------
r15034 | sahlberg | 2005-07-23 23:24:30 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/epan/dissectors/packet-uma.c

some more ep_tvb_get_string updates


------------------------------------------------------------------------
r15033 | lego | 2005-07-23 22:36:21 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.nmake
   A /trunk/epan/enterprise-numbers
   A /trunk/epan/make-sminmpec.pl
   D /trunk/epan/sminmpec.c

Autogenerate the sminmpec.c file from iana's enterprise-numbers file


------------------------------------------------------------------------
r15032 | lego | 2005-07-23 22:05:08 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

fix a leak of tap info data by replacing g_strdup with ep_strdup


------------------------------------------------------------------------
r15031 | sahlberg | 2005-07-23 22:01:41 -0500 (Sat, 23 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-pagp.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-quake2.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtsp.c

some more dissectors converted to ep_tvb_get_string

again   at least one obvious memleak was found in the old code



------------------------------------------------------------------------
r15030 | lego | 2005-07-23 21:59:17 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-alcap.c

use ep_alloc instead of statically allocated buffers


------------------------------------------------------------------------
r15029 | lego | 2005-07-23 21:56:41 -0500 (Sat, 23 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-actrace.c

change g_strdup() calls with ep_strdup calls (fixing a significant leakage of tap data)

------------------------------------------------------------------------
r15028 | lego | 2005-07-23 21:53:09 -0500 (Sat, 23 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-radius.h

- change the report_failure dialog for a less painful g_warning
- use ep_alloc for reassemling eap fragments instead of a static buffer
- use ep_strdup_printf() instead of a static buffe to return the cosine's VP/VC AVP label
- add few TODO comments


------------------------------------------------------------------------
r15027 | sahlberg | 2005-07-23 21:43:41 -0500 (Sat, 23 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-dsi.c
   M /trunk/epan/dissectors/packet-fix.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-icep.c

convert some uses of tvb_get_string() to ep_tvb_get_string()

there was at least one obvious memleak in one of the uses of tvb_get_string()



------------------------------------------------------------------------
r15026 | lego | 2005-07-23 21:43:20 -0500 (Sat, 23 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Replace two calls to tvb_get_string with the new ep_tvb_get_string (this fixes a leak I introdduced at the last checkin)

remove the stat_infos PtrArray as we do not need to free our tap data anymore, YEAH!


------------------------------------------------------------------------
r15025 | lego | 2005-07-23 21:12:33 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   D /trunk/gtk/isup_stat.c

Remove the isup messages tap as it's been superceeded by the stats_tree one


------------------------------------------------------------------------
r15024 | sahlberg | 2005-07-23 20:56:01 -0500 (Sat, 23 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

add
ep_tvb_get_string
that acts the same as tvb_get_string   but the buffer returned need not be freed.



------------------------------------------------------------------------
r15023 | lego | 2005-07-23 20:48:01 -0500 (Sat, 23 Jul 2005) | 5 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

From Alejandro Vaquero:

fix a crash when graphing packets whose src and dst is the same address


------------------------------------------------------------------------
r15022 | lego | 2005-07-23 20:42:41 -0500 (Sat, 23 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

move the stats_tree tap into the http dissector (not anymore in the plugin)

change several calls to g_memdup into ep_strndup, fix the free calls


------------------------------------------------------------------------
r15021 | lego | 2005-07-23 20:39:04 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/plugins/stats_tree/Makefile.am
   M /trunk/plugins/stats_tree/Makefile.nmake
   D /trunk/plugins/stats_tree/http_stats_tree.c
   M /trunk/plugins/stats_tree/stats_tree_plugin.c

http_stats_tree is moving to a new home (packet-http.c)


------------------------------------------------------------------------
r15020 | lego | 2005-07-23 20:31:59 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   D /trunk/gtk/http_stat.c

remove the old http packet count tap as it has been superceeded by the new stats tree tap


------------------------------------------------------------------------
r15019 | lego | 2005-07-23 20:21:38 -0500 (Sat, 23 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/emem.c

I believe we should use DISSECTOR_ASSERT instead of g_assert.

fix and clean g_strdup_printf()


------------------------------------------------------------------------
r15018 | lego | 2005-07-23 19:29:57 -0500 (Sat, 23 Jul 2005) | 8 lines
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h

add some utility functions that use ep_alloc instead of g_malloc.

ep_memdup
ep_strdup
ep_strndup
ep_strdup_printf


------------------------------------------------------------------------
r15017 | ulfl | 2005-07-23 15:37:00 -0500 (Sat, 23 Jul 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

... I should switch compression back on, the installer would otherwise become a bit large ...
------------------------------------------------------------------------
r15016 | ulfl | 2005-07-23 15:34:43 -0500 (Sat, 23 Jul 2005) | 12 lines
Changed paths:
   A /trunk/packaging/nsis/AdditionalTasksPage.ini
   M /trunk/packaging/nsis/Makefile.am
   M /trunk/packaging/nsis/Makefile.nmake
   A /trunk/packaging/nsis/WinPcapPage.ini
   A /trunk/packaging/nsis/WinPcap_3_0.exe
   M /trunk/packaging/nsis/ethereal.nsi
   A /trunk/packaging/nsis/servicelib.nsh


Installer:
- Installer now includes and installs WinPcap 3.0 (with detection)
- Install Sections are grouped now
- New Seperate page to select additional tasks like: icons, file extensions ...
- New Seperate page for WinPcap detection/installation
- Start WinPcap "NPF" service doesn't require a reboot

Uninstaller:
- New Uninstall sections page (uninstall, settings, plugins, WinPcap)
- If uninstallation selected, plugins will now be completely uninstalled (all versions, not only the current one)
- If selected, uninstallation of WinPcap
------------------------------------------------------------------------
r15015 | jmayer | 2005-07-23 06:41:25 -0500 (Sat, 23 Jul 2005) | 2 lines
Changed paths:
   M /trunk/clopts_common.c
   M /trunk/clopts_common.h
   M /trunk/disabled_protos.c
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/asn1.c
   M /trunk/epan/asn1.h
   M /trunk/epan/column.c
   M /trunk/epan/column.h
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-giop.h
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h
   M /trunk/epan/packet_info.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/stats_tree.c
   M /trunk/epan/stats_tree.h
   M /trunk/epan/tap.c
   M /trunk/epan/tap.h
   M /trunk/epan/to_str.c
   M /trunk/epan/xdlc.c
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/plugins/gryphon/packet-gryphon.h
   M /trunk/plugins/irda/irda-appl.h
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/mate_util.h
   M /trunk/plugins/mate/packet-mate.c
   M /trunk/plugins/mgcp/packet-mgcp.c
   M /trunk/plugins/opsi/packet-opsi.h
   M /trunk/plugins/profinet/packet-pn-dcp.c
   M /trunk/plugins/rlm/packet-rlm.c
   M /trunk/print.c
   M /trunk/randpkt.c
   M /trunk/tap-iousers.c
   M /trunk/tethereal.c
   M /trunk/text2pcap.c
   M /trunk/tools/lemon/lempar.c

More 'char*' -> 'const char*' changes to fix warnings.

------------------------------------------------------------------------
r15014 | jmayer | 2005-07-23 03:18:44 -0500 (Sat, 23 Jul 2005) | 1 line
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

'char*' -> 'const char*' to fix warnings
------------------------------------------------------------------------
r15013 | jmayer | 2005-07-23 01:53:59 -0500 (Sat, 23 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-int.h
   M /trunk/epan/dfilter/dfilter.c

Some more 'char*' -> 'const char*' changes


------------------------------------------------------------------------
r15012 | jmayer | 2005-07-23 01:51:57 -0500 (Sat, 23 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dfilter/gencode.c
   M /trunk/epan/dfilter/semcheck.c

Add includes to fix warnings of type
gencode.c:383: warning: no previous declaration for
                        'dfw_interesting_fields'

------------------------------------------------------------------------
r15011 | jmayer | 2005-07-23 01:49:07 -0500 (Sat, 23 Jul 2005) | 8 lines
Changed paths:
   M /trunk/epan/dfilter/syntax-tree.c
   M /trunk/epan/dfilter/syntax-tree.h

Move declaration of sttype_register_* functions from
syntax-tree.c to syntax-tree.h.

This fixes some warning of type
sttype-integer.c:33: warning: no previous declaration for
                                'sttype_register_integer'


------------------------------------------------------------------------
r15010 | jmayer | 2005-07-23 01:21:17 -0500 (Sat, 23 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/ftypes/ftypes-int.h
   M /trunk/epan/ftypes/ftypes.c

Move declaration of void ftype_register_* to ftypes-int.h.

This fixes some warnings like
ftype-bytes.c:52: warning: no previous declaration for 'bytes_fvalue_free'


------------------------------------------------------------------------
r15009 | jmayer | 2005-07-23 01:19:08 -0500 (Sat, 23 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/ftypes/ftypes.h

Fix lots of warnings of type:
ftypes.c:257: warning: passing argument 1 of 'logfunc' discards
                        qualifiers from pointer target type
by changing 'char*' -> 'const char*'

------------------------------------------------------------------------
r15008 | lego | 2005-07-22 21:07:02 -0500 (Fri, 22 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

avoid a crash when tree is null


------------------------------------------------------------------------
r15007 | sahlberg | 2005-07-22 19:46:14 -0500 (Fri, 22 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

ICMP MPLS updates and a new preference option from
Brice Augustin and Maria-Luiza



------------------------------------------------------------------------
r15006 | sahlberg | 2005-07-22 19:42:31 -0500 (Fri, 22 Jul 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS

add back two entries that must have been removed by mistake


------------------------------------------------------------------------
r15005 | sahlberg | 2005-07-22 19:22:02 -0500 (Fri, 22 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hclnfsd.c
   M /trunk/epan/dissectors/packet-mount.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-pcnfsd.c
   M /trunk/epan/dissectors/packet-ypserv.c

we no longer need to g_free() teh string returned by dissect_rpc_string.

when checking the calls in packet-ndmp.c  we must have had a memleak there since it never freed those strings.



------------------------------------------------------------------------
r15004 | sahlberg | 2005-07-22 18:38:51 -0500 (Fri, 22 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/emem.c

include stdlib instead of malloc.h 

------------------------------------------------------------------------
r15003 | sahlberg | 2005-07-22 18:33:12 -0500 (Fri, 22 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

recode tvb_memdup() into more efficient  emem fucntions.
Now that we dont have to  free() the memory explicitely we got rid of a few unnessecary g_strdup() as well.



------------------------------------------------------------------------
r15002 | etxrab | 2005-07-22 18:12:26 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   D /trunk/epan/dissectors/packet-mms-control.c
   D /trunk/epan/dissectors/packet-mms-data.c

No longer needed
------------------------------------------------------------------------
r15001 | etxrab | 2005-07-22 18:11:11 -0500 (Fri, 22 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-ms-mms.c

From Martin Mathieson:
Collapsed the control and data protocols into dissector to cope with commands and data over the same TCP connection.  I've also prettified things a bit and now decoded a few more command parameters.

------------------------------------------------------------------------
r15000 | sahlberg | 2005-07-22 18:04:52 -0500 (Fri, 22 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mmse.c

recode the tvb_memdup() to use emem calls.



------------------------------------------------------------------------
r14999 | sahlberg | 2005-07-22 17:56:08 -0500 (Fri, 22 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipdc.c

remove a redundant tvb_memdup()   and fix a potential buffer overflow at the same time.


------------------------------------------------------------------------
r14998 | sahlberg | 2005-07-22 17:45:36 -0500 (Fri, 22 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-armagetronad.c

replace one tvb_memdup() with a tvb_memcpy() using an automatically freed emem buffer


------------------------------------------------------------------------
r14997 | jmayer | 2005-07-22 12:57:40 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/tools/lemon/lemon.c
   M /trunk/wiretap/ascend-grammar.y
   M /trunk/wiretap/ascend-int.h
   M /trunk/wiretap/wtap.h

Fix some warnings (and one of my previous 'fixes')
------------------------------------------------------------------------
r14996 | jmayer | 2005-07-22 12:55:47 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h

Set svn:keywords and svn:eol-style
------------------------------------------------------------------------
r14995 | gerald | 2005-07-22 11:43:05 -0500 (Fri, 22 Jul 2005) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/config.nmake
   M /trunk/configure.in

Bump the version and add a few entries to the NEWS file.

------------------------------------------------------------------------
r14994 | etxrab | 2005-07-22 10:55:06 -0500 (Fri, 22 Jul 2005) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Hannes Gredler:
support for support for DLT_JUNIPER_MLPPP

------------------------------------------------------------------------
r14993 | gerald | 2005-07-22 10:51:20 -0500 (Fri, 22 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

Fix a potential memory leak.

------------------------------------------------------------------------
r14992 | etxrab | 2005-07-22 10:20:57 -0500 (Fri, 22 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

From Graham Bloice
updates.
------------------------------------------------------------------------
r14991 | etxrab | 2005-07-22 08:37:19 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c

From Maynard, Chris.
------------------------------------------------------------------------
r14990 | kukosa | 2005-07-22 05:38:22 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/tcap/tcap.cnf

fix for new asn2eth
------------------------------------------------------------------------
r14989 | etxrab | 2005-07-22 03:56:41 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Use NULL intead of "" in all calls to packet-gsm_a.c
------------------------------------------------------------------------
r14988 | etxrab | 2005-07-22 03:55:06 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Add ep_init_chunk.
------------------------------------------------------------------------
r14987 | sahlberg | 2005-07-22 03:27:20 -0500 (Fri, 22 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/to_str.c

convert all other nasty "rotating static array" from to_str.c and make them use  the new emem api.



------------------------------------------------------------------------
r14986 | jmayer | 2005-07-22 02:55:51 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/rdps.c
   M /trunk/tools/lemon/lemon.c
   M /trunk/wiretap/airopeek9.c
   M /trunk/wiretap/ascend.c

More 'char*' -> 'const char*' warning fixes
------------------------------------------------------------------------
r14985 | jmayer | 2005-07-22 02:54:18 -0500 (Fri, 22 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

Beginning of radiotap's header dissection
------------------------------------------------------------------------
r14984 | sahlberg | 2005-07-22 02:46:58 -0500 (Fri, 22 Jul 2005) | 14 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/emem.c
   A /trunk/epan/emem.h
   M /trunk/epan/epan.c
   M /trunk/epan/to_str.c
   M /trunk/gtk/main.c
   M /trunk/tethereal.c

EMEM : a simple and FAST api to allocate memory that will be automatically freed() when the next packet is dissected.

This offesr memory allocation with a packet  scope making memory leaks less likely and memory management faster.


Add initialization calls for both tethereal and ethereal.

Convert the ip_to_str() function to use this and avoid doing the silly rotating buffers thing it previously did.


We also need an equivalent set of functions for allocation with capture file scope (free when next capture is loaded) but i dont know where to put the free_all call.



------------------------------------------------------------------------
r14983 | sahlberg | 2005-07-21 21:07:43 -0500 (Thu, 21 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

fix some bugs in a value string

this fixes bug 291



------------------------------------------------------------------------
r14982 | sahlberg | 2005-07-21 21:00:04 -0500 (Thu, 21 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

fix for bug 290

v2 exchange code 37 is "INFORMATIONAL"



------------------------------------------------------------------------
r14981 | gerald | 2005-07-21 16:40:57 -0500 (Thu, 21 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/tvbuff.c

When trying to handle gzip-compressed data, don't seek past the end of our 
compressed data buffer.  Fixes bug 288.

------------------------------------------------------------------------
r14980 | sahlberg | 2005-07-21 16:12:09 -0500 (Thu, 21 Jul 2005) | 4 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/asn1/cms/cms-exp.cnf
   M /trunk/asn1/ftam/ftam.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/asn1/pkixcmp/cmp-exp.cnf
   M /trunk/asn1/pkixcrmf/crmf-exp.cnf
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/asn1/x509af/x509af-exp.cnf
   M /trunk/asn1/x509ce/x509ce-exp.cnf
   M /trunk/asn1/x509if/x509if-exp.cnf
   M /trunk/asn1/x509sat/x509sat-exp.cnf
   M /trunk/epan/dissectors/packet-MAP_DialoguePDU.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/libethereal.def
   M /trunk/tools/asn2eth.py

change the symbol dissect_ber_CHOICE back into dissect_ber_choice



------------------------------------------------------------------------
r14979 | ulfl | 2005-07-21 15:32:25 -0500 (Thu, 21 Jul 2005) | 1 line
Changed paths:
   M /trunk/COPYING

make the prefix "Just to avoid some misunderstandings..." a little bit more NSIS installer friendly (without making it odd looking)
------------------------------------------------------------------------
r14978 | ulfl | 2005-07-21 15:17:52 -0500 (Thu, 21 Jul 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

remove the radius dir and all it's files while uninstalling
------------------------------------------------------------------------
r14977 | ulfl | 2005-07-21 15:05:37 -0500 (Thu, 21 Jul 2005) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

Make GTK Wimp the default, so the installation type isn't always "Custom" on recent OS like 2K or XP (it will be disabled, if an "unappropriate" OS like Win98 is detected)

Grouping the sections together, so getting an idea of the available sections become an easier task
------------------------------------------------------------------------
r14976 | jmayer | 2005-07-21 12:23:29 -0500 (Thu, 21 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dhcp-failover.c

More warining fixes: char -> const char
------------------------------------------------------------------------
r14975 | jmayer | 2005-07-21 12:21:48 -0500 (Thu, 21 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/tap.c
   M /trunk/epan/tap.h

More warining fixes: char -> const char
------------------------------------------------------------------------
r14974 | jmayer | 2005-07-21 12:17:16 -0500 (Thu, 21 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

One forgotten warning fix
------------------------------------------------------------------------
r14973 | jmayer | 2005-07-21 12:04:10 -0500 (Thu, 21 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/prefs.h

small warning fixes
------------------------------------------------------------------------
r14972 | ulfl | 2005-07-20 17:11:48 -0500 (Wed, 20 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-llc.c

"fix" bug #244: the implementation was correct but a bit hard to understand. I've added some small explanations, so it should be understandable somewhat better
------------------------------------------------------------------------
r14971 | gerald | 2005-07-20 15:57:04 -0500 (Wed, 20 Jul 2005) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-uma.c

In packet-gsm_a.c:

  - Make sure every function that has an "add_string" argument, make sure
    it isn't NULL before we write to it.
    a null "add_string".
  - Use "_U_" instead of "add_string = add_string" to squelch compiler
    warnings.
  - Fix other compiler warnings.

In packet-uma.c, pass NULL instead of "" for the add_string argument to
de_mid().  Fixes bug 287.

------------------------------------------------------------------------
r14970 | jmayer | 2005-07-20 10:08:29 -0500 (Wed, 20 Jul 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c


Convert the result of tvb_get_guint8 to (gint8) so that the display
as FT_INT32 shows a negative number if appropriate.

Is there a better way to solve this?
Does this problem occur in other places too?

------------------------------------------------------------------------
r14969 | sahlberg | 2005-07-20 07:20:56 -0500 (Wed, 20 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

prettify the HW type and address printouts slightly.



------------------------------------------------------------------------
r14968 | jmayer | 2005-07-20 07:05:14 -0500 (Wed, 20 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dis-enums.h

Fix: packet-dis-enums.h:248: warning: comma at end of enumerator list
------------------------------------------------------------------------
r14967 | sahlberg | 2005-07-20 06:44:57 -0500 (Wed, 20 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

add proper decoding and presentation of domain  strings in dhcpv6

this fixes bug 273


------------------------------------------------------------------------
r14966 | jmayer | 2005-07-20 06:01:35 -0500 (Wed, 20 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

Change proto_register_protocol to use 'const char*' instead of 'char*'
------------------------------------------------------------------------
r14965 | jmayer | 2005-07-20 06:00:01 -0500 (Wed, 20 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan

Add radius_dict.c to svn:ignore
------------------------------------------------------------------------
r14964 | sahlberg | 2005-07-20 02:51:24 -0500 (Wed, 20 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

fix for bug 285

decode isakmp nat keepalive packets properly


------------------------------------------------------------------------
r14963 | ulfl | 2005-07-19 19:47:58 -0500 (Tue, 19 Jul 2005) | 3 lines
Changed paths:
   M /trunk/docbook/Makefile

print in the first target output line also which kind of target is in the making: "EUG" or "EDG"

remove obsolete HHC setting
------------------------------------------------------------------------
r14962 | gerald | 2005-07-19 17:24:28 -0500 (Tue, 19 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Move Win32-specific variable declaration to the beginning of a function. 
Fixes a recent buildbot failure.

------------------------------------------------------------------------
r14961 | lego | 2005-07-19 16:40:12 -0500 (Tue, 19 Jul 2005) | 4 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

Avoid the selected item been white on white by making all analysis widows colored.
Fixes bug 286.


------------------------------------------------------------------------
r14960 | ulfl | 2005-07-19 16:05:17 -0500 (Tue, 19 Jul 2005) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/user-guide.xml

current Ethereal version is 0.10.11
------------------------------------------------------------------------
r14959 | ulfl | 2005-07-19 15:49:28 -0500 (Tue, 19 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/proto.h

fix three doxygen warnings
------------------------------------------------------------------------
r14958 | ulfl | 2005-07-19 15:46:38 -0500 (Tue, 19 Jul 2005) | 1 line
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/main.h
   M /trunk/gtk/menu.h
   M /trunk/gtk/recent.h

fix various doxygen warnings
------------------------------------------------------------------------
r14957 | sahlberg | 2005-07-19 15:45:17 -0500 (Tue, 19 Jul 2005) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-ifcp.c

From Aboo

New protocol :    iFCP   protocol


------------------------------------------------------------------------
r14956 | ulfl | 2005-07-19 15:44:45 -0500 (Tue, 19 Jul 2005) | 1 line
Changed paths:
   M /trunk/disabled_protos.c
   M /trunk/doc/ethereal.pod
   M /trunk/epan/addr_resolv.c
   M /trunk/gtk/main.c

from Graeme Hewson: "Fixes for ethereal config files"
------------------------------------------------------------------------
r14955 | ulfl | 2005-07-19 15:06:19 -0500 (Tue, 19 Jul 2005) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/edg_src/EDG_chapter_env_intro.xml
   M /trunk/docbook/edg_src/EDG_preface.xml

from Jaap Keuter: "Syncing info from User Guide into Dev Guide"
------------------------------------------------------------------------
r14954 | etxrab | 2005-07-19 14:48:02 -0500 (Tue, 19 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix an unpack_digits off by one error.
------------------------------------------------------------------------
r14953 | etxrab | 2005-07-19 14:47:17 -0500 (Tue, 19 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Fix an unpack_digits off by one error.
------------------------------------------------------------------------
r14952 | sahlberg | 2005-07-19 03:58:20 -0500 (Tue, 19 Jul 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

minor fix to add required alignment for AueryPathInfo  level 0x107


it decodes "better"   but might still be broken since none of the packets I have match any of the "standards"




------------------------------------------------------------------------
r14951 | kukosa | 2005-07-18 15:45:46 -0500 (Mon, 18 Jul 2005) | 1 line
Changed paths:
   M /trunk/tools/asn2eth.py
   M /trunk/tools/lex.py
   M /trunk/tools/yacc.py

PLY package updated to version 1.6
------------------------------------------------------------------------
r14950 | guy | 2005-07-18 04:55:54 -0500 (Mon, 18 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dis.c

DIS packets must be at least 12 bytes long.  DIS uses port 3000, by
default, but the Cisco Redundant Link Management protocol can also use
that port; RLM packets are 8 bytes long, so we use this to distinguish
between them.

------------------------------------------------------------------------
r14949 | sahlberg | 2005-07-18 03:29:03 -0500 (Mon, 18 Jul 2005) | 7 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

GTK 1.2   does not define the macro GDK_IS_DRAWABLE which made compilation of the recent flow analysis fail to compile.

For the time being, just add a dummy define for this symbol making it always TRUE for gtk-1.x users so that it compiles.

this should be fixed properly at a later stage, but i guess there are very few users of gtk-1.2 anyway  so no urgency.


------------------------------------------------------------------------
r14948 | lego | 2005-07-17 18:12:12 -0500 (Sun, 17 Jul 2005) | 4 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/flow_graph.c
   M /trunk/gtk/graph_analysis.c

From Francisco Alcoba
Flow Graphs for any protocol


------------------------------------------------------------------------
r14947 | gerald | 2005-07-17 17:30:56 -0500 (Sun, 17 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Tweak the previous fix.

------------------------------------------------------------------------
r14946 | gerald | 2005-07-17 17:16:59 -0500 (Sun, 17 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Make the recent RADIUS changes work on IA64.

------------------------------------------------------------------------
r14945 | jmayer | 2005-07-17 08:55:46 -0500 (Sun, 17 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.am

Add radius_dict.c to DISTCLEAN


------------------------------------------------------------------------
r14944 | ulfl | 2005-07-17 08:39:24 -0500 (Sun, 17 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/Makefile.nmake

add radius_dict.c to the distclean target, don't know how to do this for Makefile.am
------------------------------------------------------------------------
r14943 | guy | 2005-07-17 03:41:07 -0500 (Sun, 17 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

It's "svn:keywords", not "svn:keyword".

------------------------------------------------------------------------
r14942 | guy | 2005-07-17 03:39:51 -0500 (Sun, 17 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Fix the RCS ID.

------------------------------------------------------------------------
r14941 | etxrab | 2005-07-16 16:34:19 -0500 (Sat, 16 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-t38.c

Update to the new per signatures.
------------------------------------------------------------------------
r14940 | etxrab | 2005-07-16 14:59:21 -0500 (Sat, 16 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_a.h
   M /trunk/epan/dissectors/packet-uma.c

Remove some unused variables.
------------------------------------------------------------------------
r14939 | etxrab | 2005-07-16 14:58:23 -0500 (Sat, 16 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Remove an unused export
------------------------------------------------------------------------
r14938 | guy | 2005-07-16 01:20:56 -0500 (Sat, 16 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

List the new "packet-radius.h" file so it's included in the tarball.

------------------------------------------------------------------------
r14937 | guy | 2005-07-15 20:55:58 -0500 (Fri, 15 Jul 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Get rid of the newline between "radius:" and the error when trying to
read the RADIUS directory.

The error string from "radius_load_dictionary()" is g_malloced; free it,
and g_strdup the "Could not find the radius directory" error, so we
don't have to worry about constant vs. g_malloced strings.

------------------------------------------------------------------------
r14936 | guy | 2005-07-15 20:33:22 -0500 (Fri, 15 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/radius_dict.l

Throw in some casts to squelch warnings, at least with some compilers
(the values are const because nobody's supposed to modify them once
they've been allocated, but they *can* be freed - by us - when we're
done with them).

------------------------------------------------------------------------
r14935 | sahlberg | 2005-07-15 20:04:36 -0500 (Fri, 15 Jul 2005) | 5 lines
Changed paths:
   A /trunk/asn1/wlancertextn
   A /trunk/asn1/wlancertextn/Makefile
   A /trunk/asn1/wlancertextn/Makefile.nmake
   A /trunk/asn1/wlancertextn/WLANCERTEXTN.asn
   A /trunk/asn1/wlancertextn/packet-wlancertextn-template.c
   A /trunk/asn1/wlancertextn/packet-wlancertextn-template.h
   A /trunk/asn1/wlancertextn/wlancertextn.cnf
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-wlancertextn.c
   A /trunk/epan/dissectors/packet-wlancertextn.h

new protocol

RFC3770   Wlan Certificate Extensions


------------------------------------------------------------------------
r14934 | guy | 2005-07-15 19:45:22 -0500 (Fri, 15 Jul 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

It's "plugins", not "Plugins".

------------------------------------------------------------------------
r14933 | guy | 2005-07-15 19:37:44 -0500 (Fri, 15 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

epan/dissectors/packet-gtp.h has rung down the curtain and joined the
Choir Invisible.

------------------------------------------------------------------------
r14932 | guy | 2005-07-15 19:27:53 -0500 (Fri, 15 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius_packetcable.c

Fix the name of the "svn:keywords" property.

------------------------------------------------------------------------
r14931 | guy | 2005-07-15 19:26:07 -0500 (Fri, 15 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius_packetcable.c

Fix the RCS ID.

------------------------------------------------------------------------
r14930 | lego | 2005-07-15 17:36:21 -0500 (Fri, 15 Jul 2005) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

comments are ";" not ":"


------------------------------------------------------------------------
r14929 | lego | 2005-07-15 16:45:34 -0500 (Fri, 15 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius_packetcable.c

propset and fix the filename

------------------------------------------------------------------------
r14928 | lego | 2005-07-15 16:41:47 -0500 (Fri, 15 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.h
   M /trunk/epan/radius_dict.l

forgot to add the (c) notice


------------------------------------------------------------------------
r14927 | lego | 2005-07-15 16:32:12 -0500 (Fri, 15 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ranap.c

register the dissector by name


------------------------------------------------------------------------
r14926 | lego | 2005-07-15 16:18:32 -0500 (Fri, 15 Jul 2005) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.common
   M /trunk/epan/Makefile.nmake
   M /trunk/packaging/nsis/ethereal.nsi

Radius Dictionary Support
Part 3: the makefiles


------------------------------------------------------------------------
r14925 | lego | 2005-07-15 16:12:27 -0500 (Fri, 15 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c
   D /trunk/epan/dissectors/packet-gtp.h
   M /trunk/epan/dissectors/packet-radius.c
   A /trunk/epan/dissectors/packet-radius.h
   A /trunk/epan/dissectors/packet-radius_packetcable.c
   A /trunk/epan/radius_dict.l

Radius Dictionary Support
Part 2: the code

------------------------------------------------------------------------
r14924 | lego | 2005-07-15 16:03:13 -0500 (Fri, 15 Jul 2005) | 4 lines
Changed paths:
   A /trunk/radius
   A /trunk/radius/dictionary
   A /trunk/radius/dictionary.3com
   A /trunk/radius/dictionary.3gpp
   A /trunk/radius/dictionary.3gpp2
   A /trunk/radius/dictionary.acc
   A /trunk/radius/dictionary.alcatel
   A /trunk/radius/dictionary.alteon
   A /trunk/radius/dictionary.altiga
   A /trunk/radius/dictionary.aptis
   A /trunk/radius/dictionary.ascend
   A /trunk/radius/dictionary.bay
   A /trunk/radius/dictionary.bintec
   A /trunk/radius/dictionary.bristol
   A /trunk/radius/dictionary.cablelabs
   A /trunk/radius/dictionary.cabletron
   A /trunk/radius/dictionary.cisco
   A /trunk/radius/dictionary.cisco.bbsm
   A /trunk/radius/dictionary.cisco.vpn3000
   A /trunk/radius/dictionary.cisco.vpn5000
   A /trunk/radius/dictionary.colubris
   A /trunk/radius/dictionary.columbia_university
   A /trunk/radius/dictionary.compat
   A /trunk/radius/dictionary.cosine
   A /trunk/radius/dictionary.erx
   A /trunk/radius/dictionary.extreme
   A /trunk/radius/dictionary.foundry
   A /trunk/radius/dictionary.freeradius
   A /trunk/radius/dictionary.gandalf
   A /trunk/radius/dictionary.garderos
   A /trunk/radius/dictionary.gemtek
   A /trunk/radius/dictionary.itk
   A /trunk/radius/dictionary.juniper
   A /trunk/radius/dictionary.karlnet
   A /trunk/radius/dictionary.livingston
   A /trunk/radius/dictionary.localweb
   A /trunk/radius/dictionary.merit
   A /trunk/radius/dictionary.microsoft
   A /trunk/radius/dictionary.mikrotik
   A /trunk/radius/dictionary.navini
   A /trunk/radius/dictionary.netscreen
   A /trunk/radius/dictionary.nokia
   A /trunk/radius/dictionary.nomadix
   A /trunk/radius/dictionary.propel
   A /trunk/radius/dictionary.quintum
   A /trunk/radius/dictionary.redback
   A /trunk/radius/dictionary.redcreek
   A /trunk/radius/dictionary.shasta
   A /trunk/radius/dictionary.shiva
   A /trunk/radius/dictionary.sonicwall
   A /trunk/radius/dictionary.springtide
   A /trunk/radius/dictionary.t_systems_nova
   A /trunk/radius/dictionary.telebit
   A /trunk/radius/dictionary.trapeze
   A /trunk/radius/dictionary.tunnel
   A /trunk/radius/dictionary.unisphere
   A /trunk/radius/dictionary.unix
   A /trunk/radius/dictionary.usr
   A /trunk/radius/dictionary.valemount
   A /trunk/radius/dictionary.versanet
   A /trunk/radius/dictionary.wispr
   A /trunk/radius/dictionary.xedia

Radius dictionary support
Part 1: the dictionary


------------------------------------------------------------------------
r14923 | gerald | 2005-07-15 15:50:34 -0500 (Fri, 15 Jul 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh

Point to the latest Windows library tag and versions.

------------------------------------------------------------------------
r14922 | etxrab | 2005-07-15 15:26:36 -0500 (Fri, 15 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Updare Id, and a comment.
------------------------------------------------------------------------
r14921 | kukosa | 2005-07-15 10:20:40 -0500 (Fri, 15 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h
   M /trunk/tools/asn2eth.py

- PER helper functions for SET/SEQUENCE OF dissection were changed to have prototype similar to BER (per_sequence_t is used as parameter)
- asn2eth was updated to support new PER helper functions for SET/SEQUENCE OF
- #.FN_PARS implemented for SET/SEQUENCE OF and REAL
- PER SET/SEQUENCE OF field can be FT_UINTxx to display number of items
- PER dissectors regenerated
------------------------------------------------------------------------
r14920 | sahlberg | 2005-07-15 03:29:26 -0500 (Fri, 15 Jul 2005) | 8 lines
Changed paths:
   M /trunk/gtk/io_stat.c

make io-stat able to do SUM(*) for FT_RELATIVE_TIME fields


Example:   SUM(tcp.analysis.rto)
so one can plot the total amount of time that TCP sessions were idle due to waiting for a retransmission to occur.



------------------------------------------------------------------------
r14919 | ulfl | 2005-07-14 16:45:18 -0500 (Thu, 14 Jul 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_capture.xml
   M /trunk/docbook/user-guide.xml

minor change: add TcpdumpManpage entity
------------------------------------------------------------------------
r14918 | etxrab | 2005-07-14 16:05:38 -0500 (Thu, 14 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_a.h
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-uma.c

Packet-gtp.c - Fix up decoding of the rest of the IE:s use routines from packet-gsm_a.c
Packet-uma.c Let packet-gsm_a handle som IE dissection.
Packet-gsm.a add some IE dissection and export some routines.
------------------------------------------------------------------------
r14917 | sahlberg | 2005-07-14 03:10:30 -0500 (Thu, 14 Jul 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

ISAKMP version2   has changed the payload format of a CertificateRequest.

In version 2 this is just a concatenation of 20 byte SHA-1 hashes with no other encxapsulation.

this resolves bug 281




------------------------------------------------------------------------
r14916 | jmayer | 2005-07-14 03:03:59 -0500 (Thu, 14 Jul 2005) | 2 lines
Changed paths:
   M /trunk/plugins/v5ua/packet-v5ua.c

moduleinfo.h was included twice.

------------------------------------------------------------------------
r14915 | lego | 2005-07-13 18:40:06 -0500 (Wed, 13 Jul 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

fix a string


------------------------------------------------------------------------
r14914 | etxrab | 2005-07-13 16:38:07 -0500 (Wed, 13 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-messaging.c

From Ilya Konstantinov :
fixes a tiny bug which caused the boolean fields not to refer to the same offset as their 
parent.

------------------------------------------------------------------------
r14913 | sahlberg | 2005-07-13 03:24:05 -0500 (Wed, 13 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/dssetup/packet-dcerpc-dssetup.c
   M /trunk/epan/dissectors/packet-dcerpc-budb.c
   M /trunk/epan/dissectors/packet-dcerpc-dssetup.c

convert two other autogenerated dissectors to use FT_GUID


------------------------------------------------------------------------
r14912 | sahlberg | 2005-07-13 03:00:15 -0500 (Wed, 13 Jul 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc.c

make idl2eth generate FT_GUID hf fields for uuid_t and GUID types.

make dissect_dcerpc_uuid_t() accept eitehr FT_STRING (old style) and FT_GUID (new style) hf fields. once all dissectors are modified to use FT_GUID we can remove the FT_STRING support here.

regenerate the DRSUAPI interface with the new FT_GUID support.




------------------------------------------------------------------------
r14911 | etxrab | 2005-07-13 00:06:38 -0500 (Wed, 13 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim.c

From Ilya Konstantinov :
 A patch to the AIM dissector to support Client Auto Response messages. I still don't know the meaning of all the fields as they weren't all mapped but this patch decodes all the important ones.

------------------------------------------------------------------------
r14910 | ulfl | 2005-07-12 16:21:14 -0500 (Tue, 12 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c

code cleanup: use "correct" proto_tree_add_... functions for li and tpdu code fields
------------------------------------------------------------------------
r14909 | ulfl | 2005-07-12 16:09:34 -0500 (Tue, 12 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tpkt.c

add some more textual explanations of the protocol and it's fields
------------------------------------------------------------------------
r14908 | tuexen | 2005-07-12 16:04:05 -0500 (Tue, 12 Jul 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_graph_dlg.c

From Irene Ruengeler: Handle multiple gap reports correctly and use correct name of a button.

------------------------------------------------------------------------
r14907 | etxrab | 2005-07-12 15:30:33 -0500 (Tue, 12 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Fix decoding of quintuplets.
------------------------------------------------------------------------
r14906 | jmayer | 2005-07-12 12:08:17 -0500 (Tue, 12 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors

Update svn:ignore
        Add register.c-tmp
        Remove duplicate tags and TAGS

------------------------------------------------------------------------
r14905 | jmayer | 2005-07-12 12:06:09 -0500 (Tue, 12 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

Add value for FCS (no decoding).
Fix a signedness warning.

------------------------------------------------------------------------
r14904 | jmayer | 2005-07-12 07:44:42 -0500 (Tue, 12 Jul 2005) | 8 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.common
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/epan/dissectors/Makefile.common

Remove/replace SPACES at the beginning of Makefile.am/Makefile.common
files as not all make implementation work with this.

Found by running
grep '^ ' `find . -name "Makefile.am" -o -name "Makefile.common"`

Gerald: Maybe adding this to the buildbot would be a good idea after all.

------------------------------------------------------------------------
r14903 | guy | 2005-07-11 20:01:19 -0500 (Mon, 11 Jul 2005) | 2 lines
Changed paths:
   M /trunk/asn1/ftam/ftam.cnf
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-tcap.c

Fix some more signed vs. unsigned warnings.

------------------------------------------------------------------------
r14902 | guy | 2005-07-11 17:48:51 -0500 (Mon, 11 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

In NTLMSP_AUTH messages, include the domain name and user name in the
Info column.

------------------------------------------------------------------------
r14901 | etxrab | 2005-07-11 17:27:20 -0500 (Mon, 11 Jul 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Jeremy j Ouellette
------------------------------------------------------------------------
r14900 | etxrab | 2005-07-11 17:23:57 -0500 (Mon, 11 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

DIS dissection
------------------------------------------------------------------------
r14899 | etxrab | 2005-07-11 17:23:15 -0500 (Mon, 11 Jul 2005) | 2 lines
Changed paths:
   A /trunk/epan/dissectors/packet-dis-enums.c
   A /trunk/epan/dissectors/packet-dis-enums.h
   A /trunk/epan/dissectors/packet-dis-fields.c
   A /trunk/epan/dissectors/packet-dis-fields.h
   A /trunk/epan/dissectors/packet-dis-pdus.c
   A /trunk/epan/dissectors/packet-dis-pdus.h
   A /trunk/epan/dissectors/packet-dis.c

From Jeremy j Ouellette:
DIS dissection.
------------------------------------------------------------------------
r14898 | ulfl | 2005-07-11 15:14:43 -0500 (Mon, 11 Jul 2005) | 1 line
Changed paths:
   M /trunk/colorfilters

fix a syntax error in the "Routing" rule, reported by Jeff Morriss
------------------------------------------------------------------------
r14897 | etxrab | 2005-07-11 14:25:25 -0500 (Mon, 11 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_a.h
   M /trunk/epan/dissectors/packet-gsm_map.c

Dissect some more fields
------------------------------------------------------------------------
r14896 | etxrab | 2005-07-11 14:24:30 -0500 (Mon, 11 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Dissect some more fields
------------------------------------------------------------------------
r14895 | guy | 2005-07-10 13:29:43 -0500 (Sun, 10 Jul 2005) | 9 lines
Changed paths:
   M /trunk/gtk/tcp_graph.c

Just pass &cfile to select_tcpip_session(); we don't need to pass
cfile.current_frame to it separately.

Note that we shouldn't ever get a "Selected packet isn't a TCP segment"
error any more; we can now handle all link layers.

Give a little more detail in the message shown if there's *more than
one* TCP header in the packet.

------------------------------------------------------------------------
r14894 | guy | 2005-07-10 05:10:40 -0500 (Sun, 10 Jul 2005) | 5 lines
Changed paths:
   M /trunk/gtk/tcp_graph.c

Fix some comment typos.

Don't regenerate the packet list when generating the TCP stream graph -
it won't be changing; just redissect and run the tap.

------------------------------------------------------------------------
r14893 | guy | 2005-07-10 04:26:20 -0500 (Sun, 10 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lpd.c

Put the data (print job contents) in LPD requests under the LPD protocol
item, rather than making it a top-level item.

------------------------------------------------------------------------
r14892 | guy | 2005-07-10 04:21:57 -0500 (Sun, 10 Jul 2005) | 2 lines
Changed paths:
   M /trunk/gtk/tcp_graph.c

Get rid of an unused argument.

------------------------------------------------------------------------
r14891 | jmayer | 2005-07-10 03:04:27 -0500 (Sun, 10 Jul 2005) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/doc/Makefile.am
   M /trunk/epan/Makefile.am
   M /trunk/epan/dfilter/Makefile.am
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/epan/ftypes/Makefile.am
   M /trunk/gtk/Makefile.am
   M /trunk/help/Makefile.am
   M /trunk/packaging/Makefile.am
   M /trunk/packaging/nsis/Makefile.am
   M /trunk/packaging/rpm/Makefile.am
   M /trunk/packaging/rpm/SPECS/Makefile.am
   M /trunk/packaging/svr4/Makefile.am
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/acn/Makefile.am
   M /trunk/plugins/agentx/Makefile.am
   M /trunk/plugins/artnet/Makefile.am
   M /trunk/plugins/asn1/Makefile.am
   M /trunk/plugins/ciscosm/Makefile.am
   M /trunk/plugins/docsis/Makefile.am
   M /trunk/plugins/enttec/Makefile.am
   M /trunk/plugins/giop/Makefile.am
   M /trunk/plugins/gryphon/Makefile.am
   M /trunk/plugins/irda/Makefile.am
   M /trunk/plugins/lwres/Makefile.am
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/megaco/Makefile.am
   M /trunk/plugins/mgcp/Makefile.am
   M /trunk/plugins/opsi/Makefile.am
   M /trunk/plugins/pcli/Makefile.am
   M /trunk/plugins/profinet/Makefile.am
   M /trunk/plugins/rdm/Makefile.am
   M /trunk/plugins/rlm/Makefile.am
   M /trunk/plugins/rtnet/Makefile.am
   M /trunk/plugins/rudp/Makefile.am
   M /trunk/plugins/stats_tree/Makefile.am
   M /trunk/plugins/v5ua/Makefile.am
   M /trunk/plugins/xml/Makefile.am
   M /trunk/tools/Makefile.am
   M /trunk/tools/lemon/Makefile.am
   M /trunk/wiretap/Makefile.am

After doing "make maintainer-clean", "svn status --no-ignore | grep ^I"
returned quite a list of files. Add them to MAINTAINERCLEANFILES.

Whitespace changes (replace multiple spaces by TABs, in a few cases this
needed to be done at the beginning of Makefile lines.


------------------------------------------------------------------------
r14890 | sahlberg | 2005-07-10 00:27:38 -0500 (Sun, 10 Jul 2005) | 19 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

For packets flagged as Retransmission

calculate RTO as the delta between the retransmitted frame and the last previous frame seen for this session (in the same direction).

while this is technically not the RTO  this delta is in most cases more important/useful than the tru RTO anyway since this measure represents the amount of thiime that the link went idle  while waiting for an RTO.




It would be nice with a statistics tap for TCP where one couls see, seeion by session :
Length in time of the session.
Total bytes transferred
Number of retransmissions
Time spent waiting for an RTO
Time spent waiting for an RTO in % of the total time.




------------------------------------------------------------------------
r14889 | sahlberg | 2005-07-09 21:59:50 -0500 (Sat, 09 Jul 2005) | 14 lines
Changed paths:
   M /trunk/gtk/tcp_graph.c

It works reasonably well with extensive testing so here goes :

tcp-graph has been modified to extract tcp data from a TAP instead of reading and parsing directly from the capture file.

This makes tcp graph work for any type of capture and for any transport.




In the future someone with access to captures with TCP over something over TCP
to add a dialog where the user can specify WHICH of the multiple TCP sessions to graph.



------------------------------------------------------------------------
r14888 | ulfl | 2005-07-09 06:28:13 -0500 (Sat, 09 Jul 2005) | 5 lines
Changed paths:
   M /trunk/gtk/summary_dlg.c

MSVC: fix some guint64 related compiler errors

strange enough, MSVC cannot convert from guint64 to float, so cast guint64 -> gint64 -> float

However, even gint64 might be big enough to prevent us from an overflow :-)
------------------------------------------------------------------------
r14887 | ulfl | 2005-07-09 06:26:46 -0500 (Sat, 09 Jul 2005) | 2 lines
Changed paths:
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/hostlist_table.c

MSVC: fix some guint64 related compiler warnings, could someone please review my comment(s), I don't think it's currently implemented correct

------------------------------------------------------------------------
r14886 | guy | 2005-07-08 22:25:25 -0500 (Fri, 08 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos.h
   M /trunk/epan/dissectors/packet-kink.c
   M /trunk/epan/dissectors/packet-spnego.c

Make a bunch of items in encryption code arrays of guint8, and make some
pointers either "void *" or "guint8 *", to reduce the level of compiler
warnings (the data in question is largely binary in those cases).

------------------------------------------------------------------------
r14885 | guy | 2005-07-08 21:58:07 -0500 (Fri, 08 Jul 2005) | 8 lines
Changed paths:
   M /trunk/asn1/acse/acse.cnf
   M /trunk/asn1/cms/cms.cnf
   M /trunk/asn1/ocsp/ocsp.cnf
   M /trunk/asn1/pkix1explicit/pkix1explicit.cnf
   M /trunk/asn1/smrse/smrse.cnf
   M /trunk/asn1/x509af/x509af.cnf
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-ocsp.h
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-smrse.h
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h

Fix up a bunch of arguments to "dissect_ber_identifier()" to match its
current signature ("class" is a "gint8 *", not a "guint8 *", and "tag"
is a "gint32 *", not a "guint32 *").  Re-generate the dissectors from
the ASN.1 and the .cnf files in the cases where the arguments were fixed
in a .cnf file.

Give some dissectors the right svn:keywords and svn:eol-style settings.

------------------------------------------------------------------------
r14884 | guy | 2005-07-08 19:53:17 -0500 (Fri, 08 Jul 2005) | 20 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ans.c
   M /trunk/epan/dissectors/packet-ap1394.c
   M /trunk/epan/dissectors/packet-aruba-adp.c
   M /trunk/epan/dissectors/packet-beep.c
   M /trunk/epan/dissectors/packet-bssap.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-echo.c
   M /trunk/epan/dissectors/packet-enc.c
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-igmp.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-manolito.c
   M /trunk/epan/dissectors/packet-nlm.c
   M /trunk/epan/dissectors/packet-nsip.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-rdt.c
   M /trunk/epan/dissectors/packet-retix-bpdu.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-uma.c

Squelch various signed vs. unsigned warnings by:

	making pointers to byte data be "guint8 *" rather than "char *",
	and making buffers holding byte data arrays of "guint8" rather
	than arrays of "char";

	making pointers to text strings "char *" rather than "guchar *";

	appropriately casting pointers (cast to "guint8 *" when passing
	to routines expecting "guint8 *" or when assigning to "guint8
	*");

	making port-number preferences "guint";

	making enum preferences "gint";

	making hf_ variables "int".

Clean up white space.

------------------------------------------------------------------------
r14883 | guy | 2005-07-08 19:47:57 -0500 (Fri, 08 Jul 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lwapp.c

MAC addresses are arrays of bytes, not strings; make the destination MAC
address an array of guint8 - that squelches some compiler warnings.

Use -1 rather than tvb_length(tvb) to make the item for LWAPP go to the
end of the tvbuff.

------------------------------------------------------------------------
r14882 | guy | 2005-07-08 19:44:44 -0500 (Fri, 08 Jul 2005) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bittorrent.c

Find the BitTorrent dissector immediately after registering it, and save
the handle, rather than finding it every time we need it.

Just make a guint8 array with the BitTorrent magic string length
followed by the string, and use "tvb_memeql()" to test against that - it
handles checking to make sure there's enough data in the tvbuff (if
not, it returns -1 as a "no match" indication) and then checks all of
the first 20 bytes in one operation.

Clean up white space.

------------------------------------------------------------------------
r14881 | guy | 2005-07-08 19:35:13 -0500 (Fri, 08 Jul 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

Use "tvb_get_string()" rather than duplicating its functionality by
hand.

Use "g_strdup()" rather than duplicating its functionality by hand.

Make the magic number an array of "guint8", as "tvb_memeql()" expects a
pointer to "guint8".

------------------------------------------------------------------------
r14880 | ulfl | 2005-07-08 17:11:13 -0500 (Fri, 08 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-gprs-llc.c
   M /trunk/epan/dissectors/packet-gre.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-igmp.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-isis-hello.c
   M /trunk/epan/dissectors/packet-isis-lsp.c
   M /trunk/epan/dissectors/packet-isis-snp.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-vrrp.c

checksum messages: use "[correct]" instead of "(correct)" and other "alike" messages
------------------------------------------------------------------------
r14879 | ulfl | 2005-07-08 17:04:35 -0500 (Fri, 08 Jul 2005) | 1 line
Changed paths:
   M /trunk/docbook/graphics/ethereal-analyze-menu.png
   M /trunk/docbook/graphics/ethereal-bytes-pane-popup-menu.png
   M /trunk/docbook/graphics/ethereal-capture-menu.png
   M /trunk/docbook/graphics/ethereal-capture-options.png
   M /trunk/docbook/graphics/ethereal-decode-as.png
   M /trunk/docbook/graphics/ethereal-details-pane-popup-menu.png
   M /trunk/docbook/graphics/ethereal-details-pane.png
   M /trunk/docbook/graphics/ethereal-display-filter-tcp.png
   M /trunk/docbook/graphics/ethereal-edit-menu.png
   M /trunk/docbook/graphics/ethereal-file-menu.png
   M /trunk/docbook/graphics/ethereal-filter-toolbar.png
   M /trunk/docbook/graphics/ethereal-find-packet.png
   M /trunk/docbook/graphics/ethereal-follow-stream.png
   M /trunk/docbook/graphics/ethereal-go-menu.png
   M /trunk/docbook/graphics/ethereal-gui-preferences.png
   M /trunk/docbook/graphics/ethereal-help-menu.png
   M /trunk/docbook/graphics/ethereal-list-pane.png
   M /trunk/docbook/graphics/ethereal-main-toolbar.png
   M /trunk/docbook/graphics/ethereal-main.png
   M /trunk/docbook/graphics/ethereal-packet-pane-popup-menu.png
   M /trunk/docbook/graphics/ethereal-packet-selected.png
   M /trunk/docbook/graphics/ethereal-statistics-menu.png
   M /trunk/docbook/graphics/ethereal-stats-conversations.png
   M /trunk/docbook/graphics/ethereal-stats-endpoints.png
   M /trunk/docbook/graphics/ethereal-time-reference.png
   M /trunk/docbook/graphics/ethereal-view-menu.png
   M /trunk/docbook/user-guide.xml

Update the EDG screenshots to reflect the latest Ethereal GUI changes
------------------------------------------------------------------------
r14878 | etxrab | 2005-07-08 15:01:11 -0500 (Fri, 08 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Add some missing IMPLICIT tags, and use FN_PARS directive.

Add disection of some RR elements and command Handover.
------------------------------------------------------------------------
r14877 | etxrab | 2005-07-08 14:59:56 -0500 (Fri, 08 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Add some missing IMPLICIT tags, and use FN_PARS directive.
------------------------------------------------------------------------
r14876 | tuexen | 2005-07-08 06:47:59 -0500 (Fri, 08 Jul 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

Fix a crash reported by Jeff Morris.

------------------------------------------------------------------------
r14875 | guy | 2005-07-08 04:12:11 -0500 (Fri, 08 Jul 2005) | 3 lines
Changed paths:
   M /trunk/gtk/summary_dlg.c
   M /trunk/summary.h

Make the counters in the summary 64-bit, so they don't overflow on
Really Big Captures.

------------------------------------------------------------------------
r14874 | guy | 2005-07-07 21:31:45 -0500 (Thu, 07 Jul 2005) | 23 lines
Changed paths:
   M /trunk/epan/dissectors/packet-actrace.c

Get rid of most unused arguments and variables (including some that are
set but not used).  (Leave "pi" around so the warning acts as a reminder
that the tap structure stuff needs a cleanup - currently, the tap
structures aren't freed; perhaps the new memory allocation scheme
proposed by Ronnie could be used for tap structures.)

Have "ac_istrace()" return NOT_ACTRACE for apparently non-actrace
packets and return the packet type for actrace packets, so that we don't
need a global variable for the packet type.

Make "actrace_udp_port" unsigned to squelch a signed vs. unsigned
warning.

Use "col_set_str()" rather than "col_add_str()" when setting the
Protocol column.

We don't recognized packets as CAS packets unless they're 48 bytes long,
so we don't need to test whether they're 48 bytes long in the CAS packet
dissection code.

Use the reported length, not the captured length, when doing length
checks.

------------------------------------------------------------------------
r14873 | guy | 2005-07-07 21:21:16 -0500 (Thu, 07 Jul 2005) | 3 lines
Changed paths:
   M /trunk/wiretap/nettl.c

Make nettl file header items containing strings "gchar", to squelch
signed vs. unsigned compiler warnings.

------------------------------------------------------------------------
r14872 | sahlberg | 2005-07-07 17:24:28 -0500 (Thu, 07 Jul 2005) | 7 lines
Changed paths:
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/conversations_table.h
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/hostlist_table.h

make the packets/bytes counters 64bit integers to not wrap when using really large captures.


setting packet counter to 64bit is overkill but makes it consistent with the very similar bytes counter.



------------------------------------------------------------------------
r14871 | gerald | 2005-07-07 16:26:09 -0500 (Thu, 07 Jul 2005) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/epan/dissectors/make-reg-dotc.py
   M /trunk/tools/cvsdiff-fix.py
   M /trunk/tools/win32-setup.sh

Make sure "which" is present before we verify our tools.  Add "env" to
the list of programs to check.  Make sure our python scripts start with
"#!/usr/bin/env python" as recommended at

  http://www.python.org/doc/faq/library.html#how-do-i-make-a-python-script-executable-on-unix

------------------------------------------------------------------------
r14870 | etxrab | 2005-07-07 14:48:06 -0500 (Thu, 07 Jul 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/ethereal.nsi

Add parlay.dll and tango.dll to the installer.
------------------------------------------------------------------------
r14869 | kukosa | 2005-07-07 00:45:51 -0500 (Thu, 07 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h450/h450.cnf

avoid few warnings from asn2eth compiler
------------------------------------------------------------------------
r14868 | guy | 2005-07-06 23:05:01 -0500 (Wed, 06 Jul 2005) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

Squelch a compiler pointer vs.  integer warning - NULL is for pointers,
'\0' is for characters.

------------------------------------------------------------------------
r14867 | guy | 2005-07-06 23:03:35 -0500 (Wed, 06 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/address.h
   M /trunk/gtk/voip_calls.c

Add a cast to SET_ADDRESS() to squelch GCC4 "differ in signedness"
warnings.  Use SET_ADDRESS in the VOIP calls code, rather than
explicitly filling in "pstn_add".

------------------------------------------------------------------------
r14866 | guy | 2005-07-06 22:20:43 -0500 (Wed, 06 Jul 2005) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

Explicitly initialize all the elements of a voip_calls_tapinfo_t, to
squelch a compiler warning.

------------------------------------------------------------------------
r14865 | guy | 2005-07-06 18:55:19 -0500 (Wed, 06 Jul 2005) | 2 lines
Changed paths:
   M /trunk/tools/asn2eth.py

Fix a spelling error.

------------------------------------------------------------------------
r14864 | kukosa | 2005-07-06 11:19:34 -0500 (Wed, 06 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h245/h245.cnf

more usage of #.FN_PARS directive and usage of DEFAULT_BODY parameter
------------------------------------------------------------------------
r14863 | kukosa | 2005-07-06 11:15:12 -0500 (Wed, 06 Jul 2005) | 2 lines
Changed paths:
   M /trunk/tools/asn2eth.py

- #.FN_PARS implemented for BOOLEAN
- user defined body #.FN_BODY can be combined with default body using DEFAULT_BODY parameter (see e.g. H.225)
------------------------------------------------------------------------
r14862 | jmayer | 2005-07-05 17:58:00 -0500 (Tue, 05 Jul 2005) | 1 line
Changed paths:
   M /trunk/wiretap/AUTHORS

Replace Chris Lydick by Robert Long as Author of the Sniffer 2.003 support patch
------------------------------------------------------------------------
r14861 | ulfl | 2005-07-05 17:33:22 -0500 (Tue, 05 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-isns.c

fix *several* dissector bugs, found by private fuzz-tests
------------------------------------------------------------------------
r14860 | kukosa | 2005-07-05 16:42:13 -0500 (Tue, 05 Jul 2005) | 1 line
Changed paths:
   M /trunk/tools/asn2eth.py

new directives #.PDU_NEW and #.REGISTER_NEW creating and registering PDU dissectors with new_dissector_t prototype
------------------------------------------------------------------------
r14859 | gerald | 2005-07-05 15:20:15 -0500 (Tue, 05 Jul 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h

Call proto_tree_add_guid_hidden() for an FT_GUID value.  Fixes bugs 274,
276, and 277.

------------------------------------------------------------------------
r14858 | gerald | 2005-07-05 15:04:03 -0500 (Tue, 05 Jul 2005) | 3 lines
Changed paths:
   M /trunk/epan/reassemble.c

Don't crash if we're handed a zero-length fragment.  Fixes bug 272.  Although
we don't crash now, we still don't handle zero-length fragments correctly.

------------------------------------------------------------------------
r14857 | kukosa | 2005-07-05 14:53:38 -0500 (Tue, 05 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225.cnf

more usage of #.FN_PARS
------------------------------------------------------------------------
r14856 | kukosa | 2005-07-05 14:47:04 -0500 (Tue, 05 Jul 2005) | 2 lines
Changed paths:
   M /trunk/tools/asn2eth.py

- #.FN_PARS support for ENUMERATED type
- cleanup unused parameters for some methods
------------------------------------------------------------------------
r14855 | kukosa | 2005-07-05 13:55:17 -0500 (Tue, 05 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/to_str.c

GUID lowercase form seems to be preferred
------------------------------------------------------------------------
r14854 | etxrab | 2005-07-05 12:10:09 -0500 (Tue, 05 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-text-media.c

Add application/vnd.wv.csp.xml
------------------------------------------------------------------------
r14853 | etxrab | 2005-07-05 12:09:28 -0500 (Tue, 05 Jul 2005) | 1 line
Changed paths:
   M /trunk/plugins/xml/packet-xml.c

Add application/vnd.wv.csp.xml
------------------------------------------------------------------------
r14852 | etxrab | 2005-07-05 00:16:28 -0500 (Tue, 05 Jul 2005) | 10 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/graph_analysis.h
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls.h
   M /trunk/gtk/voip_calls_dlg.c

From Alejandro Vaquero

- avoid the clist of the calls dlg to be refreshed multiple times when 
first appear.
- destroy the Graph window when the data is not valid anymore.
- fixes an H245 packet count error
- resizing the Graph windows when is displayed (up to 5 columns).
With a change to leave static voip_calls_tapinfo_t the_tapinfo_struct =
	{0, NULL, 0, NULL, 0, 0, 0, 0, NULL, 0, 0, 0, 0, 0, 0, 0, 0, 0};
alone.
------------------------------------------------------------------------
r14851 | etxrab | 2005-07-04 23:32:32 -0500 (Mon, 04 Jul 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lwapp.c

From : David Frascone

These minor changes fix some errors, and add some messages to the LWAPP dissector.

------------------------------------------------------------------------
r14850 | etxrab | 2005-07-04 23:30:59 -0500 (Mon, 04 Jul 2005) | 4 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

From Ainsley Pereira:

If you have an RTP stream in which the first packet is duplicated, and has the marker bit set, then the RTP stream analysis will try to pad silence into a temporary file from 0 upto whatever the RTP timestamp is (which is enough to fill up my disk...). The  patch fixes this misbehaviour.

------------------------------------------------------------------------
r14849 | etxrab | 2005-07-04 14:09:38 -0500 (Mon, 04 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Add dissection of BSS-MAP elements and a fix to dissect Tele and Bearer service again.
------------------------------------------------------------------------
r14848 | etxrab | 2005-07-04 14:07:02 -0500 (Mon, 04 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_a.h
   M /trunk/epan/dissectors/packet-gsm_map.c

Add dissection of BSS-MAP elements and a fix to dissect Tele and Bearer service again.
------------------------------------------------------------------------
r14847 | kukosa | 2005-07-04 08:19:58 -0500 (Mon, 04 Jul 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/epan/dissectors/packet-h225.c

usage of FT_GUID field type in H.225 dissector
------------------------------------------------------------------------
r14846 | kukosa | 2005-07-04 08:13:07 -0500 (Mon, 04 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

export of proto_tree_add_guid...() functions
------------------------------------------------------------------------
r14845 | kukosa | 2005-07-04 08:04:53 -0500 (Mon, 04 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dfilter/semcheck.c
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/ftypes/ftypes.h
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

new field type FT_GUID
------------------------------------------------------------------------
r14844 | kukosa | 2005-07-04 04:35:25 -0500 (Mon, 04 Jul 2005) | 7 lines
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/h235/Makefile.nmake
   M /trunk/asn1/h235/h235-exp.cnf
   M /trunk/asn1/h245/h245.cnf
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h235.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/tools/asn2eth.py

- use tvb instead of offset and length in dissect_per_octet_string() for value returning
- asn2eth: #.FN_PARS support for OCTET STRING
- usage of #.FN_PARS in h225 and h245
- h225: ParallelH245Control support
- h245: better support of NonStandardParameter
- usage of MAX_OID_STR_LEN constant
- all PER dissectors regenerated
------------------------------------------------------------------------
r14843 | ulfl | 2005-07-04 02:03:04 -0500 (Mon, 04 Jul 2005) | 1 line
Changed paths:
   M /trunk/docbook/custom_layer_pdf.xsl

add a link to special documentation
------------------------------------------------------------------------
r14842 | guy | 2005-07-03 22:45:29 -0500 (Sun, 03 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-giop.c

Mark stub data as such if no dissector claims it.

------------------------------------------------------------------------
r14841 | ulfl | 2005-07-03 17:53:11 -0500 (Sun, 03 Jul 2005) | 1 line
Changed paths:
   M /trunk/docbook/custom_layer_pdf.xsl

from Jaap Keuter: some improvements to the custom PDF creation stylesheet
------------------------------------------------------------------------
r14840 | etxrab | 2005-07-03 16:20:27 -0500 (Sun, 03 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_a.h
   M /trunk/epan/dissectors/packet-uma.c

Add an exported value string
------------------------------------------------------------------------
r14839 | etxrab | 2005-07-03 16:19:49 -0500 (Sun, 03 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Add an exported value string
------------------------------------------------------------------------
r14838 | etxrab | 2005-07-03 15:33:06 -0500 (Sun, 03 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-uma.c

Change gsm_a.c to use value strings in some places in preparation to use it from packet-uma.c and gsm_map.
Some bug fixes to packet-uma.c
------------------------------------------------------------------------
r14837 | etxrab | 2005-07-03 07:01:11 -0500 (Sun, 03 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Add packet-mms.h 
------------------------------------------------------------------------
r14836 | sahlberg | 2005-07-03 01:08:53 -0500 (Sun, 03 Jul 2005) | 4 lines
Changed paths:
   A /trunk/asn1/mms
   A /trunk/asn1/mms/Makefile
   A /trunk/asn1/mms/Makefile.nmake
   A /trunk/asn1/mms/mms-exp.cnf
   A /trunk/asn1/mms/mms.asn
   A /trunk/asn1/mms/mms.cnf
   A /trunk/asn1/mms/packet-mms-template.c
   A /trunk/asn1/mms/packet-mms-template.h
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-mms.c
   A /trunk/epan/dissectors/packet-mms.h

New protocol :
MMS    Manufacturing Message Specification


------------------------------------------------------------------------
r14835 | sahlberg | 2005-07-03 00:28:12 -0500 (Sun, 03 Jul 2005) | 3 lines
Changed paths:
   M /trunk/asn1/acse/acse-exp.cnf
   M /trunk/asn1/acse/acse.cnf
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-acse.h

export a few more symbols from acse


------------------------------------------------------------------------
r14834 | guy | 2005-07-02 19:52:08 -0500 (Sat, 02 Jul 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Note that the MPLS extension dissector will misdissect ICMP packets that
contain more than 128 bytes of the original datagram.  (Yes, RFC 1812
and the ICMP Extensions for MPLS draft collide here, as the draft in
question notes.)

------------------------------------------------------------------------
r14833 | tuexen | 2005-07-02 16:16:17 -0500 (Sat, 02 Jul 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Use brackets instead of parentheses for the checksum info, which is generated.

------------------------------------------------------------------------
r14832 | jmayer | 2005-07-02 10:40:49 -0500 (Sat, 02 Jul 2005) | 5 lines
Changed paths:
   M /trunk/wiretap/AUTHORS
   M /trunk/wiretap/netxray.c

Chris Lydick: Support for Sniffer 2.003 files.

Modified to match the current codebase.


------------------------------------------------------------------------
r14831 | guy | 2005-07-02 03:18:17 -0500 (Sat, 02 Jul 2005) | 17 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Have separate fields for NFSv2, NFSv3, and NFSv4 return statuses, using
the names in the v2, v3, and v4 specs for values, so that they display
correctly and can be filtered on correctly.

Have "nfs.status" as a hidden field, with a name table giving just "OK"
and "ERR_" values, and having items for v2, v3, and v4 status values
(the only collision is that the v3 JUKEBOX error is the v4 DELAY error),
so that filters on "nfs.status" will still work, but will now be able to
filter symbolically on values from v2, v3, and v4.

Show 33 status values in the Info column and the summary entry using the
table of v3 status values and names, not the table of v2 status values
and names.

Fix some v3 dissectors to use the v3 return status field rather than the
v2 return status field.

------------------------------------------------------------------------
r14830 | ulfl | 2005-07-01 16:04:13 -0500 (Fri, 01 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-smpp.c

fixed various issues (two serious ones) found by "private" fuzz-testing
------------------------------------------------------------------------
r14829 | ulfl | 2005-07-01 15:47:22 -0500 (Fri, 01 Jul 2005) | 5 lines
Changed paths:
   M /trunk/gtk/find_dlg.c

fix #271: don't do:

g_free(bytes); 

twice, probably a copy/paste error
------------------------------------------------------------------------
r14828 | kukosa | 2005-07-01 08:48:52 -0500 (Fri, 01 Jul 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

beter displaying of true/false strings in dissect_ber_bitstring()
------------------------------------------------------------------------
r14827 | ulfl | 2005-06-30 17:51:17 -0500 (Thu, 30 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

add some more information to the DCE/RPC packet details summary line
------------------------------------------------------------------------
r14826 | ulfl | 2005-06-30 17:46:19 -0500 (Thu, 30 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/column_info.h
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/gtk/packet_list.c

add a new DCE/RPC related column, which contains the call_id for connection oriented packets or the sequence number for connectionless (datagram) packets.

This is extremely useful, to keep track of the corresponding request/response packets of a DCE/RPC call (which can be quite a lot packets if fragmentation is used).
------------------------------------------------------------------------
r14825 | etxrab | 2005-06-30 14:19:50 -0500 (Thu, 30 Jun 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Karl Knoebl as an author.
------------------------------------------------------------------------
r14824 | etxrab | 2005-06-30 14:17:46 -0500 (Thu, 30 Jun 2005) | 3 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

From Karl Knoebl
Accept SP as separator and * provide info to COL_INFO and some "prettification"
 Cleaned up some comments as well.
------------------------------------------------------------------------
r14823 | sahlberg | 2005-06-30 02:48:25 -0500 (Thu, 30 Jun 2005) | 7 lines
Changed paths:
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmip.h

fix a bug in the conformance file for CMIP to make it compile again
(semi-recent changes to asn2eth and PARAM handling makes us have to use double %% in some BODY statements)

at the same time, regenerate it so it also benefit from bugfixes to handling of indefinite length



------------------------------------------------------------------------
r14822 | sahlberg | 2005-06-29 21:31:15 -0500 (Wed, 29 Jun 2005) | 5 lines
Changed paths:
   M /trunk/wiretap/network_instruments.c

make reading of observer files work again

for some reason we have forgotten to skip the initial (always 8?) bytes prior to the start of the frame.
 

------------------------------------------------------------------------
r14821 | guy | 2005-06-29 18:19:21 -0500 (Wed, 29 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

If only part of an entry in an object fits in the object, don't report
the stuff that didn't fit as a negative number of junk bytes.

The difference between two pointers isn't guaranteed to have a
particular size; cast it to "long" and display it with "%ld".

------------------------------------------------------------------------
r14820 | guy | 2005-06-29 17:39:36 -0500 (Wed, 29 Jun 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS

Add the usual (minimal) protection against email address harvesting.

Fix one entry to have tabs between the name and the address.

------------------------------------------------------------------------
r14819 | sahlberg | 2005-06-29 06:59:42 -0500 (Wed, 29 Jun 2005) | 5 lines
Changed paths:
   M /trunk/proto_hier_stats.c

add fix for bug 224

we now put generated items as top-level items in the decode pane so
we should not check and abort if such are found.

------------------------------------------------------------------------
r14818 | sahlberg | 2005-06-29 05:39:09 -0500 (Wed, 29 Jun 2005) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ip.c

from
Maria-Luiza Crivat and
Brice Augustin

ICMP MPLS extensions


------------------------------------------------------------------------
r14817 | sahlberg | 2005-06-29 03:11:23 -0500 (Wed, 29 Jun 2005) | 3 lines
Changed paths:
   M /trunk/asn1/ftam/ISO8571-FTAM.asn
   M /trunk/epan/dissectors/packet-ftam.c

fix a typo for the name of a bit


------------------------------------------------------------------------
r14816 | ulfl | 2005-06-29 03:06:07 -0500 (Wed, 29 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c
   M /trunk/epan/libethereal.def

make dissect_CBA_Connection_Data available for plugins
------------------------------------------------------------------------
r14815 | ulfl | 2005-06-29 03:03:06 -0500 (Wed, 29 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

add references to the corresponding request of datagram ping and ack packets
------------------------------------------------------------------------
r14814 | sahlberg | 2005-06-29 03:00:55 -0500 (Wed, 29 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

be more careful when attempting to dissect an unknown ber field not to read beyond the end and triggering a [malformed packet]

also prettify the error when finding "unknown" entries inside a SEQUENCE to make it easier to track down what went wrong.



------------------------------------------------------------------------
r14813 | guy | 2005-06-28 17:39:56 -0500 (Tue, 28 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-actrace.c

Squelch a compiler warning.

------------------------------------------------------------------------
r14812 | guy | 2005-06-28 17:15:12 -0500 (Tue, 28 Jun 2005) | 2 lines
Changed paths:
   M /trunk/gtk/wsp_stat.c

More constification.

------------------------------------------------------------------------
r14811 | guy | 2005-06-28 17:01:18 -0500 (Tue, 28 Jun 2005) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

"Handle" a couple of cases in the switch statement by adding them to the
"not supported" case, to suppress compiler warnings.

------------------------------------------------------------------------
r14810 | guy | 2005-06-28 16:43:24 -0500 (Tue, 28 Jun 2005) | 6 lines
Changed paths:
   M /trunk/gtk/mtp3_summary.c

"mtp3_sum_draw()" is never called with a null "table" argument - the
code before the call would have blown up if "table" were null.  Remove
the check for a null pointer; this squelches some unset-variable
warnings you get from GCC4 because its dataflow analysis runs across
function boundaries.

------------------------------------------------------------------------
r14809 | guy | 2005-06-28 16:25:56 -0500 (Tue, 28 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.h

Declare "decrypt_krb5_data()" for use by the KINK dissector.

------------------------------------------------------------------------
r14808 | etxrab | 2005-06-28 16:14:59 -0500 (Tue, 28 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Fix to SendAuthenticationInfoRes
------------------------------------------------------------------------
r14807 | etxrab | 2005-06-28 16:14:09 -0500 (Tue, 28 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Fix to SendAuthenticationInfoRes.
------------------------------------------------------------------------
r14806 | etxrab | 2005-06-28 14:14:14 -0500 (Tue, 28 Jun 2005) | 1 line
Changed paths:
   M /trunk/plugins/giop/packet-tango.c

Regenerated Tango with the latest idl2eth and the tango.idl
------------------------------------------------------------------------
r14805 | etxrab | 2005-06-28 14:13:11 -0500 (Tue, 28 Jun 2005) | 1 line
Changed paths:
   A /trunk/idl/tango.idl

Add the Tango IDL file from Paolo Frigo.
------------------------------------------------------------------------
r14804 | gerald | 2005-06-28 09:46:47 -0500 (Tue, 28 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-actrace.c

Add missing commas.

------------------------------------------------------------------------
r14803 | gerald | 2005-06-28 09:02:21 -0500 (Tue, 28 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-actrace.c

Terminate a bunch of value_strings.

------------------------------------------------------------------------
r14802 | sahlberg | 2005-06-28 06:23:56 -0500 (Tue, 28 Jun 2005) | 4 lines
Changed paths:
   M /trunk/asn1/ftam/ISO8571-FTAM.asn
   M /trunk/asn1/ftam/ftam.cnf
   M /trunk/epan/dissectors/packet-ftam.c

addition of NBS9 
and bugfix for FTAM where we sometimes forgot to check if the tag was implicit.


------------------------------------------------------------------------
r14801 | sahlberg | 2005-06-27 15:45:02 -0500 (Mon, 27 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftam.h

regenerate FTAM with the bugfix for GraphicString in asn2eth


------------------------------------------------------------------------
r14800 | kukosa | 2005-06-27 08:45:47 -0500 (Mon, 27 Jun 2005) | 1 line
Changed paths:
   M /trunk/tools/asn2eth.py

fix for BER string tags
------------------------------------------------------------------------
r14799 | sahlberg | 2005-06-27 06:43:18 -0500 (Mon, 27 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

fix two bugs when updating offset incorrectly that could lead to an infinite loop when trying to decode an unknown ber structure



------------------------------------------------------------------------
r14798 | sahlberg | 2005-06-27 06:06:40 -0500 (Mon, 27 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-actrace.c

remove a \n   in the preference string to prevent it from creating a garbage/invalid preference file entry.



------------------------------------------------------------------------
r14797 | etxrab | 2005-06-27 03:55:39 -0500 (Mon, 27 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Missed from previous commit.
------------------------------------------------------------------------
r14796 | sahlberg | 2005-06-27 03:27:49 -0500 (Mon, 27 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcip.c

some implementations do provide a CRC in the FCIP frame so skip the
'test for zero' check.
the heuristics are probably strong enough even without this check.



------------------------------------------------------------------------
r14795 | etxrab | 2005-06-27 03:13:41 -0500 (Mon, 27 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/capture_if_details_dlg.c
   M /trunk/gtk/gtk_stat_util.c
   M /trunk/gtk/service_response_time_table.c
   M /trunk/gtk/service_response_time_table.h

Add som more const qualifiers.
------------------------------------------------------------------------
r14794 | sahlberg | 2005-06-27 03:12:55 -0500 (Mon, 27 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

From Chris Bontje
DNP3 Application Layer Object dissection


------------------------------------------------------------------------
r14793 | guy | 2005-06-27 02:50:11 -0500 (Mon, 27 Jun 2005) | 17 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

The name returned by "get_dns_name()" (and thus by
"get_dns_name_type_class()") is null-terminated - and the length
returned is *NOT* the length of the string, it's the length of the chunk
of DNS data extracted by "get_dns_name()", and that chunk could just
point to a later chunk as part of DNS compression.  When running the
name through "format_text()", just use "strlen()" to get the length, so
you don't get a value that's too large *OR* too small (both are
possible - "too large" if it's uncompressed and includes length
informatioin, "too small" if it contains a pointer to a string longer
than the pointer).

When adding a string value to the protocol tree, add the *raw* name, not
the formatted name - the Ethereal display code will format the string's
value as necessary.

Add formatting code for DNS names in replies.

------------------------------------------------------------------------
r14792 | ulfl | 2005-06-27 02:39:48 -0500 (Mon, 27 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/Makefile

I've removed ethereal-capture-normal.* yesterday, as they are obsolete now
------------------------------------------------------------------------
r14791 | ulfl | 2005-06-27 02:28:25 -0500 (Mon, 27 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/Makefile

from Jaap Keuter: fix the graphics path of the edg_html_chunked target
------------------------------------------------------------------------
r14790 | etxrab | 2005-06-27 01:21:51 -0500 (Mon, 27 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-actrace.c
   A /trunk/epan/dissectors/packet-actrace.h
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-q931.h

From Alejandro Vaquero
new dissector for the AudioCodes trunk trace protocol. 
This protocol is used to debug the trunk protocol in AudioCodes 
gateways. It currently supports ISDN PRI and CAS (MFCR2, WinkStart, 
etc...) trunk protocols. It also add these protocols in the "Voip Calls 
Graph..."
------------------------------------------------------------------------
r14789 | etxrab | 2005-06-27 01:20:23 -0500 (Mon, 27 Jun 2005) | 6 lines
Changed paths:
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls.h
   M /trunk/gtk/voip_calls_dlg.c

From Alejandro Vaquero
new dissector for the AudioCodes trunk trace protocol. 
This protocol is used to debug the trunk protocol in AudioCodes 
gateways. It currently supports ISDN PRI and CAS (MFCR2, WinkStart, 
etc...) trunk protocols. It also add these protocols in the "Voip Calls 
Graph..."
------------------------------------------------------------------------
r14788 | guy | 2005-06-26 16:11:22 -0500 (Sun, 26 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c
   M /trunk/epan/dissectors/packet-windows-common.h

Yet more constification.

------------------------------------------------------------------------
r14787 | guy | 2005-06-26 15:39:21 -0500 (Sun, 26 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-slsk.c

More constification.

------------------------------------------------------------------------
r14786 | guy | 2005-06-26 14:56:52 -0500 (Sun, 26 Jun 2005) | 26 lines
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-aarp.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-alcap.c
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-ansi_683.c
   M /trunk/epan/dissectors/packet-ansi_801.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-arp.c
   M /trunk/epan/dissectors/packet-arp.h
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-cast.c
   M /trunk/epan/dissectors/packet-cdp.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-dcerpc-afs4int.c
   M /trunk/epan/dissectors/packet-dcerpc-nt.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pgo.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dns.h
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-esis.c
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-fclctl.c
   M /trunk/epan/dissectors/packet-fclctl.h
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gsm_ss.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h
   M /trunk/epan/dissectors/packet-iapp.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-image-jfif.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-ipp.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-isis-hello.c
   M /trunk/epan/dissectors/packet-laplink.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-mbtcp.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-netbios.h
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pgsql.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-pppoe.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-rmcp.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-stun.c
   M /trunk/epan/dissectors/packet-trmac.c
   M /trunk/epan/dissectors/packet-tzsp.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-wtls.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-ypserv.c
   M /trunk/epan/libethereal.def
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h
   M /trunk/epan/xdlc.c
   M /trunk/plugins/rtnet/packet-rtnet.c
   M /trunk/tap-wspstat.c

Get rid of the private "my_match_strval()" routine in many dissectors;
add a "match_strval_idx()" routine that does the same thing, and have
"match_strval()" call it.

Make those routines, and "val_to_str()", return a "const" pointer. 
Update dissectors as necessary to squelch compiler warnings produced by
that.

Use "val_to_str()" rather than using "match_strval()" and then, if the
result is null, substituting a specific string.  Clean up some other
"match_strval()"/"val_to_str()" usages.

Add a null pointer check in the NDPS dissector's "attribute_value()"
routine, as it's not clear that "global_attribute_name" won't be null at
that point.

Make some global variables in the AFS4INT dissector local.

Make some routines not used outside the module they're in static.

Make some tables "static const".

Clean up white space.

Fix Gerald's address in some files.

------------------------------------------------------------------------
r14785 | guy | 2005-06-26 14:55:06 -0500 (Sun, 26 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hyperscsi.c

Set the Info column to the correctly-capitalized name.

Use "val_to_str()" to set the Info column, and give the "hyperscsi.cmd"
field a value_string table.

------------------------------------------------------------------------
r14784 | ulfl | 2005-06-26 06:40:26 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/value_string.c

value_string.c(71) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14783 | ulfl | 2005-06-26 06:32:02 -0500 (Sun, 26 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/prefs.c

prefs.c(1218) : warning C4761: integral size mismatch in argument; conversion supplied
prefs.c(1230) : warning C4761: integral size mismatch in argument; conversion supplied
prefs.c(1240) : warning C4761: integral size mismatch in argument; conversion supplied
prefs.c(1245) : warning C4761: integral size mismatch in argument; conversion supplied
------------------------------------------------------------------------
r14782 | ulfl | 2005-06-26 06:29:04 -0500 (Sun, 26 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

proto.c(2941) : warning C4090: 'function' : different 'const' qualifiers
proto.c(2941) : warning C4022: 'g_tree_insert' : pointer mismatch for actual parameter 2
------------------------------------------------------------------------
r14781 | ulfl | 2005-06-26 06:24:26 -0500 (Sun, 26 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

packet-x11.c(1780) : warning C4090: 'function' : different 'const' qualifiers
packet-x11.c(1780) : warning C4022: 'g_tree_insert' : pointer mismatch for actual parameter 3
packet-x11.c(2209) : warning C4090: 'initializing' : different 'const' qualifiers
------------------------------------------------------------------------
r14780 | ulfl | 2005-06-26 06:21:39 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

packet-smb.c(14406) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14779 | ulfl | 2005-06-26 06:18:47 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pgsql.c

packet-pgsql.c(891) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14778 | ulfl | 2005-06-26 06:10:26 -0500 (Sun, 26 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

packet-diameter.c(856) : warning C4090: 'function' : different 'const' qualifiers
packet-diameter.c(856) : warning C4024: 'addVendor' : different types for formal and actual parameter 2
packet-diameter.c(857) : warning C4090: 'function' : different 'const' qualifiers
packet-diameter.c(857) : warning C4024: 'addVendor' : different types for formal and actual parameter 3
packet-diameter.c(863) : warning C4090: 'function' : different 'const' qualifiers
packet-diameter.c(863) : warning C4024: 'addCommand' : different types for formal and actual parameter 2
------------------------------------------------------------------------
r14777 | etxrab | 2005-06-26 06:03:39 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c

Add a signal
------------------------------------------------------------------------
r14776 | ulfl | 2005-06-26 06:02:13 -0500 (Sun, 26 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c

packet-dcerpc-samr.c(2795) : warning C4090: '=' : different 'const' qualifiers
packet-dcerpc-samr.c(2900) : warning C4090: '=' : different 'const' qualifiers
packet-dcerpc-samr.c(2933) : warning C4090: '=' : different 'const' qualifiers
------------------------------------------------------------------------
r14775 | etxrab | 2005-06-26 06:01:04 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Add a signal
------------------------------------------------------------------------
r14774 | etxrab | 2005-06-26 06:00:19 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftam.h

Fix a compiler warning.
------------------------------------------------------------------------
r14773 | etxrab | 2005-06-26 05:59:15 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/ftam/ftam.cnf
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/ftam/packet-ftam-template.h

Fix a compiler warning and set eol-style.
------------------------------------------------------------------------
r14772 | ulfl | 2005-06-26 05:58:32 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_map.c

packet-ansi_map.c(760) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14771 | ulfl | 2005-06-26 05:55:34 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

packet-ansi_a.c(460) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14770 | ulfl | 2005-06-26 05:51:56 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_801.c

packet-ansi_801.c(93) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14769 | ulfl | 2005-06-26 05:48:27 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_683.c

packet-ansi_683.c(93) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14768 | ulfl | 2005-06-26 05:45:25 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_637.c

packet-ansi_637.c(288) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14767 | ulfl | 2005-06-26 05:41:38 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-alcap.c

packet-alcap.c(195) : warning C4090: 'return' : different 'const' qualifiers
------------------------------------------------------------------------
r14766 | ulfl | 2005-06-26 05:28:51 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/proto_hier_stats_dlg.c

proto_hier_stats_dlg.c(99) : warning C4090: '=' : different 'const' qualifiers
------------------------------------------------------------------------
r14765 | ulfl | 2005-06-26 05:26:47 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

sctp_graph_dlg.c(383) : warning C4244: '=' : conversion from 'unsigned int ' to 'float ', possible loss of data
------------------------------------------------------------------------
r14764 | ulfl | 2005-06-26 05:23:39 -0500 (Sun, 26 Jun 2005) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

remove compiler warnings:
main.c(345) : warning C4090: 'function' : different 'const' qualifiers
main.c(345) : warning C4022: 'simple_dialog_set_cb' : pointer mismatch for actual parameter 3
------------------------------------------------------------------------
r14763 | ulfl | 2005-06-26 04:24:38 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   D /trunk/docbook/edg_graphics/ethereal-capture-normal.dia
   D /trunk/docbook/edg_graphics/ethereal-capture-normal.png

we don't have the capture normal mode any longer
------------------------------------------------------------------------
r14762 | ulfl | 2005-06-26 04:14:12 -0500 (Sun, 26 Jun 2005) | 1 line
Changed paths:
   M /trunk/doc/README.capture

update text to reflect the current implementation (e.g. we don't have normal/sync mode any longer)
------------------------------------------------------------------------
r14761 | sahlberg | 2005-06-26 03:12:54 -0500 (Sun, 26 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mms-control.c
   M /trunk/epan/dissectors/packet-mms-data.c

rename the protocol and the protocol fields to msmms from mms  to make way for the telco mms protocol.



------------------------------------------------------------------------
r14760 | sahlberg | 2005-06-26 01:28:53 -0500 (Sun, 26 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/libethereal.def

update libethereal.def to the new name  dissect_ber_CHOICE


------------------------------------------------------------------------
r14759 | sahlberg | 2005-06-26 01:16:03 -0500 (Sun, 26 Jun 2005) | 3 lines
Changed paths:
   M /trunk/asn1/ftam/ftam.cnf
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ftam.c

prettify ftam by puttign the command name in the info column


------------------------------------------------------------------------
r14758 | sahlberg | 2005-06-26 00:48:50 -0500 (Sun, 26 Jun 2005) | 13 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/ftam/ftam.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/asn1/pkixcmp/cmp-exp.cnf
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-MAP_DialoguePDU.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-inap.h
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.h
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/tools/asn2eth.py

make dissect_ber_choice  take a guint* that will return the
index of the branch taken or -1  to make prettifications easier to implement.


change the signature of dissect_ber_choice and rename it to dissect_ber_CHOICE to catch all
occurences of the use of this function

update asn2eth to use the new name/signature

update all occurences of this function to the new name and new signature.



------------------------------------------------------------------------
r14757 | sahlberg | 2005-06-25 19:12:15 -0500 (Sat, 25 Jun 2005) | 3 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

From Alejandro,  fix for GTK1 graph_analysis issue.


------------------------------------------------------------------------
r14756 | sahlberg | 2005-06-25 18:12:24 -0500 (Sat, 25 Jun 2005) | 5 lines
Changed paths:
   M /trunk/asn1/cmip/CMIP.asn
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/asn1/cmip/packet-cmip-template.c

some updates for CMIP.

note taht cmip does not yet compile due to a possible asn2eth compiler bug


------------------------------------------------------------------------
r14755 | sahlberg | 2005-06-25 17:15:51 -0500 (Sat, 25 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/conversation.c

from Kashyap Desai

fix bug in conversation_delete_proto_data
second argument to g_slist_remove() is a pointer to the data, not a GSlist containing a list of such pointers.


------------------------------------------------------------------------
r14754 | sahlberg | 2005-06-25 16:57:11 -0500 (Sat, 25 Jun 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-mms-control.c
   A /trunk/epan/dissectors/packet-mms-data.c

From Martin Mathieson
New protocol : MS MediaServer protocol


------------------------------------------------------------------------
r14753 | ulfl | 2005-06-25 16:27:26 -0500 (Sat, 25 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

we are not a GNU program, so we shouldn't report as such in the command line help output
------------------------------------------------------------------------
r14752 | guy | 2005-06-25 14:14:17 -0500 (Sat, 25 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

The data in an Identification packet is a message intended to be
human-readable; displayh it with "tvb_format_text()".

------------------------------------------------------------------------
r14751 | guy | 2005-06-25 13:56:08 -0500 (Sat, 25 Jun 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Give Paolo Frigo credit for the TANGO dissector.

------------------------------------------------------------------------
r14750 | guy | 2005-06-25 13:20:13 -0500 (Sat, 25 Jun 2005) | 8 lines
Changed paths:
   M /trunk/ethereal_gen.py
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c

In generated GIOP dissectors, don't set the Protocol or Info columns, or
create the top-level protocol tree item, until the dissector accepts the
packet as being for it.

"strcmp()" isn't a Boolean; don't treat it as such.

Get rid of trailing white space.

------------------------------------------------------------------------
r14749 | etxrab | 2005-06-25 12:26:30 -0500 (Sat, 25 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Major rewrite to update to version TS 129 002 V6.9.0
------------------------------------------------------------------------
r14748 | etxrab | 2005-06-25 12:25:44 -0500 (Sat, 25 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Major rewrite to update to version TS 129 002 V6.9.0
------------------------------------------------------------------------
r14747 | sahlberg | 2005-06-25 07:40:53 -0500 (Sat, 25 Jun 2005) | 4 lines
Changed paths:
   A /trunk/asn1/ftam
   A /trunk/asn1/ftam/ISO8571-FTAM.asn
   A /trunk/asn1/ftam/Makefile
   A /trunk/asn1/ftam/Makefile.nmake
   A /trunk/asn1/ftam/ftam.cnf
   A /trunk/asn1/ftam/packet-ftam-template.c
   A /trunk/asn1/ftam/packet-ftam-template.h
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftam.h

new FTAM dissector generated by asn2eth



------------------------------------------------------------------------
r14746 | sahlberg | 2005-06-25 02:46:14 -0500 (Sat, 25 Jun 2005) | 3 lines
Changed paths:
   A /trunk/asn1/acse/acse-exp.cnf
   M /trunk/asn1/acse/acse.cnf
   M /trunk/asn1/acse/packet-acse-template.h
   M /trunk/asn1/cmip/CMIP.asn
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-acse.h

Make ACSE export the EXTERNAL construct since both CMIP and FTAM rely on it.


------------------------------------------------------------------------
r14745 | guy | 2005-06-24 07:43:32 -0500 (Fri, 24 Jun 2005) | 5 lines
Changed paths:
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c
   M /trunk/plugins/giop/packet-tango.c

Re-generate the CosNaming, CosEventComm, and Parlay dissectors from the
IDL (and re-insert an earlier bug fix into the CosNaming and
CosEventComm dissectors), and add a new check added to ethereal_gen.py
to the Tango dissector.

------------------------------------------------------------------------
r14744 | guy | 2005-06-24 06:38:19 -0500 (Fri, 24 Jun 2005) | 2 lines
Changed paths:
   A /trunk/idl/coseventcomm.idl
   A /trunk/idl/cosnaming.idl

Add IDL for cosnaming and coseventcomm.

------------------------------------------------------------------------
r14743 | guy | 2005-06-24 06:26:19 -0500 (Fri, 24 Jun 2005) | 6 lines
Changed paths:
   M /trunk/ethereal_gen.py

There's no guarantee that a reply with a reply status of USER_EXCEPTION
includes an exception ID - the sequence length could be zero.  When
generating a dissector for a USER_EXCEPTION reply, return FALSE if
there's no exception ID.  (And since we're now always using the header
pointer argument, un-_U_ize it.)

------------------------------------------------------------------------
r14742 | sahlberg | 2005-06-24 05:03:20 -0500 (Fri, 24 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

 for unknown GraphicString
just decode them as an octet string and say in the decode pane this is an unknown GraphicString



------------------------------------------------------------------------
r14741 | sahlberg | 2005-06-24 03:57:41 -0500 (Fri, 24 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

fix to ber NULL handling
1, make it actually show the hf field when present
2, make it handle imlicit_tag properly


------------------------------------------------------------------------
r14740 | guy | 2005-06-23 21:51:01 -0500 (Thu, 23 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/main.c
   M /trunk/plugins/mate/mate_setup.c

More constification.

------------------------------------------------------------------------
r14739 | guy | 2005-06-23 20:32:42 -0500 (Thu, 23 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/http_stat.c
   M /trunk/gtk/service_response_time_table.c
   M /trunk/gtk/service_response_time_table.h
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/wsp_stat.c
   M /trunk/tap-httpstat.c
   M /trunk/tap-protohierstat.c
   M /trunk/tap-sipstat.c
   M /trunk/tap-wspstat.c

Constify a bunch of structure members and function arguments, to squelch
compiler warnings.

Clean up indentation.

------------------------------------------------------------------------
r14738 | etxrab | 2005-06-23 17:17:03 -0500 (Thu, 23 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h

From Valery Vybornov:
add register_dissector to packet-tcap.c
------------------------------------------------------------------------
r14737 | etxrab | 2005-06-23 17:15:47 -0500 (Thu, 23 Jun 2005) | 2 lines
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c

From Valery Vybornov:
add register_dissector to packet-tcap.c
------------------------------------------------------------------------
r14736 | ulfl | 2005-06-23 16:19:05 -0500 (Thu, 23 Jun 2005) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

fix #135: handle the command line parameters -v, -h and -G completely in their own getopt() loop. 

This is done "long before" calling gtk_init() as this function requires a running X server, causing an error if running from the console only.
------------------------------------------------------------------------
r14735 | ulfl | 2005-06-23 15:18:17 -0500 (Thu, 23 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

Win32: "fix" handling of create_console(), hopefully clarifying usage of the corresponding prefs flag
------------------------------------------------------------------------
r14734 | ulfl | 2005-06-23 15:14:05 -0500 (Thu, 23 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

beautify version and usage output
------------------------------------------------------------------------
r14733 | sahlberg | 2005-06-23 04:28:46 -0500 (Thu, 23 Jun 2005) | 5 lines
Changed paths:
   M /trunk/asn1/cmip/cmip.cnf
   M /trunk/epan/dissectors/packet-cmip.c

fix for CMIP,    we should set the opcode_type BEFORE we try to use it in the subdissector,
it doesnt work really that well if we have opcode_type set to INVOKE   from the previous packet and this new packet contains a ReturnResult.



------------------------------------------------------------------------
r14732 | etxrab | 2005-06-22 11:17:18 -0500 (Wed, 22 Jun 2005) | 1 line
Changed paths:
   A /trunk/idl/parlay/Parlay.idl
   A /trunk/idl/parlay/README.parlay
   A /trunk/idl/parlay/am.idl
   A /trunk/idl/parlay/cccs.idl
   A /trunk/idl/parlay/cm.idl
   A /trunk/idl/parlay/common_cc_data.idl
   A /trunk/idl/parlay/cs.idl
   A /trunk/idl/parlay/dsc.idl
   A /trunk/idl/parlay/fw_data.idl
   A /trunk/idl/parlay/fw_if.idl
   A /trunk/idl/parlay/fw_if_access.idl
   A /trunk/idl/parlay/fw_if_app.idl
   A /trunk/idl/parlay/fw_if_entop.idl
   A /trunk/idl/parlay/fw_if_service.idl
   A /trunk/idl/parlay/gcc_data.idl
   A /trunk/idl/parlay/gcc_interfaces.idl
   A /trunk/idl/parlay/gms.idl
   A /trunk/idl/parlay/mm.idl
   A /trunk/idl/parlay/mmccs.idl
   A /trunk/idl/parlay/mmm.idl
   A /trunk/idl/parlay/mpcc_data.idl
   A /trunk/idl/parlay/mpcc_interfaces.idl
   A /trunk/idl/parlay/osa.idl
   A /trunk/idl/parlay/pam_data.idl
   A /trunk/idl/parlay/pam_interfaces.idl
   A /trunk/idl/parlay/policy_data.idl
   A /trunk/idl/parlay/policy_interfaces.idl
   A /trunk/idl/parlay/termcap.idl
   A /trunk/idl/parlay/ui_data.idl
   A /trunk/idl/parlay/ui_interfaces.idl

Add the IDL doc's needed to build the Parlay dissector.
------------------------------------------------------------------------
r14731 | etxrab | 2005-06-22 11:16:24 -0500 (Wed, 22 Jun 2005) | 1 line
Changed paths:
   A /trunk/idl/parlay

Add a folder for Parlay IDL doc's
------------------------------------------------------------------------
r14730 | etxrab | 2005-06-22 11:15:16 -0500 (Wed, 22 Jun 2005) | 1 line
Changed paths:
   A /trunk/idl

Add a folder for IDL dockuments
------------------------------------------------------------------------
r14729 | gerald | 2005-06-22 10:37:46 -0500 (Wed, 22 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/to_str.c

Fix an off-by-four error, which should take care of bugs 254 - 258.  Print
OID values as unsigned ints instead of signed.

------------------------------------------------------------------------
r14728 | sahlberg | 2005-06-22 04:58:46 -0500 (Wed, 22 Jun 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

update to packet-ber

1, start making indefinite length  constructions actually work
2, when attempting to decode an unknown BER octet sequence, do not generate [malformed packet] just because the length does not make sense and might point outside the tvb.   it might just be that there are implicit tags in the asn1 specification and that it is just impossible to decode the octet stream without knowledge of the asn.



------------------------------------------------------------------------
r14727 | sahlberg | 2005-06-22 03:41:58 -0500 (Wed, 22 Jun 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c

add a dummy variable frame_number to dissect_frame() and assign it the current frame number so that the crashdump that buildbot generates will show which frame the problem occured in.

this is useful since some bugs only trigger ia crash on some platforms.
example   bug 255 which does not trigger a crash on linux redhat 7.1



------------------------------------------------------------------------
r14726 | sahlberg | 2005-06-22 03:28:59 -0500 (Wed, 22 Jun 2005) | 5 lines
Changed paths:
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/epan/dissectors/packet-acse.c

only create the ACSE protocol tree if there is an ACSE layer present.

do not create it if it is just a SES_DATA_TRANSFER PDU


------------------------------------------------------------------------
r14725 | sahlberg | 2005-06-22 03:15:18 -0500 (Wed, 22 Jun 2005) | 9 lines
Changed paths:
   M /trunk/asn1/acse/Makefile
   M /trunk/asn1/acse/acse.asn
   M /trunk/asn1/acse/acse.cnf
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-ftam.c

remove a dissector table we no longer use from ACSE
and also from the CMIP and FTAM dissectors that tried to register against it.

Implement a workaround for the asn2eth bug (can not yet handle tagged assignments) to the conformance file and remove the warnings from the template file.

Since workaround is implemented in conformance file, make make copy_files install the dissector instead of printing a warning message.



------------------------------------------------------------------------
r14724 | lego | 2005-06-21 21:18:10 -0500 (Tue, 21 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

add ipbcp attribute as in Q.1970

------------------------------------------------------------------------
r14723 | gerald | 2005-06-21 17:02:18 -0500 (Tue, 21 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c

Make a couple of variables dynamic, as suggested by Ulf.

------------------------------------------------------------------------
r14722 | guy | 2005-06-21 12:40:11 -0500 (Tue, 21 Jun 2005) | 2 lines
Changed paths:
   M /trunk/plugins/giop/packet-parlay.c

It's svn:eol-style, not svn:eolstyle.

------------------------------------------------------------------------
r14721 | sahlberg | 2005-06-21 05:19:10 -0500 (Tue, 21 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

terminate some value_strings properly with a {0,NULL}


------------------------------------------------------------------------
r14720 | sahlberg | 2005-06-21 04:38:59 -0500 (Tue, 21 Jun 2005) | 5 lines
Changed paths:
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-tcap.c

the maximum ASN OID length is 256 bytes and there is a define to control this.

fix bug251 and all other occurances where an oid string  passed to packet_ber_object_identifier()
is not defined as foo[MAX_OID_STR_LEN]

------------------------------------------------------------------------
r14719 | guy | 2005-06-21 04:17:53 -0500 (Tue, 21 Jun 2005) | 5 lines
Changed paths:
   M /trunk/plugins/giop/packet-parlay.c

Fix the line endings.

Get rid of include of "snprintf.h", and _U_-ify arguments, as per
changes made to idl2eth.

------------------------------------------------------------------------
r14718 | guy | 2005-06-21 04:15:26 -0500 (Tue, 21 Jun 2005) | 3 lines
Changed paths:
   M /trunk/plugins/giop/packet-tango.c

Get rid of include of "snprintf.h", and _U_-ify arguments, as per
changes made to idl2eth.

------------------------------------------------------------------------
r14717 | lego | 2005-06-20 16:21:06 -0500 (Mon, 20 Jun 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

if exists call the h248term subdissector.


------------------------------------------------------------------------
r14716 | etxrab | 2005-06-20 15:15:33 -0500 (Mon, 20 Jun 2005) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

From Mike Duigou:

 In order to get filtering of conversations and
> endpoints to work from the endpoints and conversations windows I found 
> it necessary to add a new AT_URI address type and a SAT_JXTA. This also 
> necessitated a change to to_str.c to avoid a buffer overflow problem. 
> Please review these changes carefully.
> 
> Also includes some changes to the jxta dissector to fix filtering on
> generated fields and some changes to the types used for ints/unsigned ints.
> 
> Fixes a bug with the processing of messages containing namespaces.
------------------------------------------------------------------------
r14715 | etxrab | 2005-06-20 15:14:57 -0500 (Mon, 20 Jun 2005) | 12 lines
Changed paths:
   M /trunk/epan/address.h
   M /trunk/epan/to_str.c

From Mike Duigou:

 In order to get filtering of conversations and
> endpoints to work from the endpoints and conversations windows I found 
> it necessary to add a new AT_URI address type and a SAT_JXTA. This also 
> necessitated a change to to_str.c to avoid a buffer overflow problem. 
> Please review these changes carefully.
> 
> Also includes some changes to the jxta dissector to fix filtering on
> generated fields and some changes to the types used for ints/unsigned ints.
> 
> Fixes a bug with the processing of messages containing namespaces.
------------------------------------------------------------------------
r14714 | etxrab | 2005-06-20 15:14:22 -0500 (Mon, 20 Jun 2005) | 12 lines
Changed paths:
   M /trunk/gtk/conversations_jxta.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/hostlist_jxta.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/sat.h

From Mike Duigou:

 In order to get filtering of conversations and
> endpoints to work from the endpoints and conversations windows I found 
> it necessary to add a new AT_URI address type and a SAT_JXTA. This also 
> necessitated a change to to_str.c to avoid a buffer overflow problem. 
> Please review these changes carefully.
> 
> Also includes some changes to the jxta dissector to fix filtering on
> generated fields and some changes to the types used for ints/unsigned ints.
> 
> Fixes a bug with the processing of messages containing namespaces.
------------------------------------------------------------------------
r14713 | gerald | 2005-06-20 14:35:58 -0500 (Mon, 20 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-iapp.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-slowprotocols.c
   M /trunk/epan/proto.h
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/profinet/packet-pn-dcp.c

Fix a format string vulneratility in the AFP dissector identified
by iDEFENSE.  Add constant format strings to proto_item_append_text()
in a bunch of other dissectors.  Copy a comment from proto.c to proto.h.

------------------------------------------------------------------------
r14712 | sahlberg | 2005-06-20 05:22:03 -0500 (Mon, 20 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-spnego.c

convert the function
dissect_spnego_mechTypes() tu use the packet-ber api instead of the 
asn1 api.


------------------------------------------------------------------------
r14711 | sahlberg | 2005-06-20 04:43:29 -0500 (Mon, 20 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-spnego.c

convert one function to use packet-ber instead of asn1


------------------------------------------------------------------------
r14710 | sahlberg | 2005-06-20 02:18:10 -0500 (Mon, 20 Jun 2005) | 8 lines
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/packet-tcap-template.h
   M /trunk/epan/dissectors/packet-gsm_ss.c
   M /trunk/epan/dissectors/packet-gsm_ss.h
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h

move two functions that are not used by tcap and only used by gsm_a and gsm_ss into gsm_ss.

remove the include <epan.asn1.h> from tcap since it no longer needs that file.

only 9 dissectors remain that use asn1.h



------------------------------------------------------------------------
r14709 | sahlberg | 2005-06-20 00:28:56 -0500 (Mon, 20 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-gssapi.h
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-spnego.c

move one function only used by SPNEGO to packet-spnego.c

remove the include of <epan/asn1.h> from kerberos, ntlmssp and gssapi since they no longer need to include that file.


------------------------------------------------------------------------
r14708 | sahlberg | 2005-06-19 23:44:39 -0500 (Sun, 19 Jun 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-gssapi.h

convert gssapi to use packet-ber helpers instead of the asn1 ones.

once spnego is converted as well, the   epan/asn1.h  include can be removed from :
kerberos, spnego, gssapi and ntlmssp



------------------------------------------------------------------------
r14707 | sahlberg | 2005-06-19 21:37:42 -0500 (Sun, 19 Jun 2005) | 2 lines
Changed paths:
   M /trunk/asn1/acse/packet-acse-template.c

add Sids email as the original author of ACSE dissector

------------------------------------------------------------------------
r14706 | guy | 2005-06-19 17:29:08 -0500 (Sun, 19 Jun 2005) | 4 lines
Changed paths:
   M /trunk/ethereal_gen.py

Get rid of the include of "snprintf.h", as g_snprintf()" should be used.

Add _U_s to reduce the number of warnings.

------------------------------------------------------------------------
r14705 | etxrab | 2005-06-19 16:16:04 -0500 (Sun, 19 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Add some Cisco AVP:s
------------------------------------------------------------------------
r14704 | etxrab | 2005-06-19 16:11:52 -0500 (Sun, 19 Jun 2005) | 2 lines
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Update some OID:s and add some ASN1 code from ETSI TS 129 002 V5.7.0.
Will regenerate later.
------------------------------------------------------------------------
r14703 | guy | 2005-06-19 14:17:15 -0500 (Sun, 19 Jun 2005) | 3 lines
Changed paths:
   M /trunk/README.macos

Add a note about the PNG, JPEG, and TIFF loaders not being usable (or
not easy to get to work) on Tiger.

------------------------------------------------------------------------
r14702 | guy | 2005-06-19 14:08:37 -0500 (Sun, 19 Jun 2005) | 2 lines
Changed paths:
   M /trunk/doc/idl2eth.pod

Update URL for omniORB.

------------------------------------------------------------------------
r14701 | jmayer | 2005-06-19 10:17:42 -0500 (Sun, 19 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos.h

Fix trivial warning
------------------------------------------------------------------------
r14700 | jmayer | 2005-06-19 10:16:30 -0500 (Sun, 19 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/packet.h

Warning fix: Declare some more strings const
------------------------------------------------------------------------
r14699 | sahlberg | 2005-06-19 06:54:33 -0500 (Sun, 19 Jun 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-acse.h

New autogenerated ACSE dissector.

Note that the autogenerated dissector contains two bugs which i belive are asn2eth bugs.
This is why make copy_files does not work.

The comment at the top of the generated file explains which two changes one has to do manually after autogenerating the dissector, until asn2eth gets fixed.


------------------------------------------------------------------------
r14698 | sahlberg | 2005-06-19 06:51:23 -0500 (Sun, 19 Jun 2005) | 7 lines
Changed paths:
   A /trunk/asn1/acse
   A /trunk/asn1/acse/Makefile
   A /trunk/asn1/acse/Makefile.nmake
   A /trunk/asn1/acse/acse.asn
   A /trunk/asn1/acse/acse.cnf
   A /trunk/asn1/acse/packet-acse-template.c
   A /trunk/asn1/acse/packet-acse-template.h

New autogenerated ACSE dissector.

There is a bug in ASN2ETH which means one can not do make copy_files
instead one needs to change two bugs in the generated code manually.
These two changes are in the comment at the top of the template/generated file


------------------------------------------------------------------------
r14697 | sahlberg | 2005-06-19 06:49:16 -0500 (Sun, 19 Jun 2005) | 3 lines
Changed paths:
   M /trunk/asn1/cmip/packet-cmip-template.c

register cmip as ber oid dissector


------------------------------------------------------------------------
r14696 | sahlberg | 2005-06-19 06:47:59 -0500 (Sun, 19 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-ftam.c

make cmip and ftam also register by ber oid so that they will work when the new ACSE goes in


------------------------------------------------------------------------
r14695 | sahlberg | 2005-06-19 06:40:39 -0500 (Sun, 19 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-ses.h

push one more object into the session structure so acse can pick it up later.


------------------------------------------------------------------------
r14694 | lego | 2005-06-18 19:08:30 -0500 (Sat, 18 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-afp.h
   M /trunk/epan/dissectors/packet-dsi.c

from Didier Gautheron

The new AFP 3.2 specification used by Apple OS X 10.4


------------------------------------------------------------------------
r14693 | gerald | 2005-06-18 15:57:01 -0500 (Sat, 18 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c

Clear out any leftover preference information.  Fix up whitespace.

------------------------------------------------------------------------
r14692 | jmayer | 2005-06-18 10:41:26 -0500 (Sat, 18 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-telnet.c

Partial fix for bug 191: Sanity check is ok now
------------------------------------------------------------------------
r14691 | jmayer | 2005-06-18 03:52:41 -0500 (Sat, 18 Jun 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Dominik Kuhlen to AUTHORS
------------------------------------------------------------------------
r14690 | jmayer | 2005-06-18 03:49:24 -0500 (Sat, 18 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rmt-lct.c

Dominik Kuhlen: Fix a copy/paste bug reported in
   http://bugs.ethereal.com/bugzilla/show_bug.cgi?id=211

------------------------------------------------------------------------
r14689 | lego | 2005-06-17 20:15:17 -0500 (Fri, 17 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-synergy.c

from Vasanth Manickam

Synergy is a cross platform software which enables to easily share a single mouse and keyboard between multiple computers with different operating systems, each with its own display, without special hardware. Its listed on sourceforge (http://synergy2.sourceforge.net/).


------------------------------------------------------------------------
r14688 | lego | 2005-06-17 20:09:04 -0500 (Fri, 17 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-k12.c

- Use report_error and Co. to report errors


------------------------------------------------------------------------
r14687 | jmayer | 2005-06-17 19:10:59 -0500 (Fri, 17 Jun 2005) | 1 line
Changed paths:
   M /trunk/Makefile.am

Remove a leftover dummy list
------------------------------------------------------------------------
r14686 | tuexen | 2005-06-17 16:02:40 -0500 (Fri, 17 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Add support for draft-ietf-tsvwg-sctp-auth-00.txt.

------------------------------------------------------------------------
r14685 | gerald | 2005-06-17 13:41:02 -0500 (Fri, 17 Jun 2005) | 5 lines
Changed paths:
   M /trunk/colorfilters

Tweak the global coloring rules a bit.  Give "normal" traffic pastel
backgrounds and "bad" traffic bold backgrounds, which is the strategy
used in some of the sample coloring rules.  Include a few rules from
the samples as well.

------------------------------------------------------------------------
r14684 | lego | 2005-06-17 12:37:10 -0500 (Fri, 17 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sscop.c
   M /trunk/epan/dissectors/packet-sscop.h

- fix a bug I introduced by copy pasting an incorrect offset of some items
- prepare the tap


------------------------------------------------------------------------
r14683 | lego | 2005-06-17 12:33:48 -0500 (Fri, 17 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c

Register the dtap dissector by name.


------------------------------------------------------------------------
r14682 | lego | 2005-06-17 12:26:43 -0500 (Fri, 17 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/k12.h
   M /trunk/wiretap/wtap-int.h

- Write rf5 files (I don't think tektronix software will be able to read these, ethereal does)
- change k12.atm.vci and k12.atm.vpi into atm.vci and atm.vpi


------------------------------------------------------------------------
r14681 | jmayer | 2005-06-17 12:12:12 -0500 (Fri, 17 Jun 2005) | 1 line
Changed paths:
   M /trunk/FAQ
   M /trunk/help/faq.txt

Update FAQ
------------------------------------------------------------------------
r14680 | jmayer | 2005-06-17 12:10:21 -0500 (Fri, 17 Jun 2005) | 1 line
Changed paths:
   M /trunk/manuf

Update manuf
------------------------------------------------------------------------
r14679 | gerald | 2005-06-17 10:03:26 -0500 (Fri, 17 Jun 2005) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Add a note about fuzz testing.

------------------------------------------------------------------------
r14678 | ulfl | 2005-06-17 02:57:41 -0500 (Fri, 17 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

fix a typo in the usage output
------------------------------------------------------------------------
r14677 | ulfl | 2005-06-17 02:56:27 -0500 (Fri, 17 Jun 2005) | 1 line
Changed paths:
   M /trunk/editcap.c

the -E probability parameter was missing in the usage summary
------------------------------------------------------------------------
r14676 | ulfl | 2005-06-16 20:28:41 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_app_tools.xml

updated to latest Ethereal GUI
------------------------------------------------------------------------
r14675 | ulfl | 2005-06-16 20:27:52 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_customize.xml

updated to latest Ethereal GUI
------------------------------------------------------------------------
r14674 | ulfl | 2005-06-16 18:27:57 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_statistics.xml
   M /trunk/docbook/eug_src/EUG_chapter_work.xml

updated to latest Ethereal GUI
------------------------------------------------------------------------
r14673 | etxrab | 2005-06-16 17:07:38 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Change "radius type" on some vendor AVP:s and add some more ones.
------------------------------------------------------------------------
r14672 | etxrab | 2005-06-16 17:06:12 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/sminmpec.c
   M /trunk/epan/sminmpec.h

Add some more vendors
------------------------------------------------------------------------
r14671 | ulfl | 2005-06-16 16:51:17 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_advanced.xml

updated to latest Ethereal GUI
------------------------------------------------------------------------
r14670 | ulfl | 2005-06-16 16:34:06 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_io.xml

add ChIOExportCSVDialog section, docbook validation should work again
------------------------------------------------------------------------
r14669 | ulfl | 2005-06-16 16:19:50 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_io.xml
   M /trunk/docbook/eug_src/EUG_chapter_use.xml

add a "file sets" section and fix a link to it
------------------------------------------------------------------------
r14668 | etxrab | 2005-06-16 16:19:37 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Paul Ollis
------------------------------------------------------------------------
r14667 | etxrab | 2005-06-16 16:16:23 -0500 (Thu, 16 Jun 2005) | 16 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sigcomp.c

From  Paul Ollis:
  epan/dissectors/packet-sigcomp.c
  --------------------------------

    Function dissect_sigcomp:

        1. Make sure the temporary buffer that is used to load byte-code from
           state is zeroed, since the function udvm_state_access implicitly
           relies on this.

        2. Pass the SigComp message header length, state length and partial
           state length to decompress_sigcomp_message.

        3. Removed the state_vars_valid parameter from calls to
           udvm_state_access.

------------------------------------------------------------------------
r14666 | etxrab | 2005-06-16 16:15:12 -0500 (Thu, 16 Jun 2005) | 115 lines
Changed paths:
   M /trunk/epan/sigcomp-udvm.c
   M /trunk/epan/sigcomp-udvm.h
   M /trunk/epan/sigcomp_state_hdlr.c
   M /trunk/epan/sigcomp_state_hdlr.h

From  Paul Ollis:
  epan/sigcomp_state_hdlr.c epan/sigcomp_state_hdlr.h
  ---------------------------------------------------

    Function udvm_state_access:

        1. Removed the state_vars_valid parameter. It is no longer used.

        2. The function now correctly updates each of state_length,
           state_address and state_instruction with saved state value.

           [Previously this was only done for state referenced in the SigComp
            message header.]

        3. Removed code that (incorrectly) read byte_copy_left from UDVM memory
           within the loop that writes the state to UDVM memory.

        4. Removed the code that set the useful values in UDVM memory. This
           should only be done for state referenced in the SigComp message
           header. (The decompress_sigcomp_message function, sets the useful
           values.)


  epan/sigcomp-udvm.c epan/sigcomp-udvm.h
  ---------------------------------------

    Function decompress_sigcomp_message:

        1. Added three new parameters; header_len, byte_code_state_len,
           byte_code_id_len.  The byte_code_state_len and byte_code_id_len
           are used to set the useful values in UDVM memory. The
           header_len is required to calculate the cycles available
           for decompression.

        2. Various minor corrections to spellings, etc in generated
           messages.

        3. Reduced the number of lines of output for print_level_1. Now
           the execution trace shows the instruction name and parameter
           values on one line.

           [This was done because, we found that even at the lowest
           level of detail ethereal became unusably slow; running on
           a 500 MHz SPARC. This seems to be related to the number of
           lines produced by the SigComp trace, which can easily be over
           1000 with the modified code.]

        4. Removed the used of some floating point functions. In all
           cases they were unnecessary and could potentially cause the
           code to produce the wrong results on some platforms (although
           this is unlikely).

        5. The useful values are now set correctly, using the new
           byte_code_state_len and byte_code_id_len parameters.

        6. The message header length is now included in the calculation of
           maximum_UDVM_cycles. Previously, the calculation could underestimate
           the value, resulting in the (small) chance that some legitimate
           messages might fail to decompress.

           Note: The calculation might now slightly over-estimate the cycles
           but this is a reasonable thing to do.

        7. Implemented the PUSH, POP, CALL and RETURN instructions.

           Note: The two SORT instructions and the CRC and SHA-1 instructions
           are still not implemented.

        8. The COPY and COPY-LITERAL instructions now apply the
           byte-copying-rules to the source address as well as the destination
           address.

        9. The COPY-LITERAL and COPY-OFFSET now correctly handle the
           destination operand. Previously, it was possible for the destination
           to be left at byte_copy_right when it should be left at
           byte_copy_left.

        10. All three COPY instructions will now behave correctly if the source
            or destination start at byte_copy_right; i.e. they read/write to
            byte_copy_right, byte_copy_right+1, etc. Previously the parameters
            would wrap to byte_copy_left.

        11. The COPY-OFFSET instruction now correctly calculates the source
            address for all values of offset. Previously a very large offset
            (greater than the circular buffer size) could cause the starting
            position to be mis-calculated.

        12. Modulo 65536 arithmetic has been added in some places where it was
            missing.

            [Only when noticed, we have not been able to check all the code.]

        13. Some redundant code was removed for the INPUT-BITS instruction.
            Also, INPUT-BITS (0, x, x) now correctly discards spare bits when
            the P-bit, has changed.

        14. Corrected the cycles used calculation for the INPUT-BITS
            instruction.

        15. Corrected some minor cases where the used_udvm_cycles was not
            incremented.

            [Not really a problem, but it allowed us to verify correctness with
            some of the SigComp torture tests.]

        16. Removed some redundant code in INPUT-HUFFMAN (and reorganised some
            comments to keep them making sense).


    Function decomp_dispatch_get_bits:

        1. This has been rewritten. The original version could not correctly
           handle requests for more than 8 bits. The new version is cleaner and
           correctly handles all cases.

------------------------------------------------------------------------
r14665 | ulfl | 2005-06-16 15:27:55 -0500 (Thu, 16 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_capture.xml
   M /trunk/docbook/eug_src/EUG_chapter_io.xml

updated to latest Ethereal GUI
------------------------------------------------------------------------
r14664 | gerald | 2005-06-16 14:51:14 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smpp.c

Fix Win32 compilation, broken by yesterday's checkin.

------------------------------------------------------------------------
r14663 | jmayer | 2005-06-16 12:23:34 -0500 (Thu, 16 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/proto.h
   M /trunk/epan/value_string.h

Get rid of several megabytes worth of warnings about
"discards qualifier from assignment".

------------------------------------------------------------------------
r14662 | guy | 2005-06-16 05:06:22 -0500 (Thu, 16 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-k12.c

Remove unused variable.

Clean up indentation.

------------------------------------------------------------------------
r14661 | guy | 2005-06-16 05:05:23 -0500 (Thu, 16 Jun 2005) | 4 lines
Changed paths:
   M /trunk/gtk/hostlist_jxta.c

Get rid of unnecessary assignment and unnecessary "volatile" qualifier.

Mark unused parameter as such.

------------------------------------------------------------------------
r14660 | guy | 2005-06-16 04:58:01 -0500 (Thu, 16 Jun 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-jxta.c

From Peter Kovar: fix an incorrect assignment that caused a compilation
error with GCC 4.

------------------------------------------------------------------------
r14659 | guy | 2005-06-16 03:10:13 -0500 (Thu, 16 Jun 2005) | 5 lines
Changed paths:
   M /trunk/wiretap/netxray.c

Note that the WAN_CAPTYPE value of 4 can correspond to Cisco HDLC
traffic as well as Frame Relay traffic, and give some information about
the cruft found in the xxc field of the header for one CHDLC and one FR
capture.

------------------------------------------------------------------------
r14658 | guy | 2005-06-16 02:46:03 -0500 (Thu, 16 Jun 2005) | 20 lines
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h

Clean up white space.

Register "standard" and "lock_info_col" as obsolete preferences, so
they're silently ignored rather than triggering warnings.

Propagate changes to check for "dissect_ber_octet_string()" supplying a
null tvbuff pointer from the checkins to the generated dissector ("Do
not modify this file" means "Do not modify this file"!) to the tcap.cnf
file, so that they're not lost if the dissector is regenerated.  (Don't
propagate the checks for "tvb_new_subset()" returning null - it never
returns null.)

Pass -1 to "tvb_new_subset()" when appropriate.

When looping over packet data, check against the reported length, not
the captured length, so we indicate a short frame if we get stopped by
the snapshot length.

Get rid of unused variables.

------------------------------------------------------------------------
r14657 | guy | 2005-06-16 01:50:20 -0500 (Thu, 16 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

Register "version" as an obsolete preference, so it's silently ignored,
rather than provoking a warning.

------------------------------------------------------------------------
r14656 | guy | 2005-06-16 01:41:28 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Don't hand a null pointer to a "%s" format.

------------------------------------------------------------------------
r14655 | guy | 2005-06-16 01:34:27 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Fix a typo, and squelch a compiler warning.

------------------------------------------------------------------------
r14654 | guy | 2005-06-16 01:33:49 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/gtk/recent.c

Include <ctype.h> to define/declare "isspace()".

------------------------------------------------------------------------
r14653 | guy | 2005-06-16 01:32:20 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup_thin.c

"dissect_isup_thin()" is a new-style dissector; register it as such.

------------------------------------------------------------------------
r14652 | guy | 2005-06-16 01:31:25 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

Squelch some unitialized variable warnings.

------------------------------------------------------------------------
r14651 | guy | 2005-06-16 01:30:33 -0500 (Thu, 16 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

"proto_tree_add_text()" doesn't add a named field, so it takes no "hf_"
argument.

Report a non-integral type used with "dissect_per_integer()" with an
explicit "REPORT_DISSECTOR_BUG()" call, as that's a dissector bug.

------------------------------------------------------------------------
r14650 | guy | 2005-06-16 01:28:50 -0500 (Thu, 16 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-msrp.c

Include <ctype.h> to get "isdigit()" defined/declared.

"dissect_msrp()" is a "new-style" dissector; register it as such.

Squelch an uninitialized variable warning.

------------------------------------------------------------------------
r14649 | guy | 2005-06-16 01:27:18 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kink.c

Squelch some compiler warnings.

------------------------------------------------------------------------
r14648 | guy | 2005-06-16 01:19:03 -0500 (Thu, 16 Jun 2005) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-isakmp.c
   A /trunk/epan/dissectors/packet-isakmp.h
   M /trunk/epan/dissectors/packet-kink.c

Static variables considered harmful.  Make the ISAKMP version a
parameter to many functions inside the ISAKMP dissector, as well as to
the "isakmp_dissect_payloads()" routine it exports.  Get rid of
"isakmp_set_version()", as the version can be passed to
"isakmp_dissect_payloads()" from the KINK dissector.

Put the declaration of "isakmp_dissect_payloads()" into a
"packet-isakmp.h" header, and have "packet-isakmp.c" and "packet-kink.h"
include it rather than declariing "isakmp_dissect_payloads()" itself -
or not doing so at all.

------------------------------------------------------------------------
r14647 | guy | 2005-06-16 01:06:18 -0500 (Thu, 16 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Regenerate - this squelches some compiler warnings.

------------------------------------------------------------------------
r14646 | lego | 2005-06-15 21:27:30 -0500 (Wed, 15 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/wtap.h

third and last(?) iteration on the import routines for tektronix 32bit rf5 files.
Now the import is correct even for large files.
I found out when and where the "junk" was inserted.


------------------------------------------------------------------------
r14645 | ulfl | 2005-06-15 18:55:46 -0500 (Wed, 15 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/Makefile
   M /trunk/docbook/eug_src/EUG_chapter_use.xml
   A /trunk/docbook/graphics/toolbar/autoscroll_24.png
   D /trunk/docbook/graphics/toolbar/capture_24.png
   A /trunk/docbook/graphics/toolbar/capture_filter_24.png
   A /trunk/docbook/graphics/toolbar/capture_interfaces_24.png
   A /trunk/docbook/graphics/toolbar/capture_options_24.png
   A /trunk/docbook/graphics/toolbar/capture_restart_24.png
   A /trunk/docbook/graphics/toolbar/capture_start_24.png
   A /trunk/docbook/graphics/toolbar/capture_stop_24.png
   D /trunk/docbook/graphics/toolbar/cfilter_24.png
   A /trunk/docbook/graphics/toolbar/colorize_24.png
   D /trunk/docbook/graphics/toolbar/dfilter_24.png
   A /trunk/docbook/graphics/toolbar/display_filter_24.png
   A /trunk/docbook/graphics/toolbar/resize_columns_24.png
   M /trunk/docbook/user-guide.xml

update toolbar items and icons
------------------------------------------------------------------------
r14644 | ulfl | 2005-06-15 18:05:37 -0500 (Wed, 15 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/compat_macros.h

don't call "Capture/Start" Capture but Start in the toolbar
------------------------------------------------------------------------
r14643 | gerald | 2005-06-15 17:56:23 -0500 (Wed, 15 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Handle FT_UINTs in dissect_per_integer().  Fixes bug 234.

------------------------------------------------------------------------
r14642 | ulfl | 2005-06-15 17:47:20 -0500 (Wed, 15 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_use.xml

update various menu items (screenshots must be updated as well)
------------------------------------------------------------------------
r14641 | ulfl | 2005-06-15 17:45:51 -0500 (Wed, 15 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_build_install.xml

minor editing
------------------------------------------------------------------------
r14640 | gerald | 2005-06-15 17:08:43 -0500 (Wed, 15 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-browser.c

Make sure dissect_browser_TYPE_12_data() returns the right value.  Catch
integer overflows in that and other functions.  Fixes bug 236.

------------------------------------------------------------------------
r14639 | gerald | 2005-06-15 16:42:30 -0500 (Wed, 15 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smpp.c

Catch an infinite loop in smpp_handle_dlist().  Fixes bug 246.

------------------------------------------------------------------------
r14638 | gerald | 2005-06-15 16:33:48 -0500 (Wed, 15 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pagp.c

Add missing hf entries.  Fixes bug 240.

------------------------------------------------------------------------
r14637 | gerald | 2005-06-15 15:55:11 -0500 (Wed, 15 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c

In sam_dissect_SAM_SECURITY_DESCRIPTOR_data(), throw an exception if we
fetch a too-long length.  Fixes bug 236.


------------------------------------------------------------------------
r14636 | gerald | 2005-06-15 13:35:13 -0500 (Wed, 15 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

Fix a couple of infinite loops found by Buildbot.  Were the recent
changes to this dissector fuzz tested at all?

------------------------------------------------------------------------
r14635 | gerald | 2005-06-15 12:56:47 -0500 (Wed, 15 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-csm-encaps.c

Fix an infinite loop found by randpkt testing.  Change the line endings from
DOS to UNIX.

------------------------------------------------------------------------
r14634 | gerald | 2005-06-15 10:10:02 -0500 (Wed, 15 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/proto.c

When we add an FT_STRINGZ item, throw an exception if the length is
less than -1.  If the length is 0, set the item string to "[Empty]".
This fixes bug 219.


------------------------------------------------------------------------
r14633 | etxrab | 2005-06-14 17:01:55 -0500 (Tue, 14 Jun 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Samuel Thibault
------------------------------------------------------------------------
r14632 | etxrab | 2005-06-14 16:58:54 -0500 (Tue, 14 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ymsg.c

From Samuel Thibault,
Some updates to the yahoo msg dissector.
------------------------------------------------------------------------
r14631 | etxrab | 2005-06-14 16:57:17 -0500 (Tue, 14 Jun 2005) | 1 line
Changed paths:
   M /trunk/plugins/giop/Makefile.am

Correct a typo
------------------------------------------------------------------------
r14630 | etxrab | 2005-06-14 16:48:42 -0500 (Tue, 14 Jun 2005) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

From Javier Acuna
patch to include Cic info in Voip Calls

------------------------------------------------------------------------
r14629 | etxrab | 2005-06-14 16:46:51 -0500 (Tue, 14 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Add vendor AVP:s for T-Mobile and  T-Systems Nova International GmbH.
------------------------------------------------------------------------
r14628 | etxrab | 2005-06-14 16:45:29 -0500 (Tue, 14 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/sminmpec.c
   M /trunk/epan/sminmpec.h

Add Vendor ID of T-Mobile  and  T-Systems Nova International GmbH.
------------------------------------------------------------------------
r14627 | gerald | 2005-06-14 13:18:05 -0500 (Tue, 14 Jun 2005) | 15 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-isis-lsp.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/tools/lemon/lemon.c

From Steve Grubb:

Fix bounds checking in lemon.c.  Fix up an if/else block in
packet-dcerpc-samr.c.  Fix hex printing in packet-gtp.c.


Fix other problems discovered by Steve:

Fix a bounds check in packet-isis-lsp.c.  Also, fix netmask printing
on non-little-endian machines.  Add a comment about adding a netmask
routine to to_str.c.  Add bounds checks to packet-ncp2222.inc.


All of these apply to bug 217.

------------------------------------------------------------------------
r14626 | jmayer | 2005-06-14 09:33:55 -0500 (Tue, 14 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wlancap.c

Always skip the whole header: The current code would only decode
sizeof strcut wlan_header_v1 bytes, but if our struct was missing
some newer elements, things would go wrong.

------------------------------------------------------------------------
r14625 | jmayer | 2005-06-14 08:35:24 -0500 (Tue, 14 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

No // comments
------------------------------------------------------------------------
r14624 | gerald | 2005-06-13 17:40:11 -0500 (Mon, 13 Jun 2005) | 8 lines
Changed paths:
   M /trunk/clopts_common.c
   M /trunk/epan/prefs.c

Change read_prefs() to use GStrings instead of (re)allocating memory
ourselves.  This fixes a potential off-by-one error found by Steve Grubb.

Add two new -G options: defaultprefs and currentprefs.  The first dumps
the default preferences to stdout and the second dumps the user's prefs
to stdout.


------------------------------------------------------------------------
r14623 | ulfl | 2005-06-13 15:04:09 -0500 (Mon, 13 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_introduction.xml

the note about not sending sensitive information to the lists should really be a warning, not only a note
------------------------------------------------------------------------
r14622 | ulfl | 2005-06-13 15:01:05 -0500 (Mon, 13 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_build_install.xml

minor editing
------------------------------------------------------------------------
r14621 | lego | 2005-06-13 14:45:21 -0500 (Mon, 13 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-k12.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/wtap.h

use a helper dissector to show k12 files.


------------------------------------------------------------------------
r14620 | gerald | 2005-06-13 11:31:01 -0500 (Mon, 13 Jun 2005) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/make-version.pl

Read .svn/entries directly instead of calling "svn info", as suggested by
Thomas Anders.  This should make things more locale-independent and remove
a dependency on "svn" being present.

------------------------------------------------------------------------
r14619 | lego | 2005-06-13 03:47:24 -0500 (Mon, 13 Jun 2005) | 2 lines
Changed paths:
   M /trunk/plugins/giop/Makefile.am

Add the missing parlay.la to the makefile

------------------------------------------------------------------------
r14618 | ulfl | 2005-06-13 01:55:06 -0500 (Mon, 13 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/catalog.xml

from Jaap Keuter: add some comments, how paths should look like for a debian distro
------------------------------------------------------------------------
r14617 | etxrab | 2005-06-11 16:31:13 -0500 (Sat, 11 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-yhoo.c

Add some yhoo_service_vals
------------------------------------------------------------------------
r14616 | guy | 2005-06-11 14:03:49 -0500 (Sat, 11 Jun 2005) | 2 lines
Changed paths:
   M /trunk/docbook/user-guide.xml

Update references to the WinPcap Web site.

------------------------------------------------------------------------
r14615 | guy | 2005-06-11 14:02:31 -0500 (Sat, 11 Jun 2005) | 2 lines
Changed paths:
   M /trunk/docbook/edg_src/EDG_chapter_libraries.xml

Update references to the WinPcap Web site.

------------------------------------------------------------------------
r14614 | ulfl | 2005-06-11 11:50:18 -0500 (Sat, 11 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

add missing #include "webbrowser.h" from previous commit
------------------------------------------------------------------------
r14613 | etxrab | 2005-06-11 11:03:24 -0500 (Sat, 11 Jun 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Angelo Bannack as an author.
------------------------------------------------------------------------
r14612 | etxrab | 2005-06-11 10:58:01 -0500 (Sat, 11 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-csm-encaps.c

From Angelo Bannack, 
 A CSM_ENCAPS dissector to use with ethereal. 
The CSM_ENCAPS is a protocol used by MindSpeed to communicate with your products, and configure VoIP channels.

------------------------------------------------------------------------
r14611 | ulfl | 2005-06-11 07:12:12 -0500 (Sat, 11 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

add help button pointing to the wiki page
------------------------------------------------------------------------
r14610 | ulfl | 2005-06-10 14:09:49 -0500 (Fri, 10 Jun 2005) | 5 lines
Changed paths:
   M /trunk/gtk/main.c

this is an attempt, please report problems:

after asking the devlist if this would break things and got no negative response, try to scan command line parameters twice, trying to "rewind" the getopt settings

this way, fixing #135
------------------------------------------------------------------------
r14609 | ulfl | 2005-06-10 13:30:33 -0500 (Fri, 10 Jun 2005) | 1 line
Changed paths:
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

don't call g_assert_not_reached() for an unknown port type
------------------------------------------------------------------------
r14608 | ulfl | 2005-06-10 13:28:22 -0500 (Fri, 10 Jun 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-esis.c
   M /trunk/epan/dissectors/packet-gsm_sms_ud.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-msdp.c
   M /trunk/epan/dissectors/packet-msproxy.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-pppoe.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-smb-pipe.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-socks.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-vj.c
   M /trunk/epan/dissectors/packet-wbxml.c
   M /trunk/epan/dissectors/packet-wcp.c
   M /trunk/epan/dissectors/packet-x11.c

just to get things straight: a dissector should *never* do any g_assert() calls!

in a simple approach, I've replaced all g_assert() and g_assert_not_reached() calls by their exception throwing counterparts DISSECTOR_ASSERT() and DISSECTOR_ASSERT_NOT_REACHED()

this will replace application crash by showing a dissector bug, which is the desired behaviour

there were some g_assert calls in the protocol registering functions, which might not be acting as expected now, but to be able to simply search for g_assert in the future I've replaced that calls too

one g_assert remained, the one when someone throws an unknown exception "into" packet_frame.c, but IMHO this one should remain.
------------------------------------------------------------------------
r14607 | lego | 2005-06-10 11:23:22 -0500 (Fri, 10 Jun 2005) | 3 lines
Changed paths:
   M /trunk/wiretap/k12.c

Fixed indentation and removed control characters, in an attempt to understand why windows fail to compile.


------------------------------------------------------------------------
r14606 | lego | 2005-06-10 11:01:16 -0500 (Fri, 10 Jun 2005) | 5 lines
Changed paths:
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/file_access.c
   A /trunk/wiretap/k12.c
   A /trunk/wiretap/k12.h
   M /trunk/wiretap/wtap-int.h
   M /trunk/wiretap/wtap.h

Initial checkin of the 32 bit tektronix k12 binary format (rf5)

There is still much to do, but at the very least it can import files allowing the user to choose which protocols handle the diferent sources.


------------------------------------------------------------------------
r14605 | ulfl | 2005-06-09 17:49:08 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

add Julian Onions
------------------------------------------------------------------------
r14604 | ulfl | 2005-06-09 17:46:41 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/docbook/edg_src/EDG_chapter_dissection.xml

from Julian Onions: add more about protocol dissection to the developer's guide
------------------------------------------------------------------------
r14603 | ulfl | 2005-06-09 15:08:39 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/plugins/profinet/ChangeLog
   M /trunk/plugins/profinet/moduleinfo.h

raise plugin version from 0.1.0 to 0.1.1 as some bugs were found using fuzz-test.sh since the last Ethereal release
------------------------------------------------------------------------
r14602 | ulfl | 2005-06-09 14:58:02 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

fix positions of create_console()/destroy_console() calls for help and version output
------------------------------------------------------------------------
r14601 | ulfl | 2005-06-09 14:55:55 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

bugfix: don't crash, if cf->filename is NULL (which happens if an invalid capture filter is entered)
------------------------------------------------------------------------
r14600 | ulfl | 2005-06-09 14:52:10 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pn-rt.c

add some more details of the RT protocols frame ID's
------------------------------------------------------------------------
r14599 | ulfl | 2005-06-09 14:49:56 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/doc/ethereal.pod

add some more details to the files section
------------------------------------------------------------------------
r14598 | gerald | 2005-06-09 13:24:55 -0500 (Thu, 09 Jun 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Change "colorfilter" to "colorfilters".  Fix up whitespace.

------------------------------------------------------------------------
r14597 | etxrab | 2005-06-09 12:25:40 -0500 (Thu, 09 Jun 2005) | 2 lines
Changed paths:
   M /trunk/plugins/giop/Makefile.am
   M /trunk/plugins/giop/Makefile.nmake
   A /trunk/plugins/giop/packet-parlay.c

Add dissection of parlay
www.parlay.org
------------------------------------------------------------------------
r14596 | ulfl | 2005-06-09 03:03:34 -0500 (Thu, 09 Jun 2005) | 1 line
Changed paths:
   M /trunk/doc/ethereal.pod

we possibly have global cfilters/dfilters files now
------------------------------------------------------------------------
r14595 | ulfl | 2005-06-09 02:43:32 -0500 (Thu, 09 Jun 2005) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/cfilters
   A /trunk/colorfilters
   A /trunk/dfilters
   M /trunk/packaging/nsis/ethereal.nsi

provide global default files for cfilters/colorfilters/dfilters

at least the colorfilters file needs some more "finetuning"

NSIS (Win32): install these files into the Ethereal Program dir, but don't overwrite existing ones

makefile.am: I've added the three files to EXTRA_DIST and pkgdata_DATA, which *seems* to be the right places
------------------------------------------------------------------------
r14594 | ulfl | 2005-06-09 01:58:03 -0500 (Thu, 09 Jun 2005) | 3 lines
Changed paths:
   M /trunk/filters.c

Try to read the "cfilters"/"dfilters" config files from the global path (program dir), if no personal versions of these files are available.

This is the same behaviour, as we do it for the colorfilters/preferences/... files already.
------------------------------------------------------------------------
r14593 | etxrab | 2005-06-09 00:40:26 -0500 (Thu, 09 Jun 2005) | 2 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/doc/README.tapping

From Mike Duigou
Minor corrections to README.developer and README.tapping
------------------------------------------------------------------------
r14592 | etxrab | 2005-06-08 23:28:13 -0500 (Wed, 08 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-tcap.c

From Tim Endean:
Check for tvb.
------------------------------------------------------------------------
r14591 | etxrab | 2005-06-08 13:53:11 -0500 (Wed, 08 Jun 2005) | 3 lines
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/tcap.cnf

From Olivier Jacques, 
- beautify TCAP decoding without upper dissector associated.
With a couple of if (parameter_tvb) trown in to hopfully fix a Buildbot crash output
------------------------------------------------------------------------
r14590 | etxrab | 2005-06-08 13:52:34 -0500 (Wed, 08 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

From Olivier Jacques, 
- beautify TCAP decoding without upper dissector associated.
With a couple of if (parameter_tvb) trown in to hopfully fix a Buildbot crash output
------------------------------------------------------------------------
r14589 | gerald | 2005-06-08 10:32:00 -0500 (Wed, 08 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h1.c

Break out of an infinite loop.  Fixes bug 232.

------------------------------------------------------------------------
r14588 | ulfl | 2005-06-08 01:40:17 -0500 (Wed, 08 Jun 2005) | 1 line
Changed paths:
   M /trunk/tools/fuzz-test.sh

fix a problem if the tools have a space char in their path
------------------------------------------------------------------------
r14587 | ulfl | 2005-06-08 01:33:49 -0500 (Wed, 08 Jun 2005) | 1 line
Changed paths:
   M /trunk/tools/fuzz-test.sh

add some general and some cygwin related comments
------------------------------------------------------------------------
r14586 | etxrab | 2005-06-08 00:06:30 -0500 (Wed, 08 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c

Cahnge ssn range
------------------------------------------------------------------------
r14585 | etxrab | 2005-06-08 00:04:26 -0500 (Wed, 08 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

From Tim Endean:
Fix ssn range
------------------------------------------------------------------------
r14584 | etxrab | 2005-06-08 00:03:36 -0500 (Wed, 08 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Fix a typo.
------------------------------------------------------------------------
r14583 | lego | 2005-06-07 18:25:46 -0500 (Tue, 07 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-t38.c

From: Martin Mathieson

fix cases where %d has been used instead of %u...


------------------------------------------------------------------------
r14582 | lego | 2005-06-07 18:22:37 -0500 (Tue, 07 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-alcap.c

make sure that colifo gets set and put some other useful info there


------------------------------------------------------------------------
r14581 | etxrab | 2005-06-07 15:57:27 -0500 (Tue, 07 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c

Add some ethertypes
------------------------------------------------------------------------
r14580 | etxrab | 2005-06-07 15:56:54 -0500 (Tue, 07 Jun 2005) | 1 line
Changed paths:
   M /trunk/etypes.h

Add some ethertypes
------------------------------------------------------------------------
r14579 | etxrab | 2005-06-07 15:30:04 -0500 (Tue, 07 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/tcap/tcap.asn
   M /trunk/asn1/tcap/tcap.cnf

Some fixes from Tim Endean
------------------------------------------------------------------------
r14578 | etxrab | 2005-06-07 15:29:23 -0500 (Tue, 07 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

Some fixes from Tim Endean
------------------------------------------------------------------------
r14577 | etxrab | 2005-06-07 10:21:22 -0500 (Tue, 07 Jun 2005) | 5 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

From Alejandro Vaquero:
glib-object.h is is glib2 only.
 graph_analysis.c:47:25: glib-object.h: No such file or directory
 a patch for ths issue and also to correct the "first_item" 
issue reported in "RE: [Ethereal-dev] Voip graph analysis "Save as" button"
------------------------------------------------------------------------
r14576 | kukosa | 2005-06-07 07:05:03 -0500 (Tue, 07 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225.cnf

Usage of new #.FN_PARS directive instead of #.FN_BODY
------------------------------------------------------------------------
r14575 | kukosa | 2005-06-07 06:58:22 -0500 (Tue, 07 Jun 2005) | 3 lines
Changed paths:
   M /trunk/tools/asn2eth.py

- usage of dissect_per_null() and dissect_ber_null()
- new #.FN_PARS directive (implemented only for OCTET STRING and INTEGER now)
- set true value strings for named bits
------------------------------------------------------------------------
r14574 | etxrab | 2005-06-07 00:50:28 -0500 (Tue, 07 Jun 2005) | 6 lines
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/tcap.cnf

From Tim Endean:

- I have had to make some changes to packet-ber to allow for PRIVATE and APPLICATION tags.
- Both ANSI and ITU variants supported without configuration.
- Asn.1 dissectors can now register using an OID value as well as an SSN, the oid it tried first.

------------------------------------------------------------------------
r14573 | etxrab | 2005-06-07 00:49:57 -0500 (Tue, 07 Jun 2005) | 6 lines
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

From Tim Endean:

- I have had to make some changes to packet-ber to allow for PRIVATE and APPLICATION tags.
- Both ANSI and ITU variants supported without configuration.
- Asn.1 dissectors can now register using an OID value as well as an SSN, the oid it tried first.

------------------------------------------------------------------------
r14572 | etxrab | 2005-06-07 00:49:06 -0500 (Tue, 07 Jun 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h

From Tim Endean:

- I have had to make some changes to packet-ber to allow for PRIVATE and APPLICATION tags.
- Both ANSI and ITU variants supported without configuration.
- Asn.1 dissectors can now register using an OID value as well as an SSN, the oid it tried first.


------------------------------------------------------------------------
r14571 | etxrab | 2005-06-06 15:42:18 -0500 (Mon, 06 Jun 2005) | 1 line
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/tcap/tcap.cnf

Let the sub dissector use the top tree.
------------------------------------------------------------------------
r14570 | ulfl | 2005-06-06 15:32:08 -0500 (Mon, 06 Jun 2005) | 3 lines
Changed paths:
   M /trunk/docbook/edg_src/EDG_chapter_dissection.xml

from Julian Onions: add a devel section about start writing a dissector

some editing by me ...
------------------------------------------------------------------------
r14569 | lego | 2005-06-06 13:53:43 -0500 (Mon, 06 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-alcap.c

register the dissector so that it can be found


------------------------------------------------------------------------
r14568 | lego | 2005-06-06 13:52:54 -0500 (Mon, 06 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sscop.c

- add an hf entry I forgot
- get the STAT/USTAT PDU list straight 


------------------------------------------------------------------------
r14567 | lego | 2005-06-06 13:51:05 -0500 (Mon, 06 Jun 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

- make sure there's something to add to colinfo.
- auditValueRequest is a request too

------------------------------------------------------------------------
r14566 | lego | 2005-06-06 13:45:47 -0500 (Mon, 06 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-user_encap.c

the trailer's offset and len were not ok.

------------------------------------------------------------------------
r14565 | etxrab | 2005-06-06 13:01:58 -0500 (Mon, 06 Jun 2005) | 1 line
Changed paths:
   A /trunk/epan/dissectors/packet-isup_thin.c

Dissector for ISUP over TCP.
------------------------------------------------------------------------
r14564 | etxrab | 2005-06-06 12:40:07 -0500 (Mon, 06 Jun 2005) | 1 line
Changed paths:
   A /trunk/asn1/tcap/Makefile.nmake

Add makefile.nmake
------------------------------------------------------------------------
r14563 | etxrab | 2005-06-06 12:08:37 -0500 (Mon, 06 Jun 2005) | 1 line
Changed paths:
   M /trunk/gtk/conversations_jxta.c
   M /trunk/gtk/conversations_table.h
   M /trunk/gtk/hostlist_jxta.c

Add an ifdef and "dont apply patch twice".
------------------------------------------------------------------------
r14562 | etxrab | 2005-06-06 12:07:04 -0500 (Mon, 06 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-jxta.h

Fix a typo and add an ifdef
------------------------------------------------------------------------
r14561 | etxrab | 2005-06-06 10:39:20 -0500 (Mon, 06 Jun 2005) | 1 line
Changed paths:
   A /trunk/asn1/tcap/Makefile
   A /trunk/asn1/tcap/packet-tcap-template.c
   A /trunk/asn1/tcap/packet-tcap-template.h
   A /trunk/asn1/tcap/tcap.asn
   A /trunk/asn1/tcap/tcap.cnf

Add the asn2eth generated TCAP dissector made by Tim Endean to the SVN tree.
------------------------------------------------------------------------
r14560 | etxrab | 2005-06-06 10:37:12 -0500 (Mon, 06 Jun 2005) | 1 line
Changed paths:
   A /trunk/asn1/tcap

Add the asn2eth genereated TCAP dissector to SVN 
------------------------------------------------------------------------
r14559 | etxrab | 2005-06-06 10:22:17 -0500 (Mon, 06 Jun 2005) | 26 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/conversations_jxta.c
   A /trunk/gtk/hostlist_jxta.c

From Mike Duigou:
 a patch which adds support for displaying jxta 
conversations and endpoints from the 'Statistics' menu. Also adds :

  - a generated field to Welcome messages to indicate whether this 
welcome is from the initiator or the receiver. You can filter on this 
field with 'jxta.welcome.initiator==[0|1]'

  - Marks the source and destination fields of message added in the last 
patch as generated fields. (Saw it being done for some other protocol).

  - Cleans up dissection of Message which used to assume it would 
dissected more than one set of hdr/message per tvbuff. Now it only 
attempts to dissect one.

- Uses GMemChunk for tap info and for conversation data rather than 
g_malloc() There's still a major leakage of g_malloc()ed the c-strings 
which are used in jxta addresses. Any suggestions for how these can be 
allocated such that they can be freed re-init is called would be 
appreciated. For address objects whose data ptr doesn't point into a 
tvbuff it's not clear what the lifecyle of an address object is.

  - Fixes a bug with filling in the of the transport layer conversation 
data. >= vs. >


------------------------------------------------------------------------
r14558 | etxrab | 2005-06-06 10:20:10 -0500 (Mon, 06 Jun 2005) | 26 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-jxta.c
   A /trunk/epan/dissectors/packet-jxta.h

From Mike Duigou:
 a patch which adds support for displaying jxta 
conversations and endpoints from the 'Statistics' menu. Also adds :

  - a generated field to Welcome messages to indicate whether this 
welcome is from the initiator or the receiver. You can filter on this 
field with 'jxta.welcome.initiator==[0|1]'

  - Marks the source and destination fields of message added in the last 
patch as generated fields. (Saw it being done for some other protocol).

  - Cleans up dissection of Message which used to assume it would 
dissected more than one set of hdr/message per tvbuff. Now it only 
attempts to dissect one.

- Uses GMemChunk for tap info and for conversation data rather than 
g_malloc() There's still a major leakage of g_malloc()ed the c-strings 
which are used in jxta addresses. Any suggestions for how these can be 
allocated such that they can be freed re-init is called would be 
appreciated. For address objects whose data ptr doesn't point into a 
tvbuff it's not clear what the lifecyle of an address object is.

  - Fixes a bug with filling in the of the transport layer conversation 
data. >= vs. >


------------------------------------------------------------------------
r14557 | etxrab | 2005-06-06 10:17:41 -0500 (Mon, 06 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/to_str.c

From Mike Duigou:

 a patch to to_str.c which adds support for printing 
AT_STRINGZ address type. Amazing that this wasn't there!

------------------------------------------------------------------------
r14556 | etxrab | 2005-06-06 09:01:04 -0500 (Mon, 06 Jun 2005) | 10 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/graph_analysis.h

From Alejandro Vaquero:

- Add a pane to contain  the main graph and the comments to be able to 
split them
- Change the main graph area to be a scrolled_window
- Change the look of the selected item to be blue with white text color
- Gray color the title area
- Change the conversations color to more "soft" colors (it was difficult 
to read in some cases before)

------------------------------------------------------------------------
r14555 | etxrab | 2005-06-06 08:55:47 -0500 (Mon, 06 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

From Richard Rabbat:
a patch for a couple of fixes to rsvp sub-objects.
------------------------------------------------------------------------
r14554 | ulfl | 2005-06-04 17:05:50 -0500 (Sat, 04 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.h

if some PER errors has to be put to the stderr, give at least info where it's coming from (__FILE__ and __LINE__)

BTW: time for something like a "NotImplementedException"?!?, this seems to be a common mechanism, if a dissector hasn't implemented all protocol elemements (yet)
------------------------------------------------------------------------
r14553 | guy | 2005-06-04 16:58:55 -0500 (Sat, 04 Jun 2005) | 7 lines
Changed paths:
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/nettl.c

Fix some more leaks in error returns from open routines (if the open can
fail after the private data is allocated, you have to free the private
data).

The file header in nettl files is 128 bytes - use a #define for it, and
also a #define for the magic number size.

------------------------------------------------------------------------
r14552 | ulfl | 2005-06-04 16:39:36 -0500 (Sat, 04 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

fix #225-#231: the enum lmp_filter_keys contained holes, so the logic to detect the field type failed, resulting in the bug
------------------------------------------------------------------------
r14551 | lego | 2005-06-04 14:22:39 -0500 (Sat, 04 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-user_encap.c

Give the user the ability to decide how to decode USER DLTs


------------------------------------------------------------------------
r14550 | ulfl | 2005-06-04 06:47:38 -0500 (Sat, 04 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

fix #201 second part: adapt the string length of the unformatted text, so it won't show \000 and beyond
------------------------------------------------------------------------
r14549 | ulfl | 2005-06-04 05:23:10 -0500 (Sat, 04 Jun 2005) | 1 line
Changed paths:
   M /trunk/proto_hier_stats.c

fix #224: hierarchy stats had problems with the new generated toplevel desegmentation items "[Reassembled TCP Segments]"
------------------------------------------------------------------------
r14548 | ulfl | 2005-06-03 23:57:10 -0500 (Fri, 03 Jun 2005) | 1 line
Changed paths:
   M /trunk/doc/ethereal.pod

update to changes done in the menu
------------------------------------------------------------------------
r14547 | ulfl | 2005-06-03 23:14:02 -0500 (Fri, 03 Jun 2005) | 1 line
Changed paths:
   M /trunk/doc/ethereal.pod
   M /trunk/doc/tethereal.pod

make a complete redesign of the files section
------------------------------------------------------------------------
r14546 | ulfl | 2005-06-03 21:06:16 -0500 (Fri, 03 Jun 2005) | 3 lines
Changed paths:
   M /trunk/gtk/packet_list.c

fix #220: the automatic display of the vertical scrollbar at the packet list doesn't seem to work in all cases (not shown although scrolling would be necessary)

as I don't see a way to fix this (and it just don't really hurt, as this scrollbar is usually shown anyway if some more packets have to be display) just show it always
------------------------------------------------------------------------
r14545 | ulfl | 2005-06-03 20:29:14 -0500 (Fri, 03 Jun 2005) | 5 lines
Changed paths:
   M /trunk/doc/ethereal.pod
   M /trunk/doc/tethereal.pod
   M /trunk/gtk/main.c
   M /trunk/tethereal.c

update usage output and manual pages for both Ethereal and Tethereal to reflect the latest changes in the command line.

clarifications of some command line parameter descriptions in the manual pages

this also fixes #221
------------------------------------------------------------------------
r14544 | lego | 2005-06-03 09:02:06 -0500 (Fri, 03 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sscop.c

fix the PDU list, and put it at the bottom


------------------------------------------------------------------------
r14543 | lego | 2005-06-03 08:54:34 -0500 (Fri, 03 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sscop.h

keywords and eol-style


------------------------------------------------------------------------
r14542 | lego | 2005-06-03 08:50:30 -0500 (Fri, 03 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-sscop.c
   A /trunk/epan/dissectors/packet-sscop.h


- add a way to call the sscop dissector with an arbitrary handle\
- make most fields "filterable"
- dissect stat and ustat pdu lists


------------------------------------------------------------------------
r14541 | etxrab | 2005-06-03 04:56:03 -0500 (Fri, 03 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Register the ISUP dissector to make it callable through 
call_dissector()
------------------------------------------------------------------------
r14540 | guy | 2005-06-03 04:55:28 -0500 (Fri, 03 Jun 2005) | 2 lines
Changed paths:
   M /trunk/capture-wpcap.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_dlg.c

Update URLs and domain names that refer to the WinPcap site.

------------------------------------------------------------------------
r14539 | etxrab | 2005-06-03 01:37:05 -0500 (Fri, 03 Jun 2005) | 4 lines
Changed paths:
   M /trunk/packaging/rpm/SPECS/ethereal.spec.in

From  Mike Duigou:
Fixes a problem with the RPM spec which prevents it from 
working with current versions of rpmbuild.

------------------------------------------------------------------------
r14538 | etxrab | 2005-06-03 01:36:07 -0500 (Fri, 03 Jun 2005) | 4 lines
Changed paths:
   M /trunk/doc/README.developer

From  Mike Duigou:
A few doxygen updates and an improved section on 
writing dissectors that don't use tcp_dissect_pdus().

------------------------------------------------------------------------
r14537 | etxrab | 2005-06-03 01:35:44 -0500 (Fri, 03 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/address.h
   M /trunk/epan/packet.h
   M /trunk/epan/packet_info.h

From  Mike Duigou:
A few doxygen updates and an improved section on 
writing dissectors that don't use tcp_dissect_pdus().

------------------------------------------------------------------------
r14536 | etxrab | 2005-06-03 01:34:35 -0500 (Fri, 03 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

From Mike Duigou:
A few doxygen updates and an improved section on 
writing dissectors that don't use tcp_dissect_pdus().

------------------------------------------------------------------------
r14535 | etxrab | 2005-06-03 01:31:58 -0500 (Fri, 03 Jun 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tcp.h

From Mike Duigou:
 A minor change to the prototype of tcp_dissect_pdus() 
which uses the function pointer type from packet.h

------------------------------------------------------------------------
r14534 | etxrab | 2005-06-03 01:29:25 -0500 (Fri, 03 Jun 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

From Mike Duigou:

Extends the jxta dissector to add higher level conversation 
tracking, improved display, tapping and fixes a bug which caused some 
conversations to get lost.

------------------------------------------------------------------------
r14533 | ashokn | 2005-06-02 17:49:59 -0500 (Thu, 02 Jun 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c


Updated LMP to handle the latest protocol. Removed old protocol values
since they are no longer useful.

Manu Pathak <mapathak@cisco.com> contributed these changes


------------------------------------------------------------------------
r14532 | ulfl | 2005-06-02 17:11:22 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

fix call to show_fragment_seq_tree() reported by buildbot
------------------------------------------------------------------------
r14531 | ulfl | 2005-06-02 15:55:58 -0500 (Thu, 02 Jun 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h

add a generated toplevel line between the connectionless DCE/RPC protocol and the defragmented DCE/RPC content, to better understand what's going on if defragmentation is done.

------------------------------------------------------------------------
r14530 | ulfl | 2005-06-02 15:52:13 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-udp.c

use [] not () brackets to indicate [correct] UDP checksum, as this is a generated field
------------------------------------------------------------------------
r14529 | ulfl | 2005-06-02 15:03:15 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

add length information to "Content-encoded entity body"
------------------------------------------------------------------------
r14528 | ulfl | 2005-06-02 14:31:16 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

fix #223: add another tvb_ensure_bytes_exist() call
------------------------------------------------------------------------
r14527 | ulfl | 2005-06-02 13:52:55 -0500 (Thu, 02 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-smb-pipe.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h

add a generated toplevel line between the TCP protocol and the desegmented content, to better understand what's going on while desegmenting.

We'll have to add similar mechanisms for other protocols as well...
------------------------------------------------------------------------
r14526 | ulfl | 2005-06-02 13:44:17 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

bugfix (fuzz_tested): t2i can be zero, test at all places before using it
------------------------------------------------------------------------
r14525 | ulfl | 2005-06-02 13:39:45 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

bugfix (fuzz_tested): add tvb_ensure_bytes_exist() before adding a fragment at two places, otherwise we get an access violation
------------------------------------------------------------------------
r14524 | ulfl | 2005-06-02 13:35:20 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

add new function proto_tree_move_item(), which will move an already existing proto_item inside the tree (but it can't be moved to a different "tree level")
------------------------------------------------------------------------
r14523 | ulfl | 2005-06-02 13:29:29 -0500 (Thu, 02 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/proto.c

show Ethernet and IPX addresses the same way as we do with other fields as well (e.g. IP addresses), first the converted value (e.g. IP address or manufaturer name) and then in brackets the "raw data"
------------------------------------------------------------------------
r14522 | ulfl | 2005-06-02 02:29:24 -0500 (Thu, 02 Jun 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wbxml.c

bugfix: don't use match_strval() in combination with format strings (as it may return NULL) but val_to_str()

I don't know if the output as hex is appropriate, someone with more WBXML knowledge might have a look (however, it's done for unknown values only)
------------------------------------------------------------------------
r14521 | guy | 2005-06-02 02:17:08 -0500 (Thu, 02 Jun 2005) | 2 lines
Changed paths:
   M /trunk/INSTALL

Note that this is *not* what you use if you're building from Subversion.

------------------------------------------------------------------------
r14520 | ulfl | 2005-06-01 19:28:38 -0500 (Wed, 01 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c

add the resolved Ethernet addresses to the "Ethernet II" summary line
------------------------------------------------------------------------
r14519 | ulfl | 2005-06-01 18:47:55 -0500 (Wed, 01 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

add a reference to the corresponding RFC's of the Differentiated Services field pref setting
------------------------------------------------------------------------
r14518 | ulfl | 2005-06-01 18:44:24 -0500 (Wed, 01 Jun 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

add some hidden fields to be able to filter on the resolved hostname "ip.host" / "ip.src_host" / "ip.dst_host", this was formerly not possible.

replace some deprecated proto_tree_add_..._hidden() calls by seperate calls by proto_tree_add_...() and PROTO_ITEM_SET_HIDDEN()

some other cosmetic changes
------------------------------------------------------------------------
r14517 | ulfl | 2005-06-01 16:28:40 -0500 (Wed, 01 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c

mark some fields as generated and clarify some field descriptions
------------------------------------------------------------------------
r14516 | ulfl | 2005-06-01 14:19:40 -0500 (Wed, 01 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

prevent "Dissector Bug": prevent a string processing of length 0
------------------------------------------------------------------------
r14515 | ulfl | 2005-06-01 14:17:59 -0500 (Wed, 01 Jun 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

bugfix: use g_snprintf instead of sprintf to prevent a buffer overflow
------------------------------------------------------------------------
r14514 | etxrab | 2005-06-01 01:47:15 -0500 (Wed, 01 Jun 2005) | 5 lines
Changed paths:
   M /trunk/ethereal_gen.py

From Paolo Frigo :
A new plugin based on GIOP to recognize Tango packets. TANGO is
an object oriented distributed control system based on CORBA. Tango is
being actively developed as a collaborative effort among the ESRF, Soleil, Elettra and ALBA synchrotron facilities. TANGO is an open source
project hosted by SourceForge.
------------------------------------------------------------------------
r14513 | etxrab | 2005-06-01 01:46:41 -0500 (Wed, 01 Jun 2005) | 5 lines
Changed paths:
   M /trunk/plugins/giop/Makefile.am
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/giop/README
   A /trunk/plugins/giop/packet-tango.c

From Paolo Frigo :
A new plugin based on GIOP to recognize Tango packets. TANGO is
an object oriented distributed control system based on CORBA. Tango is
being actively developed as a collaborative effort among the ESRF, Soleil, Elettra and ALBA synchrotron facilities. TANGO is an open source
project hosted by SourceForge.
------------------------------------------------------------------------
r14512 | lroland | 2005-05-31 16:34:14 -0500 (Tue, 31 May 2005) | 3 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/plugins/stats_tree/Makefile.nmake

Add a note to config.nmake that it is required to set ENABLE_LIBETHEREAL to get plugin support in Ethereal.

Change Makefile.nmake of the stats_tree plugin to the current scheme.
------------------------------------------------------------------------
r14511 | ulfl | 2005-05-31 16:30:40 -0500 (Tue, 31 May 2005) | 1 line
Changed paths:
   M /trunk/doc/ethereal.pod
   M /trunk/gtk/main.c

add new command line flag "-g", will go to a given packet, after loading a capture file with -r
------------------------------------------------------------------------
r14510 | ulfl | 2005-05-31 16:17:54 -0500 (Tue, 31 May 2005) | 1 line
Changed paths:
   M /trunk/file.c

convenience: if a "Go To Packet" didn't succeeded, add the requested packet number to the error message, 
------------------------------------------------------------------------
r14509 | lroland | 2005-05-31 15:42:15 -0500 (Tue, 31 May 2005) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/plugins/Makefile.nmake

As suggested by Jaap Keuter:
Add generated files copied by "install-deps" to the
"clean" target
------------------------------------------------------------------------
r14508 | ulfl | 2005-05-31 13:31:27 -0500 (Tue, 31 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-remact.c

better dissect ProtSeqs values
------------------------------------------------------------------------
r14507 | ulfl | 2005-05-31 13:30:37 -0500 (Tue, 31 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba.c

bugfix: remove some not required dissect_dcom_that() calls, as "ORPC that" was errorneously dissected twice
------------------------------------------------------------------------
r14506 | ulfl | 2005-05-31 13:27:20 -0500 (Tue, 31 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

add another tvb_ensure_bytes_exist() call

replace dissect_ndr_uuid_t by dissect_dcerpc_uuid_t, as this is the correct function to use and will prevent a problem with access to non existing private_data in dissect_ndr_uuid_t
------------------------------------------------------------------------
r14505 | gram | 2005-05-31 09:07:16 -0500 (Tue, 31 May 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/print.c

Put 'unmaskedvalue' field in XML for bit-masked values.
Fix interpretation of 'value' field.
Patch from Vasanth Manickam.

------------------------------------------------------------------------
r14504 | gram | 2005-05-31 09:03:34 -0500 (Tue, 31 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Remove bitmasks from field definitions for FT_IPv4
and FT_IPv6 fields.

------------------------------------------------------------------------
r14503 | ulfl | 2005-05-31 03:02:24 -0500 (Tue, 31 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

fix handling, if ArraySize of a BSTR is 0,
replace a g_assert by DISSECTOR_ASSERT
------------------------------------------------------------------------
r14502 | ulfl | 2005-05-30 17:40:55 -0500 (Mon, 30 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

add a tvb_ensure_bytes_exist() to prevent a dissector bug
------------------------------------------------------------------------
r14501 | ulfl | 2005-05-30 16:10:21 -0500 (Mon, 30 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

don't go into an (almost) endless loop, if si->info_count is -1, which is the default value. Seems to be a general bug worth to thought about, but I don't know the SMB internals and this bugfix should work anyway.

Found this by a privately fuzzed capture file (sorry, can't give it away)
------------------------------------------------------------------------
r14500 | gerald | 2005-05-30 16:08:16 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/wiretap/netmon.c

From Steve Grubb: Fix a memory leak.  Fixes part of bug 217.

------------------------------------------------------------------------
r14499 | gerald | 2005-05-30 16:04:58 -0500 (Mon, 30 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-telnet.c

Don't try to check the suboption length type if we don't have a suboption.
Found by Steve Grubb.  Fixes part of bug 217.

------------------------------------------------------------------------
r14498 | gerald | 2005-05-30 16:01:52 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-radius.c

From Steve Grubb:  Fix buffer and array length checks.  Fixes part of bug 217.

------------------------------------------------------------------------
r14497 | gerald | 2005-05-30 16:00:05 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee8023.c
   M /trunk/epan/dissectors/packet-isl.c

From Steve Grubb:  Initialize some variables.  Fixes part of bug 217.

------------------------------------------------------------------------
r14496 | gerald | 2005-05-30 15:58:20 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cpfi.c
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-frame.c

More bug fixes from Steve Grubb.  See bug 217 for details.

------------------------------------------------------------------------
r14495 | gerald | 2005-05-30 15:55:16 -0500 (Mon, 30 May 2005) | 6 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/epan/dissectors/packet-camel.c

From Steve Grubb: Fix a memory leak.

Don't pass a null to atoi().

Fixes part of bug 217.

------------------------------------------------------------------------
r14494 | gerald | 2005-05-30 15:53:08 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Steve Grubb:  Fix off by one errors.  Fixes part of bug 217.

------------------------------------------------------------------------
r14493 | gerald | 2005-05-30 15:51:36 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Steve Grubb:  Initialize a variable.  Fixes part of bug 217.

------------------------------------------------------------------------
r14492 | gerald | 2005-05-30 15:48:12 -0500 (Mon, 30 May 2005) | 6 lines
Changed paths:
   M /trunk/epan/column.c

Fix an off-by-one error found by Steve Grubb.  Steve gets the award
for longest standing bug found so far.  This has been present since
version 0.5.0.

Fixes part of bug 217.

------------------------------------------------------------------------
r14491 | etxrab | 2005-05-30 13:39:39 -0500 (Mon, 30 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-msrp.c

Add dissection of MSRP 
http://www.ietf.org/internet-drafts/draft-ietf-simple-message-sessions-10.txt

------------------------------------------------------------------------
r14490 | ulfl | 2005-05-30 13:37:19 -0500 (Mon, 30 May 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

fix highlighting length, if more than one RPC call is in a TCP PDU

set "n*DCERPC" in the proto column if more than one RPC call in a TCP PDU, overwriting the interface name, as there's probably more than one interface involved

add some more RPC info to the toplevel RPC proto_item

add a comment, if some bytes are not dissected but might be in the next TCP PDU
------------------------------------------------------------------------
r14489 | gerald | 2005-05-30 11:49:47 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/editcap.c

Add random bit errors to the fuzz tests.

------------------------------------------------------------------------
r14488 | gerald | 2005-05-30 11:03:24 -0500 (Mon, 30 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c

Throw an exception if we're handed a null pointer when we weren't
expecting one.  Fixes bug 200.

------------------------------------------------------------------------
r14487 | gerald | 2005-05-30 10:51:03 -0500 (Mon, 30 May 2005) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Break out of an infinite loop.  Fixes bugs 213 & 214.

------------------------------------------------------------------------
r14486 | sahlberg | 2005-05-30 07:09:39 -0500 (Mon, 30 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

add MMC READ DISC INFORMATION cdb


------------------------------------------------------------------------
r14485 | sahlberg | 2005-05-30 06:16:08 -0500 (Mon, 30 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

add MMC READ TRACK INFORMATION cdb


------------------------------------------------------------------------
r14484 | ulfl | 2005-05-29 23:46:25 -0500 (Sun, 29 May 2005) | 1 line
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/doc/ethereal.pod
   M /trunk/gtk/main.c

fix #148: (win32 only) use command line parameter -B to set capture buffer size
------------------------------------------------------------------------
r14483 | ulfl | 2005-05-29 23:06:22 -0500 (Sun, 29 May 2005) | 3 lines
Changed paths:
   M /trunk/doc/ethereal.pod
   M /trunk/gtk/main.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

First part to fix #148: use command line parameter -o not only for preferences but also for recent settings.

This way we can simply remove the GUI related command line parameters -B, -P and -T, which are useless now.
------------------------------------------------------------------------
r14482 | ulfl | 2005-05-29 22:10:37 -0500 (Sun, 29 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

fix #215: the field hf_smb_print_spool_file_name used the wrong type, use FT_STRINGZ to add a string
------------------------------------------------------------------------
r14481 | ulfl | 2005-05-29 21:58:13 -0500 (Sun, 29 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

add two more tvb_ensure_bytes_exist() calls to fix #216

When I look at the remaining code, I fear this will become a never ending story :-(
------------------------------------------------------------------------
r14480 | ulfl | 2005-05-29 09:09:58 -0500 (Sun, 29 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/recent.c

clarify some recent file entry descriptions
------------------------------------------------------------------------
r14479 | ulfl | 2005-05-29 08:02:57 -0500 (Sun, 29 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

fix #201: add format_text before output of the DNS name, in case it contains invalid chars
------------------------------------------------------------------------
r14478 | ulfl | 2005-05-29 07:27:31 -0500 (Sun, 29 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsync.c

fix #86: use format_text before adding version string to the info column
------------------------------------------------------------------------
r14477 | ulfl | 2005-05-29 06:23:42 -0500 (Sun, 29 May 2005) | 1 line
Changed paths:
   M /trunk/epan/proto.c

fix #11: add a [truncated] to the label, if the message to display is too long
------------------------------------------------------------------------
r14476 | sahlberg | 2005-05-29 03:45:09 -0500 (Sun, 29 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

add MMC RESERVE TRACK cdb


------------------------------------------------------------------------
r14475 | sahlberg | 2005-05-29 03:29:55 -0500 (Sun, 29 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

MMC SET STREAMING command


------------------------------------------------------------------------
r14474 | jmayer | 2005-05-29 03:19:11 -0500 (Sun, 29 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c


Add minimal 802.11j decoding. There's not fun in doing more unless
someone provides a capture file.


------------------------------------------------------------------------
r14473 | sahlberg | 2005-05-28 22:18:53 -0500 (Sat, 28 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-scsi.h

remove offset and len  from the signature of dissect_scsi_payload()


------------------------------------------------------------------------
r14472 | sahlberg | 2005-05-28 21:55:12 -0500 (Sat, 28 May 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-scsi.h

make all callers of dissect_scsi_cdb() first create a new subset tvb

change the signature for dissect_scsi_cdb since we no longer need to pass offset over.



------------------------------------------------------------------------
r14471 | sahlberg | 2005-05-28 21:30:49 -0500 (Sat, 28 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

create a subset tvb before calling off to the SCSI dissector
so that the right part of the hexpane is highlighted when one clicks on an nondissected data line

------------------------------------------------------------------------
r14470 | sahlberg | 2005-05-28 20:54:22 -0500 (Sat, 28 May 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

minor prettification

in the decode pane for the SCSI protocol,
put the name of the CDB on the protocol line


------------------------------------------------------------------------
r14469 | sahlberg | 2005-05-28 20:49:09 -0500 (Sat, 28 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

update iscsi so that when we have ImmediateData we also call SCSI to decode the 
payload (DATAOUT)  and not just the scsi CDB.



------------------------------------------------------------------------
r14468 | sahlberg | 2005-05-28 18:05:41 -0500 (Sat, 28 May 2005) | 4 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

from Alejandro Vaquero
fox to packet-mgcp.c to make the viop analysis working again.


------------------------------------------------------------------------
r14467 | sahlberg | 2005-05-28 08:29:45 -0500 (Sat, 28 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

add MMC READ BUFFER CAPACITY command


------------------------------------------------------------------------
r14466 | sahlberg | 2005-05-28 08:01:14 -0500 (Sat, 28 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

add the SynchronizeCache command for MMC


------------------------------------------------------------------------
r14465 | ulfl | 2005-05-28 07:49:19 -0500 (Sat, 28 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

add some tvb_ensure_bytes_exist() calls, fixes #197, #202 and #208
------------------------------------------------------------------------
r14464 | sahlberg | 2005-05-28 07:45:38 -0500 (Sat, 28 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

updates to mmc,   add more dissection of GET_CONFIGURATION and READ_TOC


------------------------------------------------------------------------
r14463 | ulfl | 2005-05-28 06:04:11 -0500 (Sat, 28 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/graph_analysis.c

prevent unused function warning
------------------------------------------------------------------------
r14462 | sahlberg | 2005-05-28 03:27:44 -0500 (Sat, 28 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

some more MMC4 updates

------------------------------------------------------------------------
r14461 | sahlberg | 2005-05-28 00:42:39 -0500 (Sat, 28 May 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

more scsi refactoring

starting to implement MMC codeset : CDROM/DVD



------------------------------------------------------------------------
r14460 | sahlberg | 2005-05-27 22:37:16 -0500 (Fri, 27 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

refactor scsi dissector toi be table driven so it will be easier to add new 
commandsets.



------------------------------------------------------------------------
r14459 | obiot | 2005-05-27 19:51:56 -0500 (Fri, 27 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-image-gif.c

From Gilbert Ramirez - Fix a FT_NONE with a bitmask (shouldn't have one).

------------------------------------------------------------------------
r14458 | sahlberg | 2005-05-27 16:39:38 -0500 (Fri, 27 May 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kink.c

from Gilbert,

make kink compile again on non-kerberos builds.

encapsulate a call to decrypt kerberos to only be compiled in when compiling with kerberos.


------------------------------------------------------------------------
r14457 | sahlberg | 2005-05-27 16:33:27 -0500 (Fri, 27 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

from didier   fix for the regression for bug 62


------------------------------------------------------------------------
r14456 | etxrab | 2005-05-27 13:35:19 -0500 (Fri, 27 May 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rdt.c

From Martin Mathieson
packet-rdt.c:
- register a configurable UDP port (off by default, but needed where setup traffic isn't captured)
- dissect extra 'buffer info' fields
- move bit fields into 'flags' subtrees
- misc. minor fixes and improvements (mainly formatting)
Missed eralier...
------------------------------------------------------------------------
r14455 | lego | 2005-05-27 13:33:09 -0500 (Fri, 27 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/prefs.c

don't use a static buffer for preference values, allocate it, and, if necessary reallocate so that
the string always fits.


------------------------------------------------------------------------
r14454 | gram | 2005-05-27 10:13:09 -0500 (Fri, 27 May 2005) | 5 lines
Changed paths:
   M /trunk/clopts_common.c
   M /trunk/epan/proto.c
   A /trunk/tools/ftsanity.py

Add a "-G fields3" report which prints the bitmask of the field, and avoids
printing the blurb twice, like fields2 does.
Add a script, fsanity.py, to check sanity of FT definitions. Right now the
only check is for bitmasks for integer-like fields.

------------------------------------------------------------------------
r14453 | sahlberg | 2005-05-27 03:53:07 -0500 (Fri, 27 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos.h
   M /trunk/epan/dissectors/packet-kink.c

From T.Nakashima
updates to KINK


------------------------------------------------------------------------
r14452 | sahlberg | 2005-05-27 01:00:08 -0500 (Fri, 27 May 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/proto.c

cket wsp is creating string items and later appending to them and their value at runtime which breaks when the TRY_TO_FAKE_THIS_ITEM() is used.

Add a comment to proto_item_append_string() explaining the "danger" and what needs to be done if one decides to use proto_item_append_string()

Add a small change to WSP so that it will disable this speed optimization so not to trigger a DISSECTOR_BUG in proto_item_append_string()




------------------------------------------------------------------------
r14451 | sahlberg | 2005-05-27 00:04:03 -0500 (Fri, 27 May 2005) | 3 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

GdKEventScroll is not available in GTK-1.2


------------------------------------------------------------------------
r14450 | guy | 2005-05-26 21:30:10 -0500 (Thu, 26 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-browse.c

The DESIRE_ and OS_ values are bit indices, not numerical values that
appear by themselves; get rid of the value_string tables for them.

------------------------------------------------------------------------
r14449 | guy | 2005-05-26 20:34:42 -0500 (Thu, 26 May 2005) | 2 lines
Changed paths:
   M /trunk/plugins/profinet

Set svn:ignore to ignore generated files.

------------------------------------------------------------------------
r14448 | ulfl | 2005-05-26 18:18:10 -0500 (Thu, 26 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/graph_analysis.c

fix #203: the scroll event handler used an inappropriate implementation to get event values, fixed this. On win32 this was working before and after the changes, so the bug *might* remain ...
------------------------------------------------------------------------
r14447 | ulfl | 2005-05-26 16:49:48 -0500 (Thu, 26 May 2005) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

show the complete filename in the statusbar, as there's no good reason to hide it (bugzilla #198)

fix various log related problems
------------------------------------------------------------------------
r14446 | ulfl | 2005-05-26 16:45:58 -0500 (Thu, 26 May 2005) | 1 line
Changed paths:
   M /trunk/capture.c

changed the loglevel of "capture kill" from message to info (it's no action that the user directly triggered)
------------------------------------------------------------------------
r14445 | ulfl | 2005-05-26 15:23:13 -0500 (Thu, 26 May 2005) | 1 line
Changed paths:
   M /trunk/Makefile.common

add log.h
------------------------------------------------------------------------
r14444 | etxrab | 2005-05-26 15:13:42 -0500 (Thu, 26 May 2005) | 6 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

From Martin Mathieson:

This 2-liner:
- adds the correct item for localconnectionoptions param
- recognises the message verb "MESG"

------------------------------------------------------------------------
r14443 | etxrab | 2005-05-26 15:11:35 -0500 (Thu, 26 May 2005) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtsp.c

These 2 patches make RDT support pretty complete now:
From Martin Mathieson:

packet-rdt.c:
- register a configurable UDP port (off by default, but needed where setup traffic isn't captured)
- dissect extra 'buffer info' fields
- move bit fields into 'flags' subtrees
- misc. minor fixes and improvements (mainly formatting)

packet-rtsp.c:
- improve detection of RDT as the transport
- allow interleaved frame data to be dissected as RDT packets

------------------------------------------------------------------------
r14442 | ulfl | 2005-05-26 14:38:26 -0500 (Thu, 26 May 2005) | 1 line
Changed paths:
   M /trunk/capture_loop.c

fix #125: as suggested, the data in rechdr has to be kept over several calls to capture_loop_dispatch, so put it in the loop_data
------------------------------------------------------------------------
r14441 | ulfl | 2005-05-26 14:06:01 -0500 (Thu, 26 May 2005) | 1 line
Changed paths:
   M /trunk/capture_loop.c
   M /trunk/capture_sync.c

some cleanup of capture error notification handling
------------------------------------------------------------------------
r14440 | ulfl | 2005-05-26 13:29:09 -0500 (Thu, 26 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

don't use stdout but stderr for logging, as this will confuse the capture childs sync_pipe (has to be solved later)
------------------------------------------------------------------------
r14439 | ulfl | 2005-05-26 13:03:34 -0500 (Thu, 26 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

avoid two gcc warnings
------------------------------------------------------------------------
r14438 | ulfl | 2005-05-26 12:50:27 -0500 (Thu, 26 May 2005) | 7 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/gtk/main.c
   A /trunk/log.h

use the log features of the GLib to have verbose output of the capturing engine, e.g. GLib provides different domains for different submodules. Output more verbose than warning level will be disabled by default (just like before).

use the console_log_handler in main.c for win32 AND unix now

Currently use the log for the capturing engine (only), as I desperately needed a log output for debugging.


------------------------------------------------------------------------
r14437 | gerald | 2005-05-26 09:53:39 -0500 (Thu, 26 May 2005) | 9 lines
Changed paths:
   M /trunk/epan/proto.c

In some places we call proto_tree_add_item() with hfindex and length
values that may not be valid (e.g. dissect_ber_octet_string()
in packet-ber.c).  If the length is invalid, get_uint_value() or
get_int_value() will abort.  Change them to throw an exception instead.
This keeps us from having to do a lot of extra work in the dissector.

Fixes bug 182.


------------------------------------------------------------------------
r14436 | ulfl | 2005-05-25 18:28:59 -0500 (Wed, 25 May 2005) | 3 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/file.h
   M /trunk/gtk/main.c

the capture child might not respond shortly after bringing it up (especially it will block, if no input coming from an input capture pipe (e.g. mkfifo) is coming in)

to prevent problems, bring the main GUI into "capture mode" right after successfully spawn/exec the capture child, without waiting for any response from it
------------------------------------------------------------------------
r14435 | ulfl | 2005-05-25 17:20:46 -0500 (Wed, 25 May 2005) | 1 line
Changed paths:
   M /trunk/capture_sync.c

forgot to init savefilestring = NULL;
------------------------------------------------------------------------
r14434 | ulfl | 2005-05-25 16:37:46 -0500 (Wed, 25 May 2005) | 1 line
Changed paths:
   M /trunk/capture-wpcap.c

add const to pcap_next_ex() parameter, as WinPcap 3.1 beta 4 (and libpcap 0.8) requires it
------------------------------------------------------------------------
r14433 | etxrab | 2005-05-25 13:27:33 -0500 (Wed, 25 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

Back out the two last changes by popular demand :)
as we don't want multiple language versions.
------------------------------------------------------------------------
r14432 | ulfl | 2005-05-25 12:46:04 -0500 (Wed, 25 May 2005) | 1 line
Changed paths:
   M /trunk/capture_sync.c

fix #199: encapsulate capture filename, to avoid problems with spaces in the filename (win32 only)
------------------------------------------------------------------------
r14431 | guy | 2005-05-25 11:59:59 -0500 (Wed, 25 May 2005) | 2 lines
Changed paths:
   M /trunk/doc/ethereal-filter.pod.template

Update URLs for WinPcap.

------------------------------------------------------------------------
r14430 | guy | 2005-05-25 03:25:14 -0500 (Wed, 25 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/libethereal.def

Add some more reassembly routines.

------------------------------------------------------------------------
r14429 | ulfl | 2005-05-24 15:01:08 -0500 (Tue, 24 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-remunkn.c

fix IRemUnknown2 UUID
------------------------------------------------------------------------
r14428 | ulfl | 2005-05-24 15:00:14 -0500 (Tue, 24 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

add values for STDOBJREF flags
------------------------------------------------------------------------
r14427 | ulfl | 2005-05-24 14:59:20 -0500 (Tue, 24 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-sysact.c

dissect ORPC this/that of RemoteCreateInstance
------------------------------------------------------------------------
r14426 | ulfl | 2005-05-24 14:57:37 -0500 (Tue, 24 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-oxid.c

dissect ServerAlive response
------------------------------------------------------------------------
r14425 | gerald | 2005-05-24 11:46:18 -0500 (Tue, 24 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Add extra TLV length checks and signedness fixes.  Fixes the infinite loop in
bug 196.

------------------------------------------------------------------------
r14424 | gerald | 2005-05-24 08:50:20 -0500 (Tue, 24 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Throw an exception instead of calling g_assert_not_reached().  Fixes bug 175.

------------------------------------------------------------------------
r14423 | guy | 2005-05-23 20:28:25 -0500 (Mon, 23 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

Include "webbrowser.h" to declare "browser_open_url()".

------------------------------------------------------------------------
r14422 | gerald | 2005-05-23 16:18:14 -0500 (Mon, 23 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/docsis/packet-docsis.c

Make sure we don't loop when we dissect concatenated PDUs.  Make some int
values larger in order to keep them from overflowing.

------------------------------------------------------------------------
r14421 | etxrab | 2005-05-23 13:37:45 -0500 (Mon, 23 May 2005) | 3 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.h

 Warning fix:
 packet-camel.h:49: warning: 'dissect_camel_DestinationAddress' declared 'static' but never defined
do this change also for the template file.
------------------------------------------------------------------------
r14420 | jmayer | 2005-05-23 07:32:37 -0500 (Mon, 23 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Warning fix:
packet-bacapp.c:1264: warning: ISO C does not allow extra ';' outside of
a function


------------------------------------------------------------------------
r14419 | jmayer | 2005-05-23 07:19:00 -0500 (Mon, 23 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-camel.h

Warning fix:
packet-camel.h:49: warning: 'dissect_camel_DestinationAddress' declared 'static' but never defined


------------------------------------------------------------------------
r14418 | jmayer | 2005-05-23 07:18:10 -0500 (Mon, 23 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Warning fix:
packet-bacapp.c:1266:1: warning: C++ style comments are not allowed in ISO C90
packet-bacapp.c:1266:1: warning: (this will be reported only once per input file)


------------------------------------------------------------------------
r14417 | etxrab | 2005-05-23 00:52:28 -0500 (Mon, 23 May 2005) | 36 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h
   M /trunk/epan/dissectors/packet-bvlc.c

From Steve Karg:

* added additional value string enumerations from BACnet-2004
* removed vendor specific value string enumerations
* corrected some value strings enumerations that were incorrect
* refactored some common strings as strings + format
* refactored some value strings to use a reserved range and a 
proprietary range by using val_to_split_str function which now correctly 
shows the split range when a value is not matched.
* corrected some spelling errors
* converted some item text values to dissector registration
* added protocol tree for the BACnet tag headers
* added value strings tree display for some bit string BACnet properties
* added value strings tree display for some enumerated BACnet properties
* changed the conversion of signed, unsigned, and enumerated BACnet 
values to use ntohx functions.
* added proper handling for large values of signed, unsigned, and 
enumerated BACnet values.
* refactored BACnet Null and Boolean Tag tree
* refactored BACnet Real and Double Tag tree
* changed comments into functions for special tags
* changed some white space to match existing file style
* refactored tvb_reported_length to tvb_length_remaining to simplify
* corrected octet-string tree when length is zero
* refactored octet-string tree to use tvb_bytes_to_str
* corrected application tagged productions that were context tagged
* corrected context tagged productions that were application tagged
* corrected offset for BACnet character strings
* refactored some identical service request tree handling
* changed confirmed APDU to highlight the correct portion of the APDU
* changed some dissector registration values to display as decimal
* changed cast in call to iconv() to fix compiler warning
* corrected bit-wise AND in AtomicFile tree handling

packet-bvlc.c
* added error text in tree when encoded length doesn't match actual length
------------------------------------------------------------------------
r14416 | lego | 2005-05-21 19:44:34 -0500 (Sat, 21 May 2005) | 7 lines
Changed paths:
   M /trunk/plugins/mate
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c

at this point mate should be working as it did before the grammar
 
 - pdu transports were upside down (ip/tcp vs tcp/ip)
 - the gop to gog index was not being populated
 - tell svn to ignore generated c files


------------------------------------------------------------------------
r14415 | lego | 2005-05-21 10:47:18 -0500 (Sat, 21 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/packet-mate.c

PDU, GOP and GOG should be at the same level not nested


------------------------------------------------------------------------
r14414 | ulfl | 2005-05-21 06:10:16 -0500 (Sat, 21 May 2005) | 1 line
Changed paths:
   M /trunk/capture_wpcap_packet.c
   M /trunk/gtk/capture_if_details_dlg.c

don't crash if packet.dll is not available, add some more packet.dll version numbers
------------------------------------------------------------------------
r14413 | ulfl | 2005-05-21 06:08:48 -0500 (Sat, 21 May 2005) | 1 line
Changed paths:
   M /trunk/capture-wpcap.c

bugfix: prevent a (null pointer access) crash with very early WinPcap version < 2.3
------------------------------------------------------------------------
r14412 | ulfl | 2005-05-21 04:59:49 -0500 (Sat, 21 May 2005) | 3 lines
Changed paths:
   M /trunk/capture-wpcap.c
   M /trunk/config.h.win32

bugfix: mark pcap_freecode() as optional, as it's not available by WinPcap 2.3

add optional pcap_next_ex() which is currently unused
------------------------------------------------------------------------
r14411 | ulfl | 2005-05-21 04:41:57 -0500 (Sat, 21 May 2005) | 1 line
Changed paths:
   M /trunk/capture_wpcap_packet.c
   M /trunk/capture_wpcap_packet.h
   M /trunk/gtk/capture_if_details_dlg.c

as suggested by Loris: add wpcap_packet_get_version() and check the packet.dll version before using it (very restrictive for now, will check for exact DLL version strings). If version is unknown, ask user to continue or not.
------------------------------------------------------------------------
r14410 | etxrab | 2005-05-21 04:26:16 -0500 (Sat, 21 May 2005) | 5 lines
Changed paths:
   M /trunk/gtk/voip_calls_dlg.c

From Javier Acuna:
It adds "CIC" info display on the comments column for ISUP
It adds a small Help button that open up a window that offers you to vist the Wiki page containing the explanation of the Dialog window.


------------------------------------------------------------------------
r14409 | etxrab | 2005-05-21 04:13:28 -0500 (Sat, 21 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_map.c

From Javier Acuna:
filter packets by their Billing ID
------------------------------------------------------------------------
r14408 | ulfl | 2005-05-20 19:10:17 -0500 (Fri, 20 May 2005) | 1 line
Changed paths:
   M /trunk/capture_wpcap_packet.c
   M /trunk/capture_wpcap_packet.h

don't use LPADAPTER but simply void * as we don't need to look inside the members of this struct
------------------------------------------------------------------------
r14407 | ulfl | 2005-05-20 17:23:00 -0500 (Fri, 20 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/capture_if_details_dlg.c
   A /trunk/gtk/capture_if_details_dlg.h
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/main.c

win32 only: get interface details from WinPcap's packet.dll (direct access to NDIS specific driver information, upper second GTK part)
------------------------------------------------------------------------
r14406 | ulfl | 2005-05-20 17:16:47 -0500 (Fri, 20 May 2005) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   A /trunk/capture_wpcap_packet.c
   A /trunk/capture_wpcap_packet.h

win32 only: get interface details from WinPcap's packet.dll (direct access to NDIS specific driver information, lower first part)
------------------------------------------------------------------------
r14405 | ulfl | 2005-05-20 16:44:17 -0500 (Fri, 20 May 2005) | 1 line
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h
   M /trunk/epan/libethereal.def

add get_manuf_name_if_known (returns NULL if unknown) in addition to get_manuf_name
------------------------------------------------------------------------
r14404 | ulfl | 2005-05-20 16:40:03 -0500 (Fri, 20 May 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

bugfix: add the profinet plugin to NSIS
------------------------------------------------------------------------
r14403 | lego | 2005-05-20 14:43:40 -0500 (Fri, 20 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/mate_parser.l

Fix the Id tag


------------------------------------------------------------------------
r14402 | lego | 2005-05-20 14:40:10 -0500 (Fri, 20 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/stats_tree.c

dup the filter string so that it can be freed without problems.
fixes bug 195


------------------------------------------------------------------------
r14401 | lego | 2005-05-20 14:38:24 -0500 (Fri, 20 May 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

some cosmetic fixes


------------------------------------------------------------------------
r14400 | etxrab | 2005-05-19 15:35:30 -0500 (Thu, 19 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h221_nonstd.c

Use value_string for codec values/strings.
------------------------------------------------------------------------
r14399 | etxrab | 2005-05-19 15:34:35 -0500 (Thu, 19 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h245.c

Display version number and product number as strings.
------------------------------------------------------------------------
r14398 | etxrab | 2005-05-19 15:33:59 -0500 (Thu, 19 May 2005) | 1 line
Changed paths:
   M /trunk/epan/t35.c

Add Sony and Nokia VendorID:s
------------------------------------------------------------------------
r14397 | etxrab | 2005-05-19 15:32:58 -0500 (Thu, 19 May 2005) | 1 line
Changed paths:
   M /trunk/asn1/h245/h245.cnf

Display version number and product number as strings.
------------------------------------------------------------------------
r14396 | guy | 2005-05-19 04:26:15 -0500 (Thu, 19 May 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h221_nonstd.c

Clean up indentation.

Add some comments with questions.

Mark an unused argument as such, and get rid of an unused variable.

------------------------------------------------------------------------
r14395 | ulfl | 2005-05-18 14:30:18 -0500 (Wed, 18 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/menu.c
   M /trunk/gtk/proto_draw.c

insensitive context menu "Expand Subtrees" if no protocol field is currently selected, sort and name the tree related menu items like the context menu ones
------------------------------------------------------------------------
r14394 | ulfl | 2005-05-18 14:02:11 -0500 (Wed, 18 May 2005) | 1 line
Changed paths:
   M /trunk/fileset.c

do some code cleanup (from the previous commit) and close the directories opened with opendir/g_dir_open
------------------------------------------------------------------------
r14393 | lego | 2005-05-18 08:51:49 -0500 (Wed, 18 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

- add an isup stats_tree with statistics regarding message types and the directions in which they flow.


------------------------------------------------------------------------
r14392 | etxrab | 2005-05-18 00:44:12 -0500 (Wed, 18 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-h221_nonstd.c

Add a dissector for h221 nonstandard data which can easily be expanded with publically avalable data or
replaced by a propriatary one.
------------------------------------------------------------------------
r14391 | etxrab | 2005-05-18 00:19:22 -0500 (Wed, 18 May 2005) | 3 lines
Changed paths:
   M /trunk/gtk/sctp_stat.c

From Albert Chin:
C++ comments in C source files (gtk/sctp_stat.c) 

------------------------------------------------------------------------
r14390 | ulfl | 2005-05-17 20:21:49 -0500 (Tue, 17 May 2005) | 1 line
Changed paths:
   M /trunk/fileset.c

don't crash, if the given filename doesn't contain a dot e.g. 'test123'
------------------------------------------------------------------------
r14389 | ulfl | 2005-05-17 19:55:44 -0500 (Tue, 17 May 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

fix #187: don't crash if using "Expand Subtrees" in an empty area, just do nothing in that case
------------------------------------------------------------------------
r14388 | etxrab | 2005-05-17 15:32:30 -0500 (Tue, 17 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h

Make it possible to dissect h221nonstandard data and fix some compile warnings from asn2eth.
------------------------------------------------------------------------
r14387 | etxrab | 2005-05-17 15:30:49 -0500 (Tue, 17 May 2005) | 1 line
Changed paths:
   M /trunk/asn1/h245/h245.cnf
   M /trunk/asn1/h245/packet-h245-template.c

Make it possible to dissect h221nonstandarddata and fix some errors from the new asn2eth generator.
------------------------------------------------------------------------
r14386 | etxrab | 2005-05-17 14:51:09 -0500 (Tue, 17 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nettl.c

From Mark C Brown,:
Fixes for LAP-B (SX25L2) and X.25 (SX25L3) nettl trace records.
------------------------------------------------------------------------
r14385 | etxrab | 2005-05-17 14:50:38 -0500 (Tue, 17 May 2005) | 2 lines
Changed paths:
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Mark C Brown,:
Fixes for LAP-B (SX25L2) and X.25 (SX25L3) nettl trace records.
------------------------------------------------------------------------
r14384 | etxrab | 2005-05-17 14:21:45 -0500 (Tue, 17 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acse.c

From Yuriy Sidelnikov:
A perfectly good tvb_bytes_to_str() has been used instead of string_to_hex. 

------------------------------------------------------------------------
r14383 | etxrab | 2005-05-17 14:15:31 -0500 (Tue, 17 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h

Add some more AVP:s.

------------------------------------------------------------------------
r14382 | etxrab | 2005-05-17 14:13:05 -0500 (Tue, 17 May 2005) | 1 line
Changed paths:
   M /trunk/plugins/xml/packet-xml.c

Add some more media types to be dissected as xml.
------------------------------------------------------------------------
r14381 | lego | 2005-05-17 08:29:36 -0500 (Tue, 17 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/mate_parser.l

- change the state label OUT to OUTSIDE to avoid a name collision with a macro defined in the windows system headers.


------------------------------------------------------------------------
r14380 | gram | 2005-05-16 20:47:04 -0500 (Mon, 16 May 2005) | 3 lines
Changed paths:
   M /trunk/tools/EtherealXML.py

Add get_items_before(), to help analyze in the presence of
tunneled protocols.

------------------------------------------------------------------------
r14379 | gram | 2005-05-16 18:21:01 -0500 (Mon, 16 May 2005) | 3 lines
Changed paths:
   M /trunk/tools/EtherealXML.py

Add get_hide() to return the value of the "hide" tag
in field attributes.

------------------------------------------------------------------------
r14378 | etxrab | 2005-05-16 13:24:27 -0500 (Mon, 16 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Add TCP port for "radan-http      8088/tcp    Radan HTTP" from IANA.
------------------------------------------------------------------------
r14377 | etxrab | 2005-05-16 13:15:33 -0500 (Mon, 16 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-text-media.c

Add some more media types.
------------------------------------------------------------------------
r14376 | lego | 2005-05-16 12:16:52 -0500 (Mon, 16 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_plugin.c
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/mate_util.h

Transforms and Pdus are working already, Gops start to work.


------------------------------------------------------------------------
r14375 | lego | 2005-05-16 10:10:50 -0500 (Mon, 16 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/Makefile.nmake

let's get things right, we are in plugins/mate not epan/dfilter (from which I stole the nmake rules)


------------------------------------------------------------------------
r14374 | lego | 2005-05-16 09:59:14 -0500 (Mon, 16 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/Makefile.nmake

Forgot this one in the last checkin!


------------------------------------------------------------------------
r14373 | lego | 2005-05-16 08:28:35 -0500 (Mon, 16 May 2005) | 5 lines
Changed paths:
   M /trunk/plugins/mate
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/mate/mate.h
   A /trunk/plugins/mate/mate_grammar.lemon
   A /trunk/plugins/mate/mate_parser.l
   M /trunk/plugins/mate/mate_plugin.c
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/mate_util.h
   M /trunk/plugins/mate/moduleinfo.h
   M /trunk/plugins/mate/packet-mate.c

MATE has a grammar.

Although not yet fully implemented I want this version as a reference. 


------------------------------------------------------------------------
r14372 | etxrab | 2005-05-16 01:16:45 -0500 (Mon, 16 May 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rdt.c

From Martin Mathieson:
new version of the RDT dissector.  It turns out that
specs are available for this protocol on www.helixcommunity.org  - this
version was written by myself and Tom Marshall of RealNetworks, Inc.

I Changed stream_id and asm_rule_number to be guint16 to fix compiler warnings.
------------------------------------------------------------------------
r14371 | etxrab | 2005-05-15 16:17:29 -0500 (Sun, 15 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c

 From Tim Endean:
 Ss-code is Optional in some cases.

------------------------------------------------------------------------
r14370 | etxrab | 2005-05-15 16:15:53 -0500 (Sun, 15 May 2005) | 2 lines
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn

From Tim Endean:
Ss-code is Optional in some cases.
------------------------------------------------------------------------
r14369 | sahlberg | 2005-05-14 17:05:56 -0500 (Sat, 14 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

from martin m

prettify dcerpc


------------------------------------------------------------------------
r14368 | gerald | 2005-05-14 16:13:07 -0500 (Sat, 14 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee8023.c

When we catch an exception, make sure we don't throw the same exception again
(and catch it again in the process).  Fixes bug 170.

------------------------------------------------------------------------
r14367 | sahlberg | 2005-05-14 16:08:20 -0500 (Sat, 14 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcswils.c

from dinesh
fix to make Zone_Alias objects decode properly


------------------------------------------------------------------------
r14366 | sahlberg | 2005-05-14 16:00:43 -0500 (Sat, 14 May 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-armagetronad.c

From   Guillaume Chazarain
New protocol : ARMAGETRONAD    dissector for the protcol used by the game of the same name


------------------------------------------------------------------------
r14365 | gerald | 2005-05-14 14:13:02 -0500 (Sat, 14 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Throw an exception if AndXOffset is less than the current offset.  Fixes bug
163.  I'm not sure if this fix is entirely correct, but it doesn't appear to
have affected any SMB captures here adversely.

------------------------------------------------------------------------
r14364 | sahlberg | 2005-05-14 12:41:07 -0500 (Sat, 14 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

add decoding of teh REMOVABLE bit in inquiry data


------------------------------------------------------------------------
r14363 | sahlberg | 2005-05-14 12:12:45 -0500 (Sat, 14 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

add a missing field to the REPORT LUNS datain pdu


------------------------------------------------------------------------
r14362 | gram | 2005-05-13 14:44:25 -0500 (Fri, 13 May 2005) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/wtap.h

Add WTAP_GCOM_TIE1 and WTAP_GCOM_SERIAL for
Oolan Zimmer <ethereal@gcom.com>

------------------------------------------------------------------------
r14361 | lego | 2005-05-13 06:16:05 -0500 (Fri, 13 May 2005) | 4 lines
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

- make sure contextId and transactionId are added to the tree as filterable fields even if they are larger than 4 octets
- set COL_INFO to something useful


------------------------------------------------------------------------
r14360 | etxrab | 2005-05-13 00:50:26 -0500 (Fri, 13 May 2005) | 1 line
Changed paths:
   M /trunk/tools/Makefile.am

Forgott the lex.py file
------------------------------------------------------------------------
r14359 | etxrab | 2005-05-13 00:47:56 -0500 (Fri, 13 May 2005) | 1 line
Changed paths:
   M /trunk/tools/Makefile.am

Add the asn2eth related files to extra-dist (I hope this is the right thing to do to get them into the SVN tarballs).
------------------------------------------------------------------------
r14358 | guy | 2005-05-11 22:31:33 -0500 (Wed, 11 May 2005) | 3 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/capture_loop.c

Use "pcap_get_selectable_fd()" if we have it, and if it returns -1,
don't do a "select()".

------------------------------------------------------------------------
r14357 | guy | 2005-05-11 22:29:59 -0500 (Wed, 11 May 2005) | 2 lines
Changed paths:
   M /trunk/tethereal.c

Don't include <pcap.h> twice.

------------------------------------------------------------------------
r14356 | guy | 2005-05-11 22:29:26 -0500 (Wed, 11 May 2005) | 7 lines
Changed paths:
   M /trunk/gtk/drag_and_drop.c

If we have libpcap, include <pcap.h>, because "capture.h" requires it.

If we *don't* have libpcap, don't include "capture.h", and don't test
whether a capture is in progress.

Clean up a message.

------------------------------------------------------------------------
r14355 | guy | 2005-05-11 21:55:59 -0500 (Wed, 11 May 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Squelch a compiler warning (GCC 4.0's data flow analysis is
interprocedural, so it knows "sip_parse_line()" doesn't always set
"*token_1_len", but it doesn't know that if it doesn't return OTHER_LINE
it *does* always set it, so it's safe not to set it as long as it's
never used if the return value is OTHER_LINE).

------------------------------------------------------------------------
r14354 | guy | 2005-05-11 21:51:59 -0500 (Wed, 11 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

Fix a routine to return the value it's supposed to return.

------------------------------------------------------------------------
r14353 | guy | 2005-05-11 21:50:27 -0500 (Wed, 11 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Always set "*success" in "ipxnet_addr_lookup()" before returning (thanks
and a tip of the hat to GCC 4.0's interprocedural data flow analysis for
catching this one!).

------------------------------------------------------------------------
r14352 | etxrab | 2005-05-11 17:20:11 -0500 (Wed, 11 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c

Reinsert Gerards patch (r14342) which was lost.
------------------------------------------------------------------------
r14351 | etxrab | 2005-05-11 17:19:36 -0500 (Wed, 11 May 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Reinsert Gerards patch (r14342) which was lost.
------------------------------------------------------------------------
r14350 | etxrab | 2005-05-11 17:00:50 -0500 (Wed, 11 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c

pinfo->p2p_dir not set in the new gsm_map dissector causing problems with dissection of SMS messages.

------------------------------------------------------------------------
r14349 | etxrab | 2005-05-11 16:59:44 -0500 (Wed, 11 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c

From Viorel Suman:
Enable a proper deconding of an alphanumeric 7-bit encoded SMS TP-Originating-Address.

------------------------------------------------------------------------
r14348 | etxrab | 2005-05-11 16:46:16 -0500 (Wed, 11 May 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf

pinfo->p2p_dir not set in the new gsm_map dissector causing problems with dissection of SMS messages.
------------------------------------------------------------------------
r14347 | sahlberg | 2005-05-11 07:37:20 -0500 (Wed, 11 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

avoid a div-by-0 

------------------------------------------------------------------------
r14346 | sahlberg | 2005-05-11 06:24:17 -0500 (Wed, 11 May 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-juniper.c
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Hannes Gredler
support for Juniper PPPOE encapsulation


------------------------------------------------------------------------
r14345 | sahlberg | 2005-05-11 05:40:53 -0500 (Wed, 11 May 2005) | 17 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/conversation.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-tftp.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h

Some applications do very naughty things like reusing a port for a different protocol during different stages of an application cycle.

This is very naughty and will cause problems when we have assigned a dissector to a dynamic port using conversation_set_dissector().


To make ethereal handle this case I have changed the try_conversation_dissector() to allow it to fail and return 0,   meaning   yes there is indeed a protocol registered for this conversation but that protocol rejected this packet.
(which only happens for "new" style dissectors, "old" style dissectors will never reject a packet that way)

When this happens  the decode_udp_port() helper will still allow other dissectors to be tried, in the hope that the conversation is now used for some other protocol and thus someone else might be able to decode the packet.


Update SNMP and TFTP dissectors to  check that even if there already is a conversation but that conversation does NOT have snmp/tftp registered as the dissector for it, then create a new conversation anyway and attach the proper dissector.

Since ethereal keeps track of which frame number a conversation started in, this actually works really well.



------------------------------------------------------------------------
r14344 | gerald | 2005-05-10 18:45:39 -0500 (Tue, 10 May 2005) | 5 lines
Changed paths:
   M /trunk/plugins/agentx/packet-agentx.c

Don't write a '\0' way the heck past the end of an array.  Fixes bug 164.

Add a comment asking if we shouldn't use oid_to_str() instead of our own
routine.

------------------------------------------------------------------------
r14343 | lego | 2005-05-10 16:54:37 -0500 (Tue, 10 May 2005) | 5 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-isup.h

- export Audio Codec modes from isup/bicc
- detailed dissection of GSM/UMTS speech code list ETSI 126 103 (3gpp 26.103 v3.0.0)
- use it for H.248


------------------------------------------------------------------------
r14342 | etxrab | 2005-05-10 15:09:09 -0500 (Tue, 10 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Fix dissection of mo-forwardSM
------------------------------------------------------------------------
r14341 | etxrab | 2005-05-10 15:06:04 -0500 (Tue, 10 May 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Fix dissection of mt-forwardSM.
------------------------------------------------------------------------
r14340 | etxrab | 2005-05-10 15:02:14 -0500 (Tue, 10 May 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf

fix some field rename errors turned up by the latest asn2eth compiler.
------------------------------------------------------------------------
r14339 | sahlberg | 2005-05-10 03:49:27 -0500 (Tue, 10 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-snmp.c

make SNMP over UDP a new style dissector and add some heuristics to check if this is SNMP or not,

------------------------------------------------------------------------
r14338 | gerald | 2005-05-09 22:10:09 -0500 (Mon, 09 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-pipe.c

Make a field type check more strict.  Remove some unnecessary code.

------------------------------------------------------------------------
r14337 | gerald | 2005-05-09 22:08:36 -0500 (Mon, 09 May 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

Make sure we don't feed a null string to strncmp().  Fixes bug 161.

Make sure we don't free static memory.  Fix a small memory leak.

------------------------------------------------------------------------
r14336 | jmayer | 2005-05-09 06:21:16 -0500 (Mon, 09 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpsw.c

I just found a packet with an option e. As the value looked very much
like the mac-address of the switch, I added decoding of option e as
mac address.


------------------------------------------------------------------------
r14335 | lroland | 2005-05-08 20:21:41 -0500 (Sun, 08 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Add another sanity check to the new SIP URI parser.
Just to be sure.
------------------------------------------------------------------------
r14334 | lroland | 2005-05-08 20:15:45 -0500 (Sun, 08 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Some fixes for the new SIP contact header parser.
------------------------------------------------------------------------
r14333 | lroland | 2005-05-08 19:11:03 -0500 (Sun, 08 May 2005) | 5 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/epan/dissectors/packet-camel.c

only lower-case ASCII letters, numbers,
underscores, and dots are allowed in the
preference name. 

Fix it the camel dissector.
------------------------------------------------------------------------
r14332 | lroland | 2005-05-08 18:29:55 -0500 (Sun, 08 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Mark a function parameter as unused
------------------------------------------------------------------------
r14331 | lroland | 2005-05-08 17:39:38 -0500 (Sun, 08 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

When saying that I remove the trailing white spaces I should do it, too.
 
So I do it now and do some more reindentation, too.
------------------------------------------------------------------------
r14330 | lroland | 2005-05-08 17:19:18 -0500 (Sun, 08 May 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Improve dissection of SIP contact header and counting of bindings in REGISTER messages.

Introduce a function for disseting a sip uri in general

TODO: 
- add dissection of contact and uri parameters
- simplify the ugly code for dissecting "to" and "from" headers
      by using the new function for uri dissection
------------------------------------------------------------------------
r14329 | lroland | 2005-05-08 16:17:37 -0500 (Sun, 08 May 2005) | 1 line
Changed paths:
